package com.ruoyi.system.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.ErpWbsbh;
import com.ruoyi.system.service.IErpWbsbhService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * ERP管理-WBS编号Controller
 *
 * @author ruoyi
 * @date 2025-02-17
 */
@RestController
@RequestMapping("/system/wbsbh")
public class ErpWbsbhController extends BaseController
{
    @Autowired
    private IErpWbsbhService erpWbsbhService;


    /**
     * 查询ERP管理-WBS编号列表
     */

    @GetMapping("/list")
    public TableDataInfo list(ErpWbsbh erpWbsbh)
    {
        startPage();
        List<ErpWbsbh> list = erpWbsbhService.selectErpWbsbhList(erpWbsbh);
        return getDataTable(list);
    }

    /**
     * 导出ERP管理-WBS编号列表
     */

    @Log(title = "ERP管理-WBS编号", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, ErpWbsbh erpWbsbh)
    {
        List<ErpWbsbh> list = erpWbsbhService.selectErpWbsbhList(erpWbsbh);
        ExcelUtil<ErpWbsbh> util = new ExcelUtil<ErpWbsbh>(ErpWbsbh.class);
        util.exportExcel(response, list, "ERP管理-WBS编号数据");
    }

    /**
     * 获取ERP管理-WBS编号详细信息
     */

    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(erpWbsbhService.selectErpWbsbhById(id));
    }

    /**
     * 新增ERP管理-WBS编号
     */

    @Log(title = "ERP管理-WBS编号", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody ErpWbsbh erpWbsbh)
    {
        return toAjax(erpWbsbhService.insertErpWbsbh(erpWbsbh));
    }

    /**
     * 修改ERP管理-WBS编号
     */

    @Log(title = "ERP管理-WBS编号", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody ErpWbsbh erpWbsbh)
    {
        return toAjax(erpWbsbhService.updateErpWbsbh(erpWbsbh));
    }

    /**
     * 删除ERP管理-WBS编号
     */

    @Log(title = "ERP管理-WBS编号", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(erpWbsbhService.deleteErpWbsbhByIds(ids));
    }
}
