package com.ruoyi.system.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.ErpWbsbhJfys;
import com.ruoyi.system.service.IErpWbsbhJfysService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * ERP管理-WBS编号_经费预算Controller
 *
 * @author ruoyi
 * @date 2025-02-17
 */
@RestController
@RequestMapping("/system/jfys")
public class ErpWbsbhJfysController extends BaseController
{
    @Autowired
    private IErpWbsbhJfysService erpWbsbhJfysService;

    /**
     * 查询ERP管理-WBS编号_经费预算列表
     */

    @GetMapping("/list")
    public TableDataInfo list(ErpWbsbhJfys erpWbsbhJfys)
    {
        startPage();
        List<ErpWbsbhJfys> list = erpWbsbhJfysService.selectErpWbsbhJfysList(erpWbsbhJfys);
        return getDataTable(list);
    }

    /**
     * 导出ERP管理-WBS编号_经费预算列表
     */

    @Log(title = "ERP管理-WBS编号_经费预算", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, ErpWbsbhJfys erpWbsbhJfys)
    {
        List<ErpWbsbhJfys> list = erpWbsbhJfysService.selectErpWbsbhJfysList(erpWbsbhJfys);
        ExcelUtil<ErpWbsbhJfys> util = new ExcelUtil<ErpWbsbhJfys>(ErpWbsbhJfys.class);
        util.exportExcel(response, list, "ERP管理-WBS编号_经费预算数据");
    }

    /**
     * 获取ERP管理-WBS编号_经费预算详细信息
     */

    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(erpWbsbhJfysService.selectErpWbsbhJfysById(id));
    }

    /**
     * 新增ERP管理-WBS编号_经费预算
     */

    @Log(title = "ERP管理-WBS编号_经费预算", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody ErpWbsbhJfys erpWbsbhJfys)
    {
        return toAjax(erpWbsbhJfysService.insertErpWbsbhJfys(erpWbsbhJfys));
    }

    /**
     * 修改ERP管理-WBS编号_经费预算
     */

    @Log(title = "ERP管理-WBS编号_经费预算", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody ErpWbsbhJfys erpWbsbhJfys)
    {
        return toAjax(erpWbsbhJfysService.updateErpWbsbhJfys(erpWbsbhJfys));
    }

    /**
     * 删除ERP管理-WBS编号_经费预算
     */

    @Log(title = "ERP管理-WBS编号_经费预算", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(erpWbsbhJfysService.deleteErpWbsbhJfysByIds(ids));
    }
}
