package com.ruoyi.system.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.ErpWbsbhXdxx;
import com.ruoyi.system.service.IErpWbsbhXdxxService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * ERP管理-WBS编号_下达信息Controller
 *
 * @author ruoyi
 * @date 2025-02-17
 */
@RestController
@RequestMapping("/system/xdxx")
public class ErpWbsbhXdxxController extends BaseController
{
    @Autowired
    private IErpWbsbhXdxxService erpWbsbhXdxxService;

    /**
     * 查询ERP管理-WBS编号_下达信息列表
     */

    @GetMapping("/list")
    public TableDataInfo list(ErpWbsbhXdxx erpWbsbhXdxx)
    {
        startPage();
        List<ErpWbsbhXdxx> list = erpWbsbhXdxxService.selectErpWbsbhXdxxList(erpWbsbhXdxx);
        return getDataTable(list);
    }

    /**
     * 导出ERP管理-WBS编号_下达信息列表
     */

    @Log(title = "ERP管理-WBS编号_下达信息", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, ErpWbsbhXdxx erpWbsbhXdxx)
    {
        List<ErpWbsbhXdxx> list = erpWbsbhXdxxService.selectErpWbsbhXdxxList(erpWbsbhXdxx);
        ExcelUtil<ErpWbsbhXdxx> util = new ExcelUtil<ErpWbsbhXdxx>(ErpWbsbhXdxx.class);
        util.exportExcel(response, list, "ERP管理-WBS编号_下达信息数据");
    }

    /**
     * 获取ERP管理-WBS编号_下达信息详细信息
     */

    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(erpWbsbhXdxxService.selectErpWbsbhXdxxById(id));
    }

    /**
     * 新增ERP管理-WBS编号_下达信息
     */

    @Log(title = "ERP管理-WBS编号_下达信息", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody ErpWbsbhXdxx erpWbsbhXdxx)
    {
        return toAjax(erpWbsbhXdxxService.insertErpWbsbhXdxx(erpWbsbhXdxx));
    }

    /**
     * 修改ERP管理-WBS编号_下达信息
     */

    @Log(title = "ERP管理-WBS编号_下达信息", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody ErpWbsbhXdxx erpWbsbhXdxx)
    {
        return toAjax(erpWbsbhXdxxService.updateErpWbsbhXdxx(erpWbsbhXdxx));
    }

    /**
     * 删除ERP管理-WBS编号_下达信息
     */

    @Log(title = "ERP管理-WBS编号_下达信息", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(erpWbsbhXdxxService.deleteErpWbsbhXdxxByIds(ids));
    }
}
