package com.ruoyi.system.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.HistoryProjectHtrwsJbxx;
import com.ruoyi.system.service.IHistoryProjectHtrwsJbxxService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 合同（任务书）项目（课题）基本信息Controller
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@RestController
@RequestMapping("/system/jbxx/Htrws")
public class HistoryProjectHtrwsJbxxController extends BaseController
{
    @Autowired
    private IHistoryProjectHtrwsJbxxService historyProjectHtrwsJbxxService;

    /**
     * 查询合同（任务书）项目（课题）基本信息列表
     */

    @GetMapping("/list")
    public TableDataInfo list(HistoryProjectHtrwsJbxx historyProjectHtrwsJbxx)
    {
        startPage();
        List<HistoryProjectHtrwsJbxx> list = historyProjectHtrwsJbxxService.selectHistoryProjectHtrwsJbxxList(historyProjectHtrwsJbxx);
        return getDataTable(list);
    }

    /**
     * 导出合同（任务书）项目（课题）基本信息列表
     */

    @Log(title = "合同（任务书）项目（课题）基本信息", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, HistoryProjectHtrwsJbxx historyProjectHtrwsJbxx)
    {
        List<HistoryProjectHtrwsJbxx> list = historyProjectHtrwsJbxxService.selectHistoryProjectHtrwsJbxxList(historyProjectHtrwsJbxx);
        ExcelUtil<HistoryProjectHtrwsJbxx> util = new ExcelUtil<HistoryProjectHtrwsJbxx>(HistoryProjectHtrwsJbxx.class);
        util.exportExcel(response, list, "合同（任务书）项目（课题）基本信息数据");
    }

    /**
     * 获取合同（任务书）项目（课题）基本信息详细信息
     */

    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(historyProjectHtrwsJbxxService.selectHistoryProjectHtrwsJbxxById(id));
    }

    /**
     * 新增合同（任务书）项目（课题）基本信息
     */

    @Log(title = "合同（任务书）项目（课题）基本信息", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody HistoryProjectHtrwsJbxx historyProjectHtrwsJbxx)
    {
        return toAjax(historyProjectHtrwsJbxxService.insertHistoryProjectHtrwsJbxx(historyProjectHtrwsJbxx));
    }

    /**
     * 修改合同（任务书）项目（课题）基本信息
     */

    @Log(title = "合同（任务书）项目（课题）基本信息", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody HistoryProjectHtrwsJbxx historyProjectHtrwsJbxx)
    {
        return toAjax(historyProjectHtrwsJbxxService.updateHistoryProjectHtrwsJbxx(historyProjectHtrwsJbxx));
    }

    /**
     * 删除合同（任务书）项目（课题）基本信息
     */

    @Log(title = "合同（任务书）项目（课题）基本信息", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(historyProjectHtrwsJbxxService.deleteHistoryProjectHtrwsJbxxByIds(ids));
    }
}
