package com.ruoyi.system.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.HistoryProjectHtrwsJbxxNdjf;
import com.ruoyi.system.service.IHistoryProjectHtrwsJbxxNdjfService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 合同（任务书）项目（课题）基本信息_年度经费Controller
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@RestController
@RequestMapping("/system/ndjf")
public class HistoryProjectHtrwsJbxxNdjfController extends BaseController
{
    @Autowired
    private IHistoryProjectHtrwsJbxxNdjfService historyProjectHtrwsJbxxNdjfService;

    /**
     * 查询合同（任务书）项目（课题）基本信息_年度经费列表
     */

    @GetMapping("/list")
    public TableDataInfo list(HistoryProjectHtrwsJbxxNdjf historyProjectHtrwsJbxxNdjf)
    {
        startPage();
        List<HistoryProjectHtrwsJbxxNdjf> list = historyProjectHtrwsJbxxNdjfService.selectHistoryProjectHtrwsJbxxNdjfList(historyProjectHtrwsJbxxNdjf);
        return getDataTable(list);
    }

    /**
     * 导出合同（任务书）项目（课题）基本信息_年度经费列表
     */

    @Log(title = "合同（任务书）项目（课题）基本信息_年度经费", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, HistoryProjectHtrwsJbxxNdjf historyProjectHtrwsJbxxNdjf)
    {
        List<HistoryProjectHtrwsJbxxNdjf> list = historyProjectHtrwsJbxxNdjfService.selectHistoryProjectHtrwsJbxxNdjfList(historyProjectHtrwsJbxxNdjf);
        ExcelUtil<HistoryProjectHtrwsJbxxNdjf> util = new ExcelUtil<HistoryProjectHtrwsJbxxNdjf>(HistoryProjectHtrwsJbxxNdjf.class);
        util.exportExcel(response, list, "合同（任务书）项目（课题）基本信息_年度经费数据");
    }

    /**
     * 获取合同（任务书）项目（课题）基本信息_年度经费详细信息
     */

    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(historyProjectHtrwsJbxxNdjfService.selectHistoryProjectHtrwsJbxxNdjfById(id));
    }

    /**
     * 新增合同（任务书）项目（课题）基本信息_年度经费
     */

    @Log(title = "合同（任务书）项目（课题）基本信息_年度经费", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody HistoryProjectHtrwsJbxxNdjf historyProjectHtrwsJbxxNdjf)
    {
        return toAjax(historyProjectHtrwsJbxxNdjfService.insertHistoryProjectHtrwsJbxxNdjf(historyProjectHtrwsJbxxNdjf));
    }

    /**
     * 修改合同（任务书）项目（课题）基本信息_年度经费
     */

    @Log(title = "合同（任务书）项目（课题）基本信息_年度经费", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody HistoryProjectHtrwsJbxxNdjf historyProjectHtrwsJbxxNdjf)
    {
        return toAjax(historyProjectHtrwsJbxxNdjfService.updateHistoryProjectHtrwsJbxxNdjf(historyProjectHtrwsJbxxNdjf));
    }

    /**
     * 删除合同（任务书）项目（课题）基本信息_年度经费
     */

    @Log(title = "合同（任务书）项目（课题）基本信息_年度经费", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(historyProjectHtrwsJbxxNdjfService.deleteHistoryProjectHtrwsJbxxNdjfByIds(ids));
    }
}
