package com.ruoyi.system.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.HistoryProjectHtwtxyJbxx;
import com.ruoyi.system.service.IHistoryProjectHtwtxyJbxxService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 委托协议基本信息Controller
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@RestController
@RequestMapping("/system/jbxx/Htwtxy")
public class HistoryProjectHtwtxyJbxxController extends BaseController
{
    @Autowired
    private IHistoryProjectHtwtxyJbxxService historyProjectHtwtxyJbxxService;

    /**
     * 查询委托协议基本信息列表
     */

    @GetMapping("/list")
    public TableDataInfo list(HistoryProjectHtwtxyJbxx historyProjectHtwtxyJbxx)
    {
        startPage();
        List<HistoryProjectHtwtxyJbxx> list = historyProjectHtwtxyJbxxService.selectHistoryProjectHtwtxyJbxxList(historyProjectHtwtxyJbxx);
        return getDataTable(list);
    }

    /**
     * 导出委托协议基本信息列表
     */

    @Log(title = "委托协议基本信息", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, HistoryProjectHtwtxyJbxx historyProjectHtwtxyJbxx)
    {
        List<HistoryProjectHtwtxyJbxx> list = historyProjectHtwtxyJbxxService.selectHistoryProjectHtwtxyJbxxList(historyProjectHtwtxyJbxx);
        ExcelUtil<HistoryProjectHtwtxyJbxx> util = new ExcelUtil<HistoryProjectHtwtxyJbxx>(HistoryProjectHtwtxyJbxx.class);
        util.exportExcel(response, list, "委托协议基本信息数据");
    }

    /**
     * 获取委托协议基本信息详细信息
     */

    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(historyProjectHtwtxyJbxxService.selectHistoryProjectHtwtxyJbxxById(id));
    }

    /**
     * 新增委托协议基本信息
     */

    @Log(title = "委托协议基本信息", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody HistoryProjectHtwtxyJbxx historyProjectHtwtxyJbxx)
    {
        return toAjax(historyProjectHtwtxyJbxxService.insertHistoryProjectHtwtxyJbxx(historyProjectHtwtxyJbxx));
    }

    /**
     * 修改委托协议基本信息
     */

    @Log(title = "委托协议基本信息", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody HistoryProjectHtwtxyJbxx historyProjectHtwtxyJbxx)
    {
        return toAjax(historyProjectHtwtxyJbxxService.updateHistoryProjectHtwtxyJbxx(historyProjectHtwtxyJbxx));
    }

    /**
     * 删除委托协议基本信息
     */

    @Log(title = "委托协议基本信息", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(historyProjectHtwtxyJbxxService.deleteHistoryProjectHtwtxyJbxxByIds(ids));
    }
}
