package com.ruoyi.system.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.HistoryProjectHtwtxyJbxxFyfpmx;
import com.ruoyi.system.service.IHistoryProjectHtwtxyJbxxFyfpmxService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 委托协议基本信息_费用分配明细Controller
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@RestController
@RequestMapping("/system/fyfpmx")
public class HistoryProjectHtwtxyJbxxFyfpmxController extends BaseController
{
    @Autowired
    private IHistoryProjectHtwtxyJbxxFyfpmxService historyProjectHtwtxyJbxxFyfpmxService;

    /**
     * 查询委托协议基本信息_费用分配明细列表
     */

    @GetMapping("/list")
    public TableDataInfo list(HistoryProjectHtwtxyJbxxFyfpmx historyProjectHtwtxyJbxxFyfpmx)
    {
        startPage();
        List<HistoryProjectHtwtxyJbxxFyfpmx> list = historyProjectHtwtxyJbxxFyfpmxService.selectHistoryProjectHtwtxyJbxxFyfpmxList(historyProjectHtwtxyJbxxFyfpmx);
        return getDataTable(list);
    }

    /**
     * 导出委托协议基本信息_费用分配明细列表
     */

    @Log(title = "委托协议基本信息_费用分配明细", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, HistoryProjectHtwtxyJbxxFyfpmx historyProjectHtwtxyJbxxFyfpmx)
    {
        List<HistoryProjectHtwtxyJbxxFyfpmx> list = historyProjectHtwtxyJbxxFyfpmxService.selectHistoryProjectHtwtxyJbxxFyfpmxList(historyProjectHtwtxyJbxxFyfpmx);
        ExcelUtil<HistoryProjectHtwtxyJbxxFyfpmx> util = new ExcelUtil<HistoryProjectHtwtxyJbxxFyfpmx>(HistoryProjectHtwtxyJbxxFyfpmx.class);
        util.exportExcel(response, list, "委托协议基本信息_费用分配明细数据");
    }

    /**
     * 获取委托协议基本信息_费用分配明细详细信息
     */

    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(historyProjectHtwtxyJbxxFyfpmxService.selectHistoryProjectHtwtxyJbxxFyfpmxById(id));
    }

    /**
     * 新增委托协议基本信息_费用分配明细
     */

    @Log(title = "委托协议基本信息_费用分配明细", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody HistoryProjectHtwtxyJbxxFyfpmx historyProjectHtwtxyJbxxFyfpmx)
    {
        return toAjax(historyProjectHtwtxyJbxxFyfpmxService.insertHistoryProjectHtwtxyJbxxFyfpmx(historyProjectHtwtxyJbxxFyfpmx));
    }

    /**
     * 修改委托协议基本信息_费用分配明细
     */

    @Log(title = "委托协议基本信息_费用分配明细", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody HistoryProjectHtwtxyJbxxFyfpmx historyProjectHtwtxyJbxxFyfpmx)
    {
        return toAjax(historyProjectHtwtxyJbxxFyfpmxService.updateHistoryProjectHtwtxyJbxxFyfpmx(historyProjectHtwtxyJbxxFyfpmx));
    }

    /**
     * 删除委托协议基本信息_费用分配明细
     */

    @Log(title = "委托协议基本信息_费用分配明细", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(historyProjectHtwtxyJbxxFyfpmxService.deleteHistoryProjectHtwtxyJbxxFyfpmxByIds(ids));
    }
}
