package com.ruoyi.system.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.HistoryProjectHtysJbxx;
import com.ruoyi.system.service.IHistoryProjectHtysJbxxService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 项目验收信息Controller
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@RestController
@RequestMapping("/system/jbxx/Htys")
public class HistoryProjectHtysJbxxController extends BaseController
{
    @Autowired
    private IHistoryProjectHtysJbxxService historyProjectHtysJbxxService;

    /**
     * 查询项目验收信息列表
     */

    @GetMapping("/list")
    public TableDataInfo list(HistoryProjectHtysJbxx historyProjectHtysJbxx)
    {
        startPage();
        List<HistoryProjectHtysJbxx> list = historyProjectHtysJbxxService.selectHistoryProjectHtysJbxxList(historyProjectHtysJbxx);
        return getDataTable(list);
    }

    /**
     * 导出项目验收信息列表
     */

    @Log(title = "项目验收信息", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, HistoryProjectHtysJbxx historyProjectHtysJbxx)
    {
        List<HistoryProjectHtysJbxx> list = historyProjectHtysJbxxService.selectHistoryProjectHtysJbxxList(historyProjectHtysJbxx);
        ExcelUtil<HistoryProjectHtysJbxx> util = new ExcelUtil<HistoryProjectHtysJbxx>(HistoryProjectHtysJbxx.class);
        util.exportExcel(response, list, "项目验收信息数据");
    }

    /**
     * 获取项目验收信息详细信息
     */

    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(historyProjectHtysJbxxService.selectHistoryProjectHtysJbxxById(id));
    }

    /**
     * 新增项目验收信息
     */

    @Log(title = "项目验收信息", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody HistoryProjectHtysJbxx historyProjectHtysJbxx)
    {
        return toAjax(historyProjectHtysJbxxService.insertHistoryProjectHtysJbxx(historyProjectHtysJbxx));
    }

    /**
     * 修改项目验收信息
     */

    @Log(title = "项目验收信息", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody HistoryProjectHtysJbxx historyProjectHtysJbxx)
    {
        return toAjax(historyProjectHtysJbxxService.updateHistoryProjectHtysJbxx(historyProjectHtysJbxx));
    }

    /**
     * 删除项目验收信息
     */

    @Log(title = "项目验收信息", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(historyProjectHtysJbxxService.deleteHistoryProjectHtysJbxxByIds(ids));
    }
}
