package com.ruoyi.system.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.HistoryProjectHtyysJbxx;
import com.ruoyi.system.service.IHistoryProjectHtyysJbxxService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 预验收信息Controller
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@RestController
@RequestMapping("/system/jbxx/Htyys")
public class HistoryProjectHtyysJbxxController extends BaseController
{
    @Autowired
    private IHistoryProjectHtyysJbxxService historyProjectHtyysJbxxService;

    /**
     * 查询预验收信息列表
     */

    @GetMapping("/list")
    public TableDataInfo list(HistoryProjectHtyysJbxx historyProjectHtyysJbxx)
    {
        startPage();
        List<HistoryProjectHtyysJbxx> list = historyProjectHtyysJbxxService.selectHistoryProjectHtyysJbxxList(historyProjectHtyysJbxx);
        return getDataTable(list);
    }

    /**
     * 导出预验收信息列表
     */

    @Log(title = "预验收信息", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, HistoryProjectHtyysJbxx historyProjectHtyysJbxx)
    {
        List<HistoryProjectHtyysJbxx> list = historyProjectHtyysJbxxService.selectHistoryProjectHtyysJbxxList(historyProjectHtyysJbxx);
        ExcelUtil<HistoryProjectHtyysJbxx> util = new ExcelUtil<HistoryProjectHtyysJbxx>(HistoryProjectHtyysJbxx.class);
        util.exportExcel(response, list, "预验收信息数据");
    }

    /**
     * 获取预验收信息详细信息
     */

    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(historyProjectHtyysJbxxService.selectHistoryProjectHtyysJbxxById(id));
    }

    /**
     * 新增预验收信息
     */

    @Log(title = "预验收信息", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody HistoryProjectHtyysJbxx historyProjectHtyysJbxx)
    {
        return toAjax(historyProjectHtyysJbxxService.insertHistoryProjectHtyysJbxx(historyProjectHtyysJbxx));
    }

    /**
     * 修改预验收信息
     */
    @Log(title = "预验收信息", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody HistoryProjectHtyysJbxx historyProjectHtyysJbxx)
    {
        return toAjax(historyProjectHtyysJbxxService.updateHistoryProjectHtyysJbxx(historyProjectHtyysJbxx));
    }

    /**
     * 删除预验收信息
     */

    @Log(title = "预验收信息", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(historyProjectHtyysJbxxService.deleteHistoryProjectHtyysJbxxByIds(ids));
    }
}
