package com.ruoyi.system.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.HistoryProjectHtzjJbxx;
import com.ruoyi.system.service.IHistoryProjectHtzjJbxxService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 项目中检信息Controller
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@RestController
@RequestMapping("/system/jbxx/Htzj")
public class HistoryProjectHtzjJbxxController extends BaseController
{
    @Autowired
    private IHistoryProjectHtzjJbxxService historyProjectHtzjJbxxService;

    /**
     * 查询项目中检信息列表
     */

    @GetMapping("/list")
    public TableDataInfo list(HistoryProjectHtzjJbxx historyProjectHtzjJbxx)
    {
        startPage();
        List<HistoryProjectHtzjJbxx> list = historyProjectHtzjJbxxService.selectHistoryProjectHtzjJbxxList(historyProjectHtzjJbxx);
        return getDataTable(list);
    }

    /**
     * 导出项目中检信息列表
     */

    @Log(title = "项目中检信息", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, HistoryProjectHtzjJbxx historyProjectHtzjJbxx)
    {
        List<HistoryProjectHtzjJbxx> list = historyProjectHtzjJbxxService.selectHistoryProjectHtzjJbxxList(historyProjectHtzjJbxx);
        ExcelUtil<HistoryProjectHtzjJbxx> util = new ExcelUtil<HistoryProjectHtzjJbxx>(HistoryProjectHtzjJbxx.class);
        util.exportExcel(response, list, "项目中检信息数据");
    }

    /**
     * 获取项目中检信息详细信息
     */

    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(historyProjectHtzjJbxxService.selectHistoryProjectHtzjJbxxById(id));
    }

    /**
     * 新增项目中检信息
     */

    @Log(title = "项目中检信息", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody HistoryProjectHtzjJbxx historyProjectHtzjJbxx)
    {
        return toAjax(historyProjectHtzjJbxxService.insertHistoryProjectHtzjJbxx(historyProjectHtzjJbxx));
    }

    /**
     * 修改项目中检信息
     */

    @Log(title = "项目中检信息", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody HistoryProjectHtzjJbxx historyProjectHtzjJbxx)
    {
        return toAjax(historyProjectHtzjJbxxService.updateHistoryProjectHtzjJbxx(historyProjectHtzjJbxx));
    }

    /**
     * 删除项目中检信息
     */

    @Log(title = "项目中检信息", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(historyProjectHtzjJbxxService.deleteHistoryProjectHtzjJbxxByIds(ids));
    }
}
