package com.ruoyi.system.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.HistoryProjectHtzscqcgJbxx;
import com.ruoyi.system.service.IHistoryProjectHtzscqcgJbxxService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 项目（课题）知识产权成果基本信息Controller
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@RestController
@RequestMapping("/system/jbxx/Htzscqcg")
public class HistoryProjectHtzscqcgJbxxController extends BaseController
{
    @Autowired
    private IHistoryProjectHtzscqcgJbxxService historyProjectHtzscqcgJbxxService;

    /**
     * 查询项目（课题）知识产权成果基本信息列表
     */

    @GetMapping("/list")
    public TableDataInfo list(HistoryProjectHtzscqcgJbxx historyProjectHtzscqcgJbxx)
    {
        startPage();
        List<HistoryProjectHtzscqcgJbxx> list = historyProjectHtzscqcgJbxxService.selectHistoryProjectHtzscqcgJbxxList(historyProjectHtzscqcgJbxx);
        return getDataTable(list);
    }

    /**
     * 导出项目（课题）知识产权成果基本信息列表
     */

    @Log(title = "项目（课题）知识产权成果基本信息", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, HistoryProjectHtzscqcgJbxx historyProjectHtzscqcgJbxx)
    {
        List<HistoryProjectHtzscqcgJbxx> list = historyProjectHtzscqcgJbxxService.selectHistoryProjectHtzscqcgJbxxList(historyProjectHtzscqcgJbxx);
        ExcelUtil<HistoryProjectHtzscqcgJbxx> util = new ExcelUtil<HistoryProjectHtzscqcgJbxx>(HistoryProjectHtzscqcgJbxx.class);
        util.exportExcel(response, list, "项目（课题）知识产权成果基本信息数据");
    }

    /**
     * 获取项目（课题）知识产权成果基本信息详细信息
     */

    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(historyProjectHtzscqcgJbxxService.selectHistoryProjectHtzscqcgJbxxById(id));
    }

    /**
     * 新增项目（课题）知识产权成果基本信息
     */

    @Log(title = "项目（课题）知识产权成果基本信息", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody HistoryProjectHtzscqcgJbxx historyProjectHtzscqcgJbxx)
    {
        return toAjax(historyProjectHtzscqcgJbxxService.insertHistoryProjectHtzscqcgJbxx(historyProjectHtzscqcgJbxx));
    }

    /**
     * 修改项目（课题）知识产权成果基本信息
     */

    @Log(title = "项目（课题）知识产权成果基本信息", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody HistoryProjectHtzscqcgJbxx historyProjectHtzscqcgJbxx)
    {
        return toAjax(historyProjectHtzscqcgJbxxService.updateHistoryProjectHtzscqcgJbxx(historyProjectHtzscqcgJbxx));
    }

    /**
     * 删除项目（课题）知识产权成果基本信息
     */

    @Log(title = "项目（课题）知识产权成果基本信息", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(historyProjectHtzscqcgJbxxService.deleteHistoryProjectHtzscqcgJbxxByIds(ids));
    }
}
