package com.ruoyi.system.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.HtjhDqwlgsxmndjfys;
import com.ruoyi.system.service.IHtjhDqwlgsxmndjfysService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 合同计划-地球物理公司项目年度经费预算主Controller
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@RestController
@RequestMapping("/system/dqwlgsxmndjfys")
public class HtjhDqwlgsxmndjfysController extends BaseController
{
    @Autowired
    private IHtjhDqwlgsxmndjfysService htjhDqwlgsxmndjfysService;

    /**
     * 查询合同计划-地球物理公司项目年度经费预算主列表
     */

    @GetMapping("/list")
    public TableDataInfo list(HtjhDqwlgsxmndjfys htjhDqwlgsxmndjfys)
    {
        startPage();
        List<HtjhDqwlgsxmndjfys> list = htjhDqwlgsxmndjfysService.selectHtjhDqwlgsxmndjfysList(htjhDqwlgsxmndjfys);
        return getDataTable(list);
    }

    /**
     * 导出合同计划-地球物理公司项目年度经费预算主列表
     */

    @Log(title = "合同计划-地球物理公司项目年度经费预算主", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, HtjhDqwlgsxmndjfys htjhDqwlgsxmndjfys)
    {
        List<HtjhDqwlgsxmndjfys> list = htjhDqwlgsxmndjfysService.selectHtjhDqwlgsxmndjfysList(htjhDqwlgsxmndjfys);
        ExcelUtil<HtjhDqwlgsxmndjfys> util = new ExcelUtil<HtjhDqwlgsxmndjfys>(HtjhDqwlgsxmndjfys.class);
        util.exportExcel(response, list, "合同计划-地球物理公司项目年度经费预算主数据");
    }

    /**
     * 获取合同计划-地球物理公司项目年度经费预算主详细信息
     */

    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(htjhDqwlgsxmndjfysService.selectHtjhDqwlgsxmndjfysById(id));
    }

    /**
     * 新增合同计划-地球物理公司项目年度经费预算主
     */

    @Log(title = "合同计划-地球物理公司项目年度经费预算主", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody HtjhDqwlgsxmndjfys htjhDqwlgsxmndjfys)
    {
        return toAjax(htjhDqwlgsxmndjfysService.insertHtjhDqwlgsxmndjfys(htjhDqwlgsxmndjfys));
    }

    /**
     * 修改合同计划-地球物理公司项目年度经费预算主
     */

    @Log(title = "合同计划-地球物理公司项目年度经费预算主", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody HtjhDqwlgsxmndjfys htjhDqwlgsxmndjfys)
    {
        return toAjax(htjhDqwlgsxmndjfysService.updateHtjhDqwlgsxmndjfys(htjhDqwlgsxmndjfys));
    }

    /**
     * 删除合同计划-地球物理公司项目年度经费预算主
     */

    @Log(title = "合同计划-地球物理公司项目年度经费预算主", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(htjhDqwlgsxmndjfysService.deleteHtjhDqwlgsxmndjfysByIds(ids));
    }
}
