package com.ruoyi.system.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.HtjhGfgsxmndjfys;
import com.ruoyi.system.service.IHtjhGfgsxmndjfysService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 合同计划-股份公司项目年度经费预算主Controller
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@RestController
@RequestMapping("/system/gfgsxmndjfys")
public class HtjhGfgsxmndjfysController extends BaseController
{
    @Autowired
    private IHtjhGfgsxmndjfysService htjhGfgsxmndjfysService;

    /**
     * 查询合同计划-股份公司项目年度经费预算主列表
     */

    @GetMapping("/list")
    public TableDataInfo list(HtjhGfgsxmndjfys htjhGfgsxmndjfys)
    {
        startPage();
        List<HtjhGfgsxmndjfys> list = htjhGfgsxmndjfysService.selectHtjhGfgsxmndjfysList(htjhGfgsxmndjfys);
        return getDataTable(list);
    }

    /**
     * 导出合同计划-股份公司项目年度经费预算主列表
     */

    @Log(title = "合同计划-股份公司项目年度经费预算主", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, HtjhGfgsxmndjfys htjhGfgsxmndjfys)
    {
        List<HtjhGfgsxmndjfys> list = htjhGfgsxmndjfysService.selectHtjhGfgsxmndjfysList(htjhGfgsxmndjfys);
        ExcelUtil<HtjhGfgsxmndjfys> util = new ExcelUtil<HtjhGfgsxmndjfys>(HtjhGfgsxmndjfys.class);
        util.exportExcel(response, list, "合同计划-股份公司项目年度经费预算主数据");
    }

    /**
     * 获取合同计划-股份公司项目年度经费预算主详细信息
     */

    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(htjhGfgsxmndjfysService.selectHtjhGfgsxmndjfysById(id));
    }

    /**
     * 新增合同计划-股份公司项目年度经费预算主
     */

    @Log(title = "合同计划-股份公司项目年度经费预算主", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody HtjhGfgsxmndjfys htjhGfgsxmndjfys)
    {
        return toAjax(htjhGfgsxmndjfysService.insertHtjhGfgsxmndjfys(htjhGfgsxmndjfys));
    }

    /**
     * 修改合同计划-股份公司项目年度经费预算主
     */

    @Log(title = "合同计划-股份公司项目年度经费预算主", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody HtjhGfgsxmndjfys htjhGfgsxmndjfys)
    {
        return toAjax(htjhGfgsxmndjfysService.updateHtjhGfgsxmndjfys(htjhGfgsxmndjfys));
    }

    /**
     * 删除合同计划-股份公司项目年度经费预算主
     */

    @Log(title = "合同计划-股份公司项目年度经费预算主", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(htjhGfgsxmndjfysService.deleteHtjhGfgsxmndjfysByIds(ids));
    }
}
