package com.ruoyi.system.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.HtjhGfgsxmndjfysKmys;
import com.ruoyi.system.service.IHtjhGfgsxmndjfysKmysService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 合同计划-股份公司项目年度经费预算科目Controller
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@RestController
@RequestMapping("/system/kmys/HtjhGfgsxmndjfys")
public class HtjhGfgsxmndjfysKmysController extends BaseController
{
    @Autowired
    private IHtjhGfgsxmndjfysKmysService htjhGfgsxmndjfysKmysService;

    /**
     * 查询合同计划-股份公司项目年度经费预算科目列表
     */

    @GetMapping("/list")
    public TableDataInfo list(HtjhGfgsxmndjfysKmys htjhGfgsxmndjfysKmys)
    {
        startPage();
        List<HtjhGfgsxmndjfysKmys> list = htjhGfgsxmndjfysKmysService.selectHtjhGfgsxmndjfysKmysList(htjhGfgsxmndjfysKmys);
        return getDataTable(list);
    }

    /**
     * 导出合同计划-股份公司项目年度经费预算科目列表
     */

    @Log(title = "合同计划-股份公司项目年度经费预算科目", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, HtjhGfgsxmndjfysKmys htjhGfgsxmndjfysKmys)
    {
        List<HtjhGfgsxmndjfysKmys> list = htjhGfgsxmndjfysKmysService.selectHtjhGfgsxmndjfysKmysList(htjhGfgsxmndjfysKmys);
        ExcelUtil<HtjhGfgsxmndjfysKmys> util = new ExcelUtil<HtjhGfgsxmndjfysKmys>(HtjhGfgsxmndjfysKmys.class);
        util.exportExcel(response, list, "合同计划-股份公司项目年度经费预算科目数据");
    }

    /**
     * 获取合同计划-股份公司项目年度经费预算科目详细信息
     */

    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(htjhGfgsxmndjfysKmysService.selectHtjhGfgsxmndjfysKmysById(id));
    }

    /**
     * 新增合同计划-股份公司项目年度经费预算科目
     */

    @Log(title = "合同计划-股份公司项目年度经费预算科目", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody HtjhGfgsxmndjfysKmys htjhGfgsxmndjfysKmys)
    {
        return toAjax(htjhGfgsxmndjfysKmysService.insertHtjhGfgsxmndjfysKmys(htjhGfgsxmndjfysKmys));
    }

    /**
     * 修改合同计划-股份公司项目年度经费预算科目
     */

    @Log(title = "合同计划-股份公司项目年度经费预算科目", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody HtjhGfgsxmndjfysKmys htjhGfgsxmndjfysKmys)
    {
        return toAjax(htjhGfgsxmndjfysKmysService.updateHtjhGfgsxmndjfysKmys(htjhGfgsxmndjfysKmys));
    }

    /**
     * 删除合同计划-股份公司项目年度经费预算科目
     */

    @Log(title = "合同计划-股份公司项目年度经费预算科目", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(htjhGfgsxmndjfysKmysService.deleteHtjhGfgsxmndjfysKmysByIds(ids));
    }
}
