package com.ruoyi.system.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.HtjhGjxmndjfys;
import com.ruoyi.system.service.IHtjhGjxmndjfysService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 合同计划-国家项目年度经费预算主Controller
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@RestController
@RequestMapping("/system/gjxmndjfys")
public class HtjhGjxmndjfysController extends BaseController
{
    @Autowired
    private IHtjhGjxmndjfysService htjhGjxmndjfysService;

    /**
     * 查询合同计划-国家项目年度经费预算主列表
     */

    @GetMapping("/list")
    public TableDataInfo list(HtjhGjxmndjfys htjhGjxmndjfys)
    {
        startPage();
        List<HtjhGjxmndjfys> list = htjhGjxmndjfysService.selectHtjhGjxmndjfysList(htjhGjxmndjfys);
        return getDataTable(list);
    }

    /**
     * 导出合同计划-国家项目年度经费预算主列表
     */

    @Log(title = "合同计划-国家项目年度经费预算主", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, HtjhGjxmndjfys htjhGjxmndjfys)
    {
        List<HtjhGjxmndjfys> list = htjhGjxmndjfysService.selectHtjhGjxmndjfysList(htjhGjxmndjfys);
        ExcelUtil<HtjhGjxmndjfys> util = new ExcelUtil<HtjhGjxmndjfys>(HtjhGjxmndjfys.class);
        util.exportExcel(response, list, "合同计划-国家项目年度经费预算主数据");
    }

    /**
     * 获取合同计划-国家项目年度经费预算主详细信息
     */

    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(htjhGjxmndjfysService.selectHtjhGjxmndjfysById(id));
    }

    /**
     * 新增合同计划-国家项目年度经费预算主
     */

    @Log(title = "合同计划-国家项目年度经费预算主", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody HtjhGjxmndjfys htjhGjxmndjfys)
    {
        return toAjax(htjhGjxmndjfysService.insertHtjhGjxmndjfys(htjhGjxmndjfys));
    }

    /**
     * 修改合同计划-国家项目年度经费预算主
     */

    @Log(title = "合同计划-国家项目年度经费预算主", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody HtjhGjxmndjfys htjhGjxmndjfys)
    {
        return toAjax(htjhGjxmndjfysService.updateHtjhGjxmndjfys(htjhGjxmndjfys));
    }

    /**
     * 删除合同计划-国家项目年度经费预算主
     */

    @Log(title = "合同计划-国家项目年度经费预算主", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(htjhGjxmndjfysService.deleteHtjhGjxmndjfysByIds(ids));
    }
}
