package com.ruoyi.system.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.HtjhGjxmndjfysKmys;
import com.ruoyi.system.service.IHtjhGjxmndjfysKmysService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 合同计划-国家项目年度经费预算科目Controller
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@RestController
@RequestMapping("/system/kmys/HtjhGjxmndjfys")
public class HtjhGjxmndjfysKmysController extends BaseController
{
    @Autowired
    private IHtjhGjxmndjfysKmysService htjhGjxmndjfysKmysService;

    /**
     * 查询合同计划-国家项目年度经费预算科目列表
     */

    @GetMapping("/list")
    public TableDataInfo list(HtjhGjxmndjfysKmys htjhGjxmndjfysKmys)
    {
        startPage();
        List<HtjhGjxmndjfysKmys> list = htjhGjxmndjfysKmysService.selectHtjhGjxmndjfysKmysList(htjhGjxmndjfysKmys);
        return getDataTable(list);
    }

    /**
     * 导出合同计划-国家项目年度经费预算科目列表
     */

    @Log(title = "合同计划-国家项目年度经费预算科目", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, HtjhGjxmndjfysKmys htjhGjxmndjfysKmys)
    {
        List<HtjhGjxmndjfysKmys> list = htjhGjxmndjfysKmysService.selectHtjhGjxmndjfysKmysList(htjhGjxmndjfysKmys);
        ExcelUtil<HtjhGjxmndjfysKmys> util = new ExcelUtil<HtjhGjxmndjfysKmys>(HtjhGjxmndjfysKmys.class);
        util.exportExcel(response, list, "合同计划-国家项目年度经费预算科目数据");
    }

    /**
     * 获取合同计划-国家项目年度经费预算科目详细信息
     */
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(htjhGjxmndjfysKmysService.selectHtjhGjxmndjfysKmysById(id));
    }

    /**
     * 新增合同计划-国家项目年度经费预算科目
     */

    @Log(title = "合同计划-国家项目年度经费预算科目", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody HtjhGjxmndjfysKmys htjhGjxmndjfysKmys)
    {
        return toAjax(htjhGjxmndjfysKmysService.insertHtjhGjxmndjfysKmys(htjhGjxmndjfysKmys));
    }

    /**
     * 修改合同计划-国家项目年度经费预算科目
     */

    @Log(title = "合同计划-国家项目年度经费预算科目", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody HtjhGjxmndjfysKmys htjhGjxmndjfysKmys)
    {
        return toAjax(htjhGjxmndjfysKmysService.updateHtjhGjxmndjfysKmys(htjhGjxmndjfysKmys));
    }

    /**
     * 删除合同计划-国家项目年度经费预算科目
     */

    @Log(title = "合同计划-国家项目年度经费预算科目", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(htjhGjxmndjfysKmysService.deleteHtjhGjxmndjfysKmysByIds(ids));
    }
}
