package com.ruoyi.system.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.HtjhGjxmndjfysSbfmx;
import com.ruoyi.system.service.IHtjhGjxmndjfysSbfmxService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 合同计划-国家项目年度经费预算-设备费明细Controller
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@RestController
@RequestMapping("/system/sbfmx/HtjhGjxmndjfys")
public class HtjhGjxmndjfysSbfmxController extends BaseController
{
    @Autowired
    private IHtjhGjxmndjfysSbfmxService htjhGjxmndjfysSbfmxService;

    /**
     * 查询合同计划-国家项目年度经费预算-设备费明细列表
     */

    @GetMapping("/list")
    public TableDataInfo list(HtjhGjxmndjfysSbfmx htjhGjxmndjfysSbfmx)
    {
        startPage();
        List<HtjhGjxmndjfysSbfmx> list = htjhGjxmndjfysSbfmxService.selectHtjhGjxmndjfysSbfmxList(htjhGjxmndjfysSbfmx);
        return getDataTable(list);
    }

    /**
     * 导出合同计划-国家项目年度经费预算-设备费明细列表
     */

    @Log(title = "合同计划-国家项目年度经费预算-设备费明细", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, HtjhGjxmndjfysSbfmx htjhGjxmndjfysSbfmx)
    {
        List<HtjhGjxmndjfysSbfmx> list = htjhGjxmndjfysSbfmxService.selectHtjhGjxmndjfysSbfmxList(htjhGjxmndjfysSbfmx);
        ExcelUtil<HtjhGjxmndjfysSbfmx> util = new ExcelUtil<HtjhGjxmndjfysSbfmx>(HtjhGjxmndjfysSbfmx.class);
        util.exportExcel(response, list, "合同计划-国家项目年度经费预算-设备费明细数据");
    }

    /**
     * 获取合同计划-国家项目年度经费预算-设备费明细详细信息
     */

    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(htjhGjxmndjfysSbfmxService.selectHtjhGjxmndjfysSbfmxById(id));
    }

    /**
     * 新增合同计划-国家项目年度经费预算-设备费明细
     */

    @Log(title = "合同计划-国家项目年度经费预算-设备费明细", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody HtjhGjxmndjfysSbfmx htjhGjxmndjfysSbfmx)
    {
        return toAjax(htjhGjxmndjfysSbfmxService.insertHtjhGjxmndjfysSbfmx(htjhGjxmndjfysSbfmx));
    }

    /**
     * 修改合同计划-国家项目年度经费预算-设备费明细
     */

    @Log(title = "合同计划-国家项目年度经费预算-设备费明细", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody HtjhGjxmndjfysSbfmx htjhGjxmndjfysSbfmx)
    {
        return toAjax(htjhGjxmndjfysSbfmxService.updateHtjhGjxmndjfysSbfmx(htjhGjxmndjfysSbfmx));
    }

    /**
     * 删除合同计划-国家项目年度经费预算-设备费明细
     */

    @Log(title = "合同计划-国家项目年度经费预算-设备费明细", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(htjhGjxmndjfysSbfmxService.deleteHtjhGjxmndjfysSbfmxByIds(ids));
    }
}
