package com.ruoyi.system.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.HtjhGjxmndjfysYsmx;
import com.ruoyi.system.service.IHtjhGjxmndjfysYsmxService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 合同计划-国家项目年度经费预算-预算明细Controller
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@RestController
@RequestMapping("/system/ysmx/HtjhGjxmndjfys")
public class HtjhGjxmndjfysYsmxController extends BaseController
{
    @Autowired
    private IHtjhGjxmndjfysYsmxService htjhGjxmndjfysYsmxService;

    /**
     * 查询合同计划-国家项目年度经费预算-预算明细列表
     */

    @GetMapping("/list")
    public TableDataInfo list(HtjhGjxmndjfysYsmx htjhGjxmndjfysYsmx)
    {
        startPage();
        List<HtjhGjxmndjfysYsmx> list = htjhGjxmndjfysYsmxService.selectHtjhGjxmndjfysYsmxList(htjhGjxmndjfysYsmx);
        return getDataTable(list);
    }

    /**
     * 导出合同计划-国家项目年度经费预算-预算明细列表
     */

    @Log(title = "合同计划-国家项目年度经费预算-预算明细", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, HtjhGjxmndjfysYsmx htjhGjxmndjfysYsmx)
    {
        List<HtjhGjxmndjfysYsmx> list = htjhGjxmndjfysYsmxService.selectHtjhGjxmndjfysYsmxList(htjhGjxmndjfysYsmx);
        ExcelUtil<HtjhGjxmndjfysYsmx> util = new ExcelUtil<HtjhGjxmndjfysYsmx>(HtjhGjxmndjfysYsmx.class);
        util.exportExcel(response, list, "合同计划-国家项目年度经费预算-预算明细数据");
    }

    /**
     * 获取合同计划-国家项目年度经费预算-预算明细详细信息
     */

    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(htjhGjxmndjfysYsmxService.selectHtjhGjxmndjfysYsmxById(id));
    }

    /**
     * 新增合同计划-国家项目年度经费预算-预算明细
     */

    @Log(title = "合同计划-国家项目年度经费预算-预算明细", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody HtjhGjxmndjfysYsmx htjhGjxmndjfysYsmx)
    {
        return toAjax(htjhGjxmndjfysYsmxService.insertHtjhGjxmndjfysYsmx(htjhGjxmndjfysYsmx));
    }

    /**
     * 修改合同计划-国家项目年度经费预算-预算明细
     */

    @Log(title = "合同计划-国家项目年度经费预算-预算明细", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody HtjhGjxmndjfysYsmx htjhGjxmndjfysYsmx)
    {
        return toAjax(htjhGjxmndjfysYsmxService.updateHtjhGjxmndjfysYsmx(htjhGjxmndjfysYsmx));
    }

    /**
     * 删除合同计划-国家项目年度经费预算-预算明细
     */

    @Log(title = "合同计划-国家项目年度经费预算-预算明细", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(htjhGjxmndjfysYsmxService.deleteHtjhGjxmndjfysYsmxByIds(ids));
    }
}
