package com.ruoyi.system.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.Jfndzctzmx;
import com.ruoyi.system.service.IJfndzctzmxService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 经费年度实际支出台账明细Controller
 *
 * @author ruoyi
 * @date 2025-02-19
 */
@RestController
@RequestMapping("/system/jfndzctzmx")
public class JfndzctzmxController extends BaseController
{
    @Autowired
    private IJfndzctzmxService jfndzctzmxService;

    /**
     * 查询经费年度实际支出台账明细列表
     */

    @GetMapping("/list")
    public TableDataInfo list(Jfndzctzmx jfndzctzmx)
    {
        startPage();
        List<Jfndzctzmx> list = jfndzctzmxService.selectJfndzctzmxList(jfndzctzmx);
        return getDataTable(list);
    }

    /**
     * 导出经费年度实际支出台账明细列表
     */

    @Log(title = "经费年度实际支出台账明细", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, Jfndzctzmx jfndzctzmx)
    {
        List<Jfndzctzmx> list = jfndzctzmxService.selectJfndzctzmxList(jfndzctzmx);
        ExcelUtil<Jfndzctzmx> util = new ExcelUtil<Jfndzctzmx>(Jfndzctzmx.class);
        util.exportExcel(response, list, "经费年度实际支出台账明细数据");
    }

    /**
     * 获取经费年度实际支出台账明细详细信息
     */

    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(jfndzctzmxService.selectJfndzctzmxById(id));
    }

    /**
     * 新增经费年度实际支出台账明细
     */

    @Log(title = "经费年度实际支出台账明细", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody Jfndzctzmx jfndzctzmx)
    {
        return toAjax(jfndzctzmxService.insertJfndzctzmx(jfndzctzmx));
    }

    /**
     * 修改经费年度实际支出台账明细
     */

    @Log(title = "经费年度实际支出台账明细", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody Jfndzctzmx jfndzctzmx)
    {
        return toAjax(jfndzctzmxService.updateJfndzctzmx(jfndzctzmx));
    }

    /**
     * 删除经费年度实际支出台账明细
     */

    @Log(title = "经费年度实际支出台账明细", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(jfndzctzmxService.deleteJfndzctzmxByIds(ids));
    }
}
