package com.ruoyi.system.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.JfsjzcYdjjhdfx;
import com.ruoyi.system.service.IJfsjzcYdjjhdfxService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 经费实际支出分析_月度经济活动分析Controller
 *
 * @author ruoyi
 * @date 2025-02-19
 */
@RestController
@RequestMapping("/system/ydjjhdfx/Jfsjzc")
public class JfsjzcYdjjhdfxController extends BaseController
{
    @Autowired
    private IJfsjzcYdjjhdfxService jfsjzcYdjjhdfxService;

    /**
     * 查询经费实际支出分析_月度经济活动分析列表
     */

    @GetMapping("/list")
    public TableDataInfo list(JfsjzcYdjjhdfx jfsjzcYdjjhdfx)
    {
        startPage();
        List<JfsjzcYdjjhdfx> list = jfsjzcYdjjhdfxService.selectJfsjzcYdjjhdfxList(jfsjzcYdjjhdfx);
        return getDataTable(list);
    }

    /**
     * 导出经费实际支出分析_月度经济活动分析列表
     */

    @Log(title = "经费实际支出分析_月度经济活动分析", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, JfsjzcYdjjhdfx jfsjzcYdjjhdfx)
    {
        List<JfsjzcYdjjhdfx> list = jfsjzcYdjjhdfxService.selectJfsjzcYdjjhdfxList(jfsjzcYdjjhdfx);
        ExcelUtil<JfsjzcYdjjhdfx> util = new ExcelUtil<JfsjzcYdjjhdfx>(JfsjzcYdjjhdfx.class);
        util.exportExcel(response, list, "经费实际支出分析_月度经济活动分析数据");
    }

    /**
     * 获取经费实际支出分析_月度经济活动分析详细信息
     */

    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(jfsjzcYdjjhdfxService.selectJfsjzcYdjjhdfxById(id));
    }

    /**
     * 新增经费实际支出分析_月度经济活动分析
     */

    @Log(title = "经费实际支出分析_月度经济活动分析", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody JfsjzcYdjjhdfx jfsjzcYdjjhdfx)
    {
        return toAjax(jfsjzcYdjjhdfxService.insertJfsjzcYdjjhdfx(jfsjzcYdjjhdfx));
    }

    /**
     * 修改经费实际支出分析_月度经济活动分析
     */

    @Log(title = "经费实际支出分析_月度经济活动分析", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody JfsjzcYdjjhdfx jfsjzcYdjjhdfx)
    {
        return toAjax(jfsjzcYdjjhdfxService.updateJfsjzcYdjjhdfx(jfsjzcYdjjhdfx));
    }

    /**
     * 删除经费实际支出分析_月度经济活动分析
     */

    @Log(title = "经费实际支出分析_月度经济活动分析", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(jfsjzcYdjjhdfxService.deleteJfsjzcYdjjhdfxByIds(ids));
    }
}
