package com.ruoyi.system.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.JfsyqkFgsbndjfsy;
import com.ruoyi.system.service.IJfsyqkFgsbndjfsyService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 经费使用情况_分公司半年度使用情况Controller
 *
 * @author ruoyi
 * @date 2025-02-19
 */
@RestController
@RequestMapping("/system/fgsbndjfsy")
public class JfsyqkFgsbndjfsyController extends BaseController
{
    @Autowired
    private IJfsyqkFgsbndjfsyService jfsyqkFgsbndjfsyService;

    /**
     * 查询经费使用情况_分公司半年度使用情况列表
     */

    @GetMapping("/list")
    public TableDataInfo list(JfsyqkFgsbndjfsy jfsyqkFgsbndjfsy)
    {
        startPage();
        List<JfsyqkFgsbndjfsy> list = jfsyqkFgsbndjfsyService.selectJfsyqkFgsbndjfsyList(jfsyqkFgsbndjfsy);
        return getDataTable(list);
    }

    /**
     * 导出经费使用情况_分公司半年度使用情况列表
     */

    @Log(title = "经费使用情况_分公司半年度使用情况", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, JfsyqkFgsbndjfsy jfsyqkFgsbndjfsy)
    {
        List<JfsyqkFgsbndjfsy> list = jfsyqkFgsbndjfsyService.selectJfsyqkFgsbndjfsyList(jfsyqkFgsbndjfsy);
        ExcelUtil<JfsyqkFgsbndjfsy> util = new ExcelUtil<JfsyqkFgsbndjfsy>(JfsyqkFgsbndjfsy.class);
        util.exportExcel(response, list, "经费使用情况_分公司半年度使用情况数据");
    }

    /**
     * 获取经费使用情况_分公司半年度使用情况详细信息
     */

    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(jfsyqkFgsbndjfsyService.selectJfsyqkFgsbndjfsyById(id));
    }

    /**
     * 新增经费使用情况_分公司半年度使用情况
     */

    @Log(title = "经费使用情况_分公司半年度使用情况", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody JfsyqkFgsbndjfsy jfsyqkFgsbndjfsy)
    {
        return toAjax(jfsyqkFgsbndjfsyService.insertJfsyqkFgsbndjfsy(jfsyqkFgsbndjfsy));
    }

    /**
     * 修改经费使用情况_分公司半年度使用情况
     */

    @Log(title = "经费使用情况_分公司半年度使用情况", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody JfsyqkFgsbndjfsy jfsyqkFgsbndjfsy)
    {
        return toAjax(jfsyqkFgsbndjfsyService.updateJfsyqkFgsbndjfsy(jfsyqkFgsbndjfsy));
    }

    /**
     * 删除经费使用情况_分公司半年度使用情况
     */

    @Log(title = "经费使用情况_分公司半年度使用情况", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(jfsyqkFgsbndjfsyService.deleteJfsyqkFgsbndjfsyByIds(ids));
    }
}
