package com.ruoyi.system.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.JfsyqkJdjfsyxxqk;
import com.ruoyi.system.service.IJfsyqkJdjfsyxxqkService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 经费使用情况_季度经费使用情况Controller
 *
 * @author ruoyi
 * @date 2025-02-20
 */
@RestController
@RequestMapping("/system/jdjfsyxxqk")
public class JfsyqkJdjfsyxxqkController extends BaseController
{
    @Autowired
    private IJfsyqkJdjfsyxxqkService jfsyqkJdjfsyxxqkService;

    /**
     * 查询经费使用情况_季度经费使用情况列表
     */

    @GetMapping("/list")
    public TableDataInfo list(JfsyqkJdjfsyxxqk jfsyqkJdjfsyxxqk)
    {
        startPage();
        List<JfsyqkJdjfsyxxqk> list = jfsyqkJdjfsyxxqkService.selectJfsyqkJdjfsyxxqkList(jfsyqkJdjfsyxxqk);
        return getDataTable(list);
    }

    /**
     * 导出经费使用情况_季度经费使用情况列表
     */

    @Log(title = "经费使用情况_季度经费使用情况", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, JfsyqkJdjfsyxxqk jfsyqkJdjfsyxxqk)
    {
        List<JfsyqkJdjfsyxxqk> list = jfsyqkJdjfsyxxqkService.selectJfsyqkJdjfsyxxqkList(jfsyqkJdjfsyxxqk);
        ExcelUtil<JfsyqkJdjfsyxxqk> util = new ExcelUtil<JfsyqkJdjfsyxxqk>(JfsyqkJdjfsyxxqk.class);
        util.exportExcel(response, list, "经费使用情况_季度经费使用情况数据");
    }

    /**
     * 获取经费使用情况_季度经费使用情况详细信息
     */

    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(jfsyqkJdjfsyxxqkService.selectJfsyqkJdjfsyxxqkById(id));
    }

    /**
     * 新增经费使用情况_季度经费使用情况
     */

    @Log(title = "经费使用情况_季度经费使用情况", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody JfsyqkJdjfsyxxqk jfsyqkJdjfsyxxqk)
    {
        return toAjax(jfsyqkJdjfsyxxqkService.insertJfsyqkJdjfsyxxqk(jfsyqkJdjfsyxxqk));
    }

    /**
     * 修改经费使用情况_季度经费使用情况
     */

    @Log(title = "经费使用情况_季度经费使用情况", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody JfsyqkJdjfsyxxqk jfsyqkJdjfsyxxqk)
    {
        return toAjax(jfsyqkJdjfsyxxqkService.updateJfsyqkJdjfsyxxqk(jfsyqkJdjfsyxxqk));
    }

    /**
     * 删除经费使用情况_季度经费使用情况
     */

    @Log(title = "经费使用情况_季度经费使用情况", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(jfsyqkJdjfsyxxqkService.deleteJfsyqkJdjfsyxxqkByIds(ids));
    }
}
