package com.ruoyi.system.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.JfsyqkJtgsbndjfsyKmys;
import com.ruoyi.system.service.IJfsyqkJtgsbndjfsyKmysService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 经费使用情况_集团公司半年度使用情况预算科目Controller
 *
 * @author ruoyi
 * @date 2025-02-20
 */
@RestController
@RequestMapping("/system/kmys/JfsyqkJtgsbndjfsy")
public class JfsyqkJtgsbndjfsyKmysController extends BaseController
{
    @Autowired
    private IJfsyqkJtgsbndjfsyKmysService jfsyqkJtgsbndjfsyKmysService;

    /**
     * 查询经费使用情况_集团公司半年度使用情况预算科目列表
     */

    @GetMapping("/list")
    public TableDataInfo list(JfsyqkJtgsbndjfsyKmys jfsyqkJtgsbndjfsyKmys)
    {
        startPage();
        List<JfsyqkJtgsbndjfsyKmys> list = jfsyqkJtgsbndjfsyKmysService.selectJfsyqkJtgsbndjfsyKmysList(jfsyqkJtgsbndjfsyKmys);
        return getDataTable(list);
    }

    /**
     * 导出经费使用情况_集团公司半年度使用情况预算科目列表
     */
    @Log(title = "经费使用情况_集团公司半年度使用情况预算科目", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, JfsyqkJtgsbndjfsyKmys jfsyqkJtgsbndjfsyKmys)
    {
        List<JfsyqkJtgsbndjfsyKmys> list = jfsyqkJtgsbndjfsyKmysService.selectJfsyqkJtgsbndjfsyKmysList(jfsyqkJtgsbndjfsyKmys);
        ExcelUtil<JfsyqkJtgsbndjfsyKmys> util = new ExcelUtil<JfsyqkJtgsbndjfsyKmys>(JfsyqkJtgsbndjfsyKmys.class);
        util.exportExcel(response, list, "经费使用情况_集团公司半年度使用情况预算科目数据");
    }

    /**
     * 获取经费使用情况_集团公司半年度使用情况预算科目详细信息
     */

    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(jfsyqkJtgsbndjfsyKmysService.selectJfsyqkJtgsbndjfsyKmysById(id));
    }

    /**
     * 新增经费使用情况_集团公司半年度使用情况预算科目
     */

    @Log(title = "经费使用情况_集团公司半年度使用情况预算科目", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody JfsyqkJtgsbndjfsyKmys jfsyqkJtgsbndjfsyKmys)
    {
        return toAjax(jfsyqkJtgsbndjfsyKmysService.insertJfsyqkJtgsbndjfsyKmys(jfsyqkJtgsbndjfsyKmys));
    }

    /**
     * 修改经费使用情况_集团公司半年度使用情况预算科目
     */

    @Log(title = "经费使用情况_集团公司半年度使用情况预算科目", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody JfsyqkJtgsbndjfsyKmys jfsyqkJtgsbndjfsyKmys)
    {
        return toAjax(jfsyqkJtgsbndjfsyKmysService.updateJfsyqkJtgsbndjfsyKmys(jfsyqkJtgsbndjfsyKmys));
    }

    /**
     * 删除经费使用情况_集团公司半年度使用情况预算科目
     */

    @Log(title = "经费使用情况_集团公司半年度使用情况预算科目", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(jfsyqkJtgsbndjfsyKmysService.deleteJfsyqkJtgsbndjfsyKmysByIds(ids));
    }
}
