package com.ruoyi.system.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.OutsourcingWxxspsFwsjswjscqk;
import com.ruoyi.system.service.IOutsourcingWxxspsFwsjswjscqkService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 外协选商评审-服务商技术文件审查情况Controller
 *
 * @author ruoyi
 * @date 2025-02-26
 */
@RestController
@RequestMapping("/system/fwsjswjscqk")
public class OutsourcingWxxspsFwsjswjscqkController extends BaseController
{
    @Autowired
    private IOutsourcingWxxspsFwsjswjscqkService outsourcingWxxspsFwsjswjscqkService;

    /**
     * 查询外协选商评审-服务商技术文件审查情况列表
     */

    @GetMapping("/list")
    public TableDataInfo list(OutsourcingWxxspsFwsjswjscqk outsourcingWxxspsFwsjswjscqk)
    {
        startPage();
        List<OutsourcingWxxspsFwsjswjscqk> list = outsourcingWxxspsFwsjswjscqkService.selectOutsourcingWxxspsFwsjswjscqkList(outsourcingWxxspsFwsjswjscqk);
        return getDataTable(list);
    }

    /**
     * 导出外协选商评审-服务商技术文件审查情况列表
     */

    @Log(title = "外协选商评审-服务商技术文件审查情况", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, OutsourcingWxxspsFwsjswjscqk outsourcingWxxspsFwsjswjscqk)
    {
        List<OutsourcingWxxspsFwsjswjscqk> list = outsourcingWxxspsFwsjswjscqkService.selectOutsourcingWxxspsFwsjswjscqkList(outsourcingWxxspsFwsjswjscqk);
        ExcelUtil<OutsourcingWxxspsFwsjswjscqk> util = new ExcelUtil<OutsourcingWxxspsFwsjswjscqk>(OutsourcingWxxspsFwsjswjscqk.class);
        util.exportExcel(response, list, "外协选商评审-服务商技术文件审查情况数据");
    }

    /**
     * 获取外协选商评审-服务商技术文件审查情况详细信息
     */

    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(outsourcingWxxspsFwsjswjscqkService.selectOutsourcingWxxspsFwsjswjscqkById(id));
    }

    /**
     * 新增外协选商评审-服务商技术文件审查情况
     */

    @Log(title = "外协选商评审-服务商技术文件审查情况", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody OutsourcingWxxspsFwsjswjscqk outsourcingWxxspsFwsjswjscqk)
    {
        return toAjax(outsourcingWxxspsFwsjswjscqkService.insertOutsourcingWxxspsFwsjswjscqk(outsourcingWxxspsFwsjswjscqk));
    }

    /**
     * 修改外协选商评审-服务商技术文件审查情况
     */

    @Log(title = "外协选商评审-服务商技术文件审查情况", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody OutsourcingWxxspsFwsjswjscqk outsourcingWxxspsFwsjswjscqk)
    {
        return toAjax(outsourcingWxxspsFwsjswjscqkService.updateOutsourcingWxxspsFwsjswjscqk(outsourcingWxxspsFwsjswjscqk));
    }

    /**
     * 删除外协选商评审-服务商技术文件审查情况
     */

    @Log(title = "外协选商评审-服务商技术文件审查情况", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(outsourcingWxxspsFwsjswjscqkService.deleteOutsourcingWxxspsFwsjswjscqkByIds(ids));
    }
}
