package com.ruoyi.system.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.OutsourcingWxxspsFwszgscqk;
import com.ruoyi.system.service.IOutsourcingWxxspsFwszgscqkService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 外协选商评审-服务商资格审查情况Controller
 *
 * @author ruoyi
 * @date 2025-02-26
 */
@RestController
@RequestMapping("/system/fwszgscqk/OutsourcingWxxsps")
public class OutsourcingWxxspsFwszgscqkController extends BaseController
{
    @Autowired
    private IOutsourcingWxxspsFwszgscqkService outsourcingWxxspsFwszgscqkService;

    /**
     * 查询外协选商评审-服务商资格审查情况列表
     */

    @GetMapping("/list")
    public TableDataInfo list(OutsourcingWxxspsFwszgscqk outsourcingWxxspsFwszgscqk)
    {
        startPage();
        List<OutsourcingWxxspsFwszgscqk> list = outsourcingWxxspsFwszgscqkService.selectOutsourcingWxxspsFwszgscqkList(outsourcingWxxspsFwszgscqk);
        return getDataTable(list);
    }

    /**
     * 导出外协选商评审-服务商资格审查情况列表
     */

    @Log(title = "外协选商评审-服务商资格审查情况", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, OutsourcingWxxspsFwszgscqk outsourcingWxxspsFwszgscqk)
    {
        List<OutsourcingWxxspsFwszgscqk> list = outsourcingWxxspsFwszgscqkService.selectOutsourcingWxxspsFwszgscqkList(outsourcingWxxspsFwszgscqk);
        ExcelUtil<OutsourcingWxxspsFwszgscqk> util = new ExcelUtil<OutsourcingWxxspsFwszgscqk>(OutsourcingWxxspsFwszgscqk.class);
        util.exportExcel(response, list, "外协选商评审-服务商资格审查情况数据");
    }

    /**
     * 获取外协选商评审-服务商资格审查情况详细信息
     */
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(outsourcingWxxspsFwszgscqkService.selectOutsourcingWxxspsFwszgscqkById(id));
    }

    /**
     * 新增外协选商评审-服务商资格审查情况
     */

    @Log(title = "外协选商评审-服务商资格审查情况", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody OutsourcingWxxspsFwszgscqk outsourcingWxxspsFwszgscqk)
    {
        return toAjax(outsourcingWxxspsFwszgscqkService.insertOutsourcingWxxspsFwszgscqk(outsourcingWxxspsFwszgscqk));
    }

    /**
     * 修改外协选商评审-服务商资格审查情况
     */

    @Log(title = "外协选商评审-服务商资格审查情况", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody OutsourcingWxxspsFwszgscqk outsourcingWxxspsFwszgscqk)
    {
        return toAjax(outsourcingWxxspsFwszgscqkService.updateOutsourcingWxxspsFwszgscqk(outsourcingWxxspsFwszgscqk));
    }

    /**
     * 删除外协选商评审-服务商资格审查情况
     */

    @Log(title = "外协选商评审-服务商资格审查情况", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(outsourcingWxxspsFwszgscqkService.deleteOutsourcingWxxspsFwszgscqkByIds(ids));
    }
}
