package com.ruoyi.system.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.OutsourcingWxyxyys;
import com.ruoyi.system.service.IOutsourcingWxyxyysService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 外协运行与验收Controller
 *
 * @author ruoyi
 * @date 2025-02-26
 */
@RestController
@RequestMapping("/system/wxyxyys/Outsourcing")
public class OutsourcingWxyxyysController extends BaseController
{
    @Autowired
    private IOutsourcingWxyxyysService outsourcingWxyxyysService;

    /**
     * 查询外协运行与验收列表
     */

    @GetMapping("/list")
    public TableDataInfo list(OutsourcingWxyxyys outsourcingWxyxyys)
    {
        startPage();
        List<OutsourcingWxyxyys> list = outsourcingWxyxyysService.selectOutsourcingWxyxyysList(outsourcingWxyxyys);
        return getDataTable(list);
    }

    /**
     * 导出外协运行与验收列表
     */

    @Log(title = "外协运行与验收", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, OutsourcingWxyxyys outsourcingWxyxyys)
    {
        List<OutsourcingWxyxyys> list = outsourcingWxyxyysService.selectOutsourcingWxyxyysList(outsourcingWxyxyys);
        ExcelUtil<OutsourcingWxyxyys> util = new ExcelUtil<OutsourcingWxyxyys>(OutsourcingWxyxyys.class);
        util.exportExcel(response, list, "外协运行与验收数据");
    }

    /**
     * 获取外协运行与验收详细信息
     */

    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(outsourcingWxyxyysService.selectOutsourcingWxyxyysById(id));
    }

    /**
     * 新增外协运行与验收
     */

    @Log(title = "外协运行与验收", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody OutsourcingWxyxyys outsourcingWxyxyys)
    {
        return toAjax(outsourcingWxyxyysService.insertOutsourcingWxyxyys(outsourcingWxyxyys));
    }

    /**
     * 修改外协运行与验收
     */

    @Log(title = "外协运行与验收", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody OutsourcingWxyxyys outsourcingWxyxyys)
    {
        return toAjax(outsourcingWxyxyysService.updateOutsourcingWxyxyys(outsourcingWxyxyys));
    }

    /**
     * 删除外协运行与验收
     */

    @Log(title = "外协运行与验收", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(outsourcingWxyxyysService.deleteOutsourcingWxyxyysByIds(ids));
    }
}
