package com.ruoyi.system.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.OutsourcingWxyxyysJdapjkhzb;
import com.ruoyi.system.service.IOutsourcingWxyxyysJdapjkhzbService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 外协运行与验收-进度安排及考核指标Controller
 *
 * @author ruoyi
 * @date 2025-02-26
 */
@RestController
@RequestMapping("/system/jdapjkhzb/OutsourcingWxyxyys")
public class OutsourcingWxyxyysJdapjkhzbController extends BaseController
{
    @Autowired
    private IOutsourcingWxyxyysJdapjkhzbService outsourcingWxyxyysJdapjkhzbService;

    /**
     * 查询外协运行与验收-进度安排及考核指标列表
     */
    @GetMapping("/list")
    public TableDataInfo list(OutsourcingWxyxyysJdapjkhzb outsourcingWxyxyysJdapjkhzb)
    {
        startPage();
        List<OutsourcingWxyxyysJdapjkhzb> list = outsourcingWxyxyysJdapjkhzbService.selectOutsourcingWxyxyysJdapjkhzbList(outsourcingWxyxyysJdapjkhzb);
        return getDataTable(list);
    }

    /**
     * 导出外协运行与验收-进度安排及考核指标列表
     */
    @Log(title = "外协运行与验收-进度安排及考核指标", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, OutsourcingWxyxyysJdapjkhzb outsourcingWxyxyysJdapjkhzb)
    {
        List<OutsourcingWxyxyysJdapjkhzb> list = outsourcingWxyxyysJdapjkhzbService.selectOutsourcingWxyxyysJdapjkhzbList(outsourcingWxyxyysJdapjkhzb);
        ExcelUtil<OutsourcingWxyxyysJdapjkhzb> util = new ExcelUtil<OutsourcingWxyxyysJdapjkhzb>(OutsourcingWxyxyysJdapjkhzb.class);
        util.exportExcel(response, list, "外协运行与验收-进度安排及考核指标数据");
    }

    /**
     * 获取外协运行与验收-进度安排及考核指标详细信息
     */
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(outsourcingWxyxyysJdapjkhzbService.selectOutsourcingWxyxyysJdapjkhzbById(id));
    }

    /**
     * 新增外协运行与验收-进度安排及考核指标
     */
    @Log(title = "外协运行与验收-进度安排及考核指标", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody OutsourcingWxyxyysJdapjkhzb outsourcingWxyxyysJdapjkhzb)
    {
        return toAjax(outsourcingWxyxyysJdapjkhzbService.insertOutsourcingWxyxyysJdapjkhzb(outsourcingWxyxyysJdapjkhzb));
    }

    /**
     * 修改外协运行与验收-进度安排及考核指标
     */
    @Log(title = "外协运行与验收-进度安排及考核指标", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody OutsourcingWxyxyysJdapjkhzb outsourcingWxyxyysJdapjkhzb)
    {
        return toAjax(outsourcingWxyxyysJdapjkhzbService.updateOutsourcingWxyxyysJdapjkhzb(outsourcingWxyxyysJdapjkhzb));
    }

    /**
     * 删除外协运行与验收-进度安排及考核指标
     */
    @Log(title = "外协运行与验收-进度安排及考核指标", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(outsourcingWxyxyysJdapjkhzbService.deleteOutsourcingWxyxyysJdapjkhzbByIds(ids));
    }
}
