package com.ruoyi.system.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.OutsourcingWxyxyysKtyjry;
import com.ruoyi.system.service.IOutsourcingWxyxyysKtyjryService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 外协运行与验收-课题研究人员Controller
 *
 * @author ruoyi
 * @date 2025-02-26
 */
@RestController
@RequestMapping("/system/ktyjry")
public class OutsourcingWxyxyysKtyjryController extends BaseController
{
    @Autowired
    private IOutsourcingWxyxyysKtyjryService outsourcingWxyxyysKtyjryService;

    /**
     * 查询外协运行与验收-课题研究人员列表
     */

    @GetMapping("/list")
    public TableDataInfo list(OutsourcingWxyxyysKtyjry outsourcingWxyxyysKtyjry)
    {
        startPage();
        List<OutsourcingWxyxyysKtyjry> list = outsourcingWxyxyysKtyjryService.selectOutsourcingWxyxyysKtyjryList(outsourcingWxyxyysKtyjry);
        return getDataTable(list);
    }

    /**
     * 导出外协运行与验收-课题研究人员列表
     */

    @Log(title = "外协运行与验收-课题研究人员", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, OutsourcingWxyxyysKtyjry outsourcingWxyxyysKtyjry)
    {
        List<OutsourcingWxyxyysKtyjry> list = outsourcingWxyxyysKtyjryService.selectOutsourcingWxyxyysKtyjryList(outsourcingWxyxyysKtyjry);
        ExcelUtil<OutsourcingWxyxyysKtyjry> util = new ExcelUtil<OutsourcingWxyxyysKtyjry>(OutsourcingWxyxyysKtyjry.class);
        util.exportExcel(response, list, "外协运行与验收-课题研究人员数据");
    }

    /**
     * 获取外协运行与验收-课题研究人员详细信息
     */

    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(outsourcingWxyxyysKtyjryService.selectOutsourcingWxyxyysKtyjryById(id));
    }

    /**
     * 新增外协运行与验收-课题研究人员
     */
    @Log(title = "外协运行与验收-课题研究人员", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody OutsourcingWxyxyysKtyjry outsourcingWxyxyysKtyjry)
    {
        return toAjax(outsourcingWxyxyysKtyjryService.insertOutsourcingWxyxyysKtyjry(outsourcingWxyxyysKtyjry));
    }

    /**
     * 修改外协运行与验收-课题研究人员
     */
    @Log(title = "外协运行与验收-课题研究人员", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody OutsourcingWxyxyysKtyjry outsourcingWxyxyysKtyjry)
    {
        return toAjax(outsourcingWxyxyysKtyjryService.updateOutsourcingWxyxyysKtyjry(outsourcingWxyxyysKtyjry));
    }

    /**
     * 删除外协运行与验收-课题研究人员
     */
    @Log(title = "外协运行与验收-课题研究人员", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(outsourcingWxyxyysKtyjryService.deleteOutsourcingWxyxyysKtyjryByIds(ids));
    }
}
