package com.ruoyi.system.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.OutsourcingWxyxyysXmyhqk;
import com.ruoyi.system.service.IOutsourcingWxyxyysXmyhqkService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 外协运行与验收-项目运行情况Controller
 *
 * @author ruoyi
 * @date 2025-02-26
 */
@RestController
@RequestMapping("/system/xmyhqk")
public class OutsourcingWxyxyysXmyhqkController extends BaseController
{
    @Autowired
    private IOutsourcingWxyxyysXmyhqkService outsourcingWxyxyysXmyhqkService;

    /**
     * 查询外协运行与验收-项目运行情况列表
     */
    @GetMapping("/list")
    public TableDataInfo list(OutsourcingWxyxyysXmyhqk outsourcingWxyxyysXmyhqk)
    {

        startPage();
        List<OutsourcingWxyxyysXmyhqk> list = outsourcingWxyxyysXmyhqkService.selectOutsourcingWxyxyysXmyhqkList(outsourcingWxyxyysXmyhqk);
        return getDataTable(list);

    }

    /**
     * 导出外协运行与验收-项目运行情况列表
     */
    @Log(title = "外协运行与验收-项目运行情况", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, OutsourcingWxyxyysXmyhqk outsourcingWxyxyysXmyhqk)
    {
        List<OutsourcingWxyxyysXmyhqk> list = outsourcingWxyxyysXmyhqkService.selectOutsourcingWxyxyysXmyhqkList(outsourcingWxyxyysXmyhqk);
        ExcelUtil<OutsourcingWxyxyysXmyhqk> util = new ExcelUtil<OutsourcingWxyxyysXmyhqk>(OutsourcingWxyxyysXmyhqk.class);
        util.exportExcel(response, list, "外协运行与验收-项目运行情况数据");
    }

    /**
     * 获取外协运行与验收-项目运行情况详细信息
     */
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(outsourcingWxyxyysXmyhqkService.selectOutsourcingWxyxyysXmyhqkById(id));
    }

    /**
     * 新增外协运行与验收-项目运行情况
     */
    @Log(title = "外协运行与验收-项目运行情况", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody OutsourcingWxyxyysXmyhqk outsourcingWxyxyysXmyhqk)
    {
        return toAjax(outsourcingWxyxyysXmyhqkService.insertOutsourcingWxyxyysXmyhqk(outsourcingWxyxyysXmyhqk));
    }

    /**
     * 修改外协运行与验收-项目运行情况
     */
    @Log(title = "外协运行与验收-项目运行情况", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody OutsourcingWxyxyysXmyhqk outsourcingWxyxyysXmyhqk)
    {
        return toAjax(outsourcingWxyxyysXmyhqkService.updateOutsourcingWxyxyysXmyhqk(outsourcingWxyxyysXmyhqk));
    }

    /**
     * 删除外协运行与验收-项目运行情况
     */
    @Log(title = "外协运行与验收-项目运行情况", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(outsourcingWxyxyysXmyhqkService.deleteOutsourcingWxyxyysXmyhqkByIds(ids));
    }
}
