package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 主要完成人情况对象 applyprizes_project_completepeople
 *
 * @author ruoyi
 * @date 2025-01-13
 */
public class ApplyprizesProjectCompletepeople extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 项目id */
    @Excel(name = "项目id")
    private Long project_id;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 性别 */
    @Excel(name = "性别")
    private String sex;

    /** 排名 */
    @Excel(name = "排名")
    private String ranking;

    /** 工作单位 */
    @Excel(name = "工作单位")
    private String work_dept;

    /** 出生年月 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "出生年月", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date birthday;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String phone;

    /** 邮箱 */
    @Excel(name = "邮箱")
    private String e_mail;

    /** 通讯地址 */
    @Excel(name = "通讯地址")
    private String mailing_address;

    /** 毕业院校 */
    @Excel(name = "毕业院校")
    private String graduate_school;

    /** 文化程度 */
    @Excel(name = "文化程度")
    private String degree_education;

    /** 最高学位 */
    @Excel(name = "最高学位")
    private String highest_degree;

    /** 职务、职称 */
    @Excel(name = "职务、职称")
    private String position;

    /** 专业、专长 */
    @Excel(name = "专业、专长")
    private String major;

    /** 毕业时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "毕业时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date graduation_time;

    /** 外语语种 */
    @Excel(name = "外语语种")
    private String foreign_language;

    /** 熟练程度 */
    @Excel(name = "熟练程度")
    private String proficiency;

    /** 曾获奖励及荣誉称号情况 */
    @Excel(name = "曾获奖励及荣誉称号情况")
    private String honorary_title;

    /** 参加本项目的起始时间  */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "参加本项目的起始时间 ", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date start_time;

    /** 参加本项目的结束时间  */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "参加本项目的结束时间 ", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date end_time;

    /** 创造性贡献   */
    @Excel(name = "创造性贡献  ")
    private String contribution;

    /** 项目完成期间，参加本项目累计工作时间占个人技术工作时间比例（%）    */
    @Excel(name = "项目完成期间，参加本项目累计工作时间占个人技术工作时间比例", readConverterExp = "%=")
    private String working_hours;

    /** 声明  */
    @Excel(name = "声明 ")
    private String declaration;

    /** 说明 */
    @Excel(name = "说明")
    private String remarks;

    /** 创建人 */
    @Excel(name = "创建人")
    private String created_by;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date created_time;

    /** 更新人 */
    private String update_by;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date update_time;

    /** 备用1  其他 */
    @Excel(name = "备用1  其他")
    private String ext1;

    /** 备用2 */
    @Excel(name = "备用2")
    private String ext2;

    /** 备用3 */
    @Excel(name = "备用3")
    private String ext3;

    /** 允许修改  1不允许 0 允许 */
    @Excel(name = "允许修改  1不允许 0 允许")
    private Long is_modify;

    /** 进度安排 */
    @Excel(name = "进度安排")
    private String plan;

    /** 类型 流程 */
    @Excel(name = "类型 流程")
    private String type;

    /** 申请人 流程 */
    @Excel(name = "申请人 流程")
    private String apply_user;

    /** 申请时间 流程 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "申请时间 流程", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date apply_time;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setProject_id(Long project_id)
    {
        this.project_id = project_id;
    }

    public Long getProject_id()
    {
        return project_id;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setSex(String sex)
    {
        this.sex = sex;
    }

    public String getSex()
    {
        return sex;
    }
    public void setRanking(String ranking)
    {
        this.ranking = ranking;
    }

    public String getRanking()
    {
        return ranking;
    }
    public void setWork_dept(String work_dept)
    {
        this.work_dept = work_dept;
    }

    public String getWork_dept()
    {
        return work_dept;
    }
    public void setBirthday(Date birthday)
    {
        this.birthday = birthday;
    }

    public Date getBirthday()
    {
        return birthday;
    }
    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getPhone()
    {
        return phone;
    }
    public void setE_mail(String e_mail)
    {
        this.e_mail = e_mail;
    }

    public String getE_mail()
    {
        return e_mail;
    }
    public void setMailing_address(String mailing_address)
    {
        this.mailing_address = mailing_address;
    }

    public String getMailing_address()
    {
        return mailing_address;
    }
    public void setGraduate_school(String graduate_school)
    {
        this.graduate_school = graduate_school;
    }

    public String getGraduate_school()
    {
        return graduate_school;
    }
    public void setDegree_education(String degree_education)
    {
        this.degree_education = degree_education;
    }

    public String getDegree_education()
    {
        return degree_education;
    }
    public void setHighest_degree(String highest_degree)
    {
        this.highest_degree = highest_degree;
    }

    public String getHighest_degree()
    {
        return highest_degree;
    }
    public void setPosition(String position)
    {
        this.position = position;
    }

    public String getPosition()
    {
        return position;
    }
    public void setMajor(String major)
    {
        this.major = major;
    }

    public String getMajor()
    {
        return major;
    }
    public void setGraduation_time(Date graduation_time)
    {
        this.graduation_time = graduation_time;
    }

    public Date getGraduation_time()
    {
        return graduation_time;
    }
    public void setForeign_language(String foreign_language)
    {
        this.foreign_language = foreign_language;
    }

    public String getForeign_language()
    {
        return foreign_language;
    }
    public void setProficiency(String proficiency)
    {
        this.proficiency = proficiency;
    }

    public String getProficiency()
    {
        return proficiency;
    }
    public void setHonorary_title(String honorary_title)
    {
        this.honorary_title = honorary_title;
    }

    public String getHonorary_title()
    {
        return honorary_title;
    }
    public void setStart_time(Date start_time)
    {
        this.start_time = start_time;
    }

    public Date getStart_time()
    {
        return start_time;
    }
    public void setEnd_time(Date end_time)
    {
        this.end_time = end_time;
    }

    public Date getEnd_time()
    {
        return end_time;
    }
    public void setContribution(String contribution)
    {
        this.contribution = contribution;
    }

    public String getContribution()
    {
        return contribution;
    }
    public void setWorking_hours(String working_hours)
    {
        this.working_hours = working_hours;
    }

    public String getWorking_hours()
    {
        return working_hours;
    }
    public void setDeclaration(String declaration)
    {
        this.declaration = declaration;
    }

    public String getDeclaration()
    {
        return declaration;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setCreated_by(String created_by)
    {
        this.created_by = created_by;
    }

    public String getCreated_by()
    {
        return created_by;
    }
    public void setCreated_time(Date created_time)
    {
        this.created_time = created_time;
    }

    public Date getCreated_time()
    {
        return created_time;
    }
    public void setUpdate_by(String update_by)
    {
        this.update_by = update_by;
    }

    public String getUpdate_by()
    {
        return update_by;
    }
    public void setUpdate_time(Date update_time)
    {
        this.update_time = update_time;
    }

    public Date getUpdate_time()
    {
        return update_time;
    }
    public void setExt1(String ext1)
    {
        this.ext1 = ext1;
    }

    public String getExt1()
    {
        return ext1;
    }
    public void setExt2(String ext2)
    {
        this.ext2 = ext2;
    }

    public String getExt2()
    {
        return ext2;
    }
    public void setExt3(String ext3)
    {
        this.ext3 = ext3;
    }

    public String getExt3()
    {
        return ext3;
    }
    public void setIs_modify(Long is_modify)
    {
        this.is_modify = is_modify;
    }

    public Long getIs_modify()
    {
        return is_modify;
    }
    public void setPlan(String plan)
    {
        this.plan = plan;
    }

    public String getPlan()
    {
        return plan;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setApply_user(String apply_user)
    {
        this.apply_user = apply_user;
    }

    public String getApply_user()
    {
        return apply_user;
    }
    public void setApply_time(Date apply_time)
    {
        this.apply_time = apply_time;
    }

    public Date getApply_time()
    {
        return apply_time;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("project_id", getProject_id())
                .append("name", getName())
                .append("sex", getSex())
                .append("ranking", getRanking())
                .append("work_dept", getWork_dept())
                .append("birthday", getBirthday())
                .append("phone", getPhone())
                .append("e_mail", getE_mail())
                .append("mailing_address", getMailing_address())
                .append("graduate_school", getGraduate_school())
                .append("degree_education", getDegree_education())
                .append("highest_degree", getHighest_degree())
                .append("position", getPosition())
                .append("major", getMajor())
                .append("graduation_time", getGraduation_time())
                .append("foreign_language", getForeign_language())
                .append("proficiency", getProficiency())
                .append("honorary_title", getHonorary_title())
                .append("start_time", getStart_time())
                .append("end_time", getEnd_time())
                .append("contribution", getContribution())
                .append("working_hours", getWorking_hours())
                .append("declaration", getDeclaration())
                .append("remarks", getRemarks())
                .append("created_by", getCreated_by())
                .append("created_time", getCreated_time())
                .append("update_by", getUpdate_by())
                .append("update_time", getUpdate_time())
                .append("ext1", getExt1())
                .append("ext2", getExt2())
                .append("ext3", getExt3())
                .append("is_modify", getIs_modify())
                .append("plan", getPlan())
                .append("type", getType())
                .append("apply_user", getApply_user())
                .append("apply_time", getApply_time())
                .toString();
    }
}
