package com.ruoyi.system.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 合同计划-地球物理公司项目年度经费预算主对象 htjh_dqwlgsxmndjfys
 *
 * @author ruoyi
 * @date 2025-02-18
 */
public class HtjhDqwlgsxmndjfys extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 课题id */
    @Excel(name = "课题id")
    private String project_id;

    /** 课题名称 */
    @Excel(name = "课题名称")
    private String project_name;

    /** 课题编号 */
    @Excel(name = "课题编号")
    private String project_code;

    /** 单位id */
    @Excel(name = "单位id")
    private String org_id;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String org_name;

    /** 年度 */
    @Excel(name = "年度")
    private String nd;

    /** 总预算（万元） */
    @Excel(name = "总预算", readConverterExp = "万=元")
    private BigDecimal zys;

    /** 总金额（万元） */
    @Excel(name = "总金额", readConverterExp = "万=元")
    private BigDecimal zje;

    /** 创建人 */
    @Excel(name = "创建人")
    private String created_by;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date created_time;

    /** 更新人 */
    private String update_by;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date update_time;

    /** 项目级别 */
    @Excel(name = "项目级别")
    private String ext1;

    /** 备用2 */
    @Excel(name = "备用2")
    private String ext2;

    /** 备用3 */
    @Excel(name = "备用3")
    private String ext3;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setProject_id(String project_id)
    {
        this.project_id = project_id;
    }

    public String getProject_id()
    {
        return project_id;
    }
    public void setProject_name(String project_name)
    {
        this.project_name = project_name;
    }

    public String getProject_name()
    {
        return project_name;
    }
    public void setProject_code(String project_code)
    {
        this.project_code = project_code;
    }

    public String getProject_code()
    {
        return project_code;
    }
    public void setOrg_id(String org_id)
    {
        this.org_id = org_id;
    }

    public String getOrg_id()
    {
        return org_id;
    }
    public void setOrg_name(String org_name)
    {
        this.org_name = org_name;
    }

    public String getOrg_name()
    {
        return org_name;
    }
    public void setNd(String nd)
    {
        this.nd = nd;
    }

    public String getNd()
    {
        return nd;
    }
    public void setZys(BigDecimal zys)
    {
        this.zys = zys;
    }

    public BigDecimal getZys()
    {
        return zys;
    }
    public void setZje(BigDecimal zje)
    {
        this.zje = zje;
    }

    public BigDecimal getZje()
    {
        return zje;
    }
    public void setCreated_by(String created_by)
    {
        this.created_by = created_by;
    }

    public String getCreated_by()
    {
        return created_by;
    }
    public void setCreated_time(Date created_time)
    {
        this.created_time = created_time;
    }

    public Date getCreated_time()
    {
        return created_time;
    }
    public void setUpdate_by(String update_by)
    {
        this.update_by = update_by;
    }

    public String getUpdate_by()
    {
        return update_by;
    }
    public void setUpdate_time(Date update_time)
    {
        this.update_time = update_time;
    }

    public Date getUpdate_time()
    {
        return update_time;
    }
    public void setExt1(String ext1)
    {
        this.ext1 = ext1;
    }

    public String getExt1()
    {
        return ext1;
    }
    public void setExt2(String ext2)
    {
        this.ext2 = ext2;
    }

    public String getExt2()
    {
        return ext2;
    }
    public void setExt3(String ext3)
    {
        this.ext3 = ext3;
    }

    public String getExt3()
    {
        return ext3;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("project_id", getProject_id())
                .append("project_name", getProject_name())
                .append("project_code", getProject_code())
                .append("org_id", getOrg_id())
                .append("org_name", getOrg_name())
                .append("nd", getNd())
                .append("zys", getZys())
                .append("zje", getZje())
                .append("remark", getRemark())
                .append("created_by", getCreated_by())
                .append("created_time", getCreated_time())
                .append("update_by", getUpdate_by())
                .append("update_time", getUpdate_time())
                .append("ext1", getExt1())
                .append("ext2", getExt2())
                .append("ext3", getExt3())
                .toString();
    }
}
