package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 科研指南;指南和项目征集放在一起对象 scientific_guide
 *
 * @author ruoyi
 * @date 2025-01-16
 */
public class ScientificGuide extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 类型（1指南、2项目征集） */
    @Excel(name = "类型", readConverterExp = "1=指南、2项目征集")
    private Long type;

    /** 编辑人 */
    @Excel(name = "编辑人")
    private String editor;

    /** 是否设置签收 */
    @Excel(name = "是否设置签收")
    private String is_sign;

    /** 是否显示 */
    @Excel(name = "是否显示")
    private String is_show;

    /** 文件id */
    @Excel(name = "文件id")
    private String file_id;

    /** 指南id */
    @Excel(name = "指南id")
    private String guide_id;

    /** 创建人 */
    @Excel(name = "创建人")
    private String created_by;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date created_time;

    /** 更新人 */
    private String update_by;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date update_time;

    /** 备用1 */
    @Excel(name = "备用1")
    private String ext1;

    /** 备用2 */
    @Excel(name = "备用2")
    private String ext2;

    /** 备用3 */
    @Excel(name = "备用3")
    private String ext3;

    /** 是否启用（指南） */
    @Excel(name = "是否启用", readConverterExp = "指=南")
    private String is_use;

    /** 填报开始时间 */
    @Excel(name = "填报开始时间")
    private String start_time;

    /** 填报结束时间 */
    @Excel(name = "填报结束时间")
    private String end_time;

    /** 计划批次 */
    @Excel(name = "计划批次")
    private String pc;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setType(Long type)
    {
        this.type = type;
    }

    public Long getType()
    {
        return type;
    }
    public void setEditor(String editor)
    {
        this.editor = editor;
    }

    public String getEditor()
    {
        return editor;
    }
    public void setIs_sign(String is_sign)
    {
        this.is_sign = is_sign;
    }

    public String getIs_sign()
    {
        return is_sign;
    }
    public void setIs_show(String is_show)
    {
        this.is_show = is_show;
    }

    public String getIs_show()
    {
        return is_show;
    }
    public void setFile_id(String file_id)
    {
        this.file_id = file_id;
    }

    public String getFile_id()
    {
        return file_id;
    }
    public void setGuide_id(String guide_id)
    {
        this.guide_id = guide_id;
    }

    public String getGuide_id()
    {
        return guide_id;
    }
    public void setCreated_by(String created_by)
    {
        this.created_by = created_by;
    }

    public String getCreated_by()
    {
        return created_by;
    }
    public void setCreated_time(Date created_time)
    {
        this.created_time = created_time;
    }

    public Date getCreated_time()
    {
        return created_time;
    }
    public void setUpdate_by(String update_by)
    {
        this.update_by = update_by;
    }

    public String getUpdate_by()
    {
        return update_by;
    }
    public void setUpdate_time(Date update_time)
    {
        this.update_time = update_time;
    }

    public Date getUpdate_time()
    {
        return update_time;
    }
    public void setExt1(String ext1)
    {
        this.ext1 = ext1;
    }

    public String getExt1()
    {
        return ext1;
    }
    public void setExt2(String ext2)
    {
        this.ext2 = ext2;
    }

    public String getExt2()
    {
        return ext2;
    }
    public void setExt3(String ext3)
    {
        this.ext3 = ext3;
    }

    public String getExt3()
    {
        return ext3;
    }
    public void setIs_use(String is_use)
    {
        this.is_use = is_use;
    }

    public String getIs_use()
    {
        return is_use;
    }
    public void setStart_time(String start_time)
    {
        this.start_time = start_time;
    }

    public String getStart_time()
    {
        return start_time;
    }
    public void setEnd_time(String end_time)
    {
        this.end_time = end_time;
    }

    public String getEnd_time()
    {
        return end_time;
    }
    public void setPc(String pc)
    {
        this.pc = pc;
    }

    public String getPc()
    {
        return pc;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("title", getTitle())
                .append("content", getContent())
                .append("type", getType())
                .append("editor", getEditor())
                .append("is_sign", getIs_sign())
                .append("is_show", getIs_show())
                .append("file_id", getFile_id())
                .append("guide_id", getGuide_id())
                .append("created_by", getCreated_by())
                .append("created_time", getCreated_time())
                .append("update_by", getUpdate_by())
                .append("update_time", getUpdate_time())
                .append("ext1", getExt1())
                .append("ext2", getExt2())
                .append("ext3", getExt3())
                .append("is_use", getIs_use())
                .append("start_time", getStart_time())
                .append("end_time", getEnd_time())
                .append("pc", getPc())
                .toString();
    }
}
