package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.ProjectDictProfession;

/**
 * 项目专业字典Mapper接口
 *
 * @author ruoyi
 * @date 2025-01-16
 */
public interface ProjectDictProfessionMapper
{
    /**
     * 查询项目专业字典
     *
     * @param id 项目专业字典主键
     * @return 项目专业字典
     */
    public ProjectDictProfession selectProjectDictProfessionById(Long id);

    /**
     * 查询项目专业字典列表
     *
     * @param projectDictProfession 项目专业字典
     * @return 项目专业字典集合
     */
    public List<ProjectDictProfession> selectProjectDictProfessionList(ProjectDictProfession projectDictProfession);

    /**
     * 新增项目专业字典
     *
     * @param projectDictProfession 项目专业字典
     * @return 结果
     */
    public int insertProjectDictProfession(ProjectDictProfession projectDictProfession);

    /**
     * 修改项目专业字典
     *
     * @param projectDictProfession 项目专业字典
     * @return 结果
     */
    public int updateProjectDictProfession(ProjectDictProfession projectDictProfession);

    /**
     * 删除项目专业字典
     *
     * @param id 项目专业字典主键
     * @return 结果
     */
    public int deleteProjectDictProfessionById(Long id);

    /**
     * 批量删除项目专业字典
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteProjectDictProfessionByIds(Long[] ids);
}
