package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.OutsourcingWxxsps;

/**
 * 外协选商评审Service接口
 *
 * @author ruoyi
 * @date 2025-02-26
 */
public interface IOutsourcingWxxspsService
{
    /**
     * 查询外协选商评审
     *
     * @param id 外协选商评审主键
     * @return 外协选商评审
     */
    public OutsourcingWxxsps selectOutsourcingWxxspsById(Long id);

    /**
     * 查询外协选商评审列表
     *
     * @param outsourcingWxxsps 外协选商评审
     * @return 外协选商评审集合
     */
    public List<OutsourcingWxxsps> selectOutsourcingWxxspsList(OutsourcingWxxsps outsourcingWxxsps);

    /**
     * 新增外协选商评审
     *
     * @param outsourcingWxxsps 外协选商评审
     * @return 结果
     */
    public int insertOutsourcingWxxsps(OutsourcingWxxsps outsourcingWxxsps);

    /**
     * 修改外协选商评审
     *
     * @param outsourcingWxxsps 外协选商评审
     * @return 结果
     */
    public int updateOutsourcingWxxsps(OutsourcingWxxsps outsourcingWxxsps);

    /**
     * 批量删除外协选商评审
     *
     * @param ids 需要删除的外协选商评审主键集合
     * @return 结果
     */
    public int deleteOutsourcingWxxspsByIds(Long[] ids);

    /**
     * 删除外协选商评审信息
     *
     * @param id 外协选商评审主键
     * @return 结果
     */
    public int deleteOutsourcingWxxspsById(Long id);
}
