package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.ProjectDictCategory;

/**
 * 项目类别字典Service接口
 *
 * @author ruoyi
 * @date 2025-01-16
 */
public interface IProjectDictCategoryService
{
    /**
     * 查询项目类别字典
     *
     * @param id 项目类别字典主键
     * @return 项目类别字典
     */
    public ProjectDictCategory selectProjectDictCategoryById(Long id);

    /**
     * 查询项目类别字典列表
     *
     * @param projectDictCategory 项目类别字典
     * @return 项目类别字典集合
     */
    public List<ProjectDictCategory> selectProjectDictCategoryList(ProjectDictCategory projectDictCategory);

    /**
     * 新增项目类别字典
     *
     * @param projectDictCategory 项目类别字典
     * @return 结果
     */
    public int insertProjectDictCategory(ProjectDictCategory projectDictCategory);

    /**
     * 修改项目类别字典
     *
     * @param projectDictCategory 项目类别字典
     * @return 结果
     */
    public int updateProjectDictCategory(ProjectDictCategory projectDictCategory);

    /**
     * 批量删除项目类别字典
     *
     * @param ids 需要删除的项目类别字典主键集合
     * @return 结果
     */
    public int deleteProjectDictCategoryByIds(Long[] ids);

    /**
     * 删除项目类别字典信息
     *
     * @param id 项目类别字典主键
     * @return 结果
     */
    public int deleteProjectDictCategoryById(Long id);
}
