package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.ScientificDiscGuide;

/**
 * 指南字典Service接口
 *
 * @author ruoyi
 * @date 2025-01-16
 */
public interface IScientificDiscGuideService
{
    /**
     * 查询指南字典
     *
     * @param id 指南字典主键
     * @return 指南字典
     */
    public ScientificDiscGuide selectScientificDiscGuideById(Long id);

    /**
     * 查询指南字典列表
     *
     * @param scientificDiscGuide 指南字典
     * @return 指南字典集合
     */
    public List<ScientificDiscGuide> selectScientificDiscGuideList(ScientificDiscGuide scientificDiscGuide);

    /**
     * 新增指南字典
     *
     * @param scientificDiscGuide 指南字典
     * @return 结果
     */
    public int insertScientificDiscGuide(ScientificDiscGuide scientificDiscGuide);

    /**
     * 修改指南字典
     *
     * @param scientificDiscGuide 指南字典
     * @return 结果
     */
    public int updateScientificDiscGuide(ScientificDiscGuide scientificDiscGuide);

    /**
     * 批量删除指南字典
     *
     * @param ids 需要删除的指南字典主键集合
     * @return 结果
     */
    public int deleteScientificDiscGuideByIds(Long[] ids);

    /**
     * 删除指南字典信息
     *
     * @param id 指南字典主键
     * @return 结果
     */
    public int deleteScientificDiscGuideById(Long id);
}
