package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.AchievementSearchFileMapper;
import com.ruoyi.system.domain.AchievementSearchFile;
import com.ruoyi.system.service.IAchievementSearchFileService;

/**
 * 成果文件Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class AchievementSearchFileServiceImpl implements IAchievementSearchFileService
{
    @Autowired
    private AchievementSearchFileMapper achievementSearchFileMapper;

    /**
     * 查询成果文件
     *
     * @param id 成果文件主键
     * @return 成果文件
     */
    @Override
    public AchievementSearchFile selectAchievementSearchFileById(Long id)
    {
        return achievementSearchFileMapper.selectAchievementSearchFileById(id);
    }

    /**
     * 查询成果文件列表
     *
     * @param achievementSearchFile 成果文件
     * @return 成果文件
     */
    @Override
    public List<AchievementSearchFile> selectAchievementSearchFileList(AchievementSearchFile achievementSearchFile)
    {
        return achievementSearchFileMapper.selectAchievementSearchFileList(achievementSearchFile);
    }

    /**
     * 新增成果文件
     *
     * @param achievementSearchFile 成果文件
     * @return 结果
     */
    @Override
    public int insertAchievementSearchFile(AchievementSearchFile achievementSearchFile)
    {
        return achievementSearchFileMapper.insertAchievementSearchFile(achievementSearchFile);
    }

    /**
     * 修改成果文件
     *
     * @param achievementSearchFile 成果文件
     * @return 结果
     */
    @Override
    public int updateAchievementSearchFile(AchievementSearchFile achievementSearchFile)
    {
        achievementSearchFile.setUpdateTime(DateUtils.getNowDate());
        return achievementSearchFileMapper.updateAchievementSearchFile(achievementSearchFile);
    }

    /**
     * 批量删除成果文件
     *
     * @param ids 需要删除的成果文件主键
     * @return 结果
     */
    @Override
    public int deleteAchievementSearchFileByIds(Long[] ids)
    {
        return achievementSearchFileMapper.deleteAchievementSearchFileByIds(ids);
    }

    /**
     * 删除成果文件信息
     *
     * @param id 成果文件主键
     * @return 结果
     */
    @Override
    public int deleteAchievementSearchFileById(Long id)
    {
        return achievementSearchFileMapper.deleteAchievementSearchFileById(id);
    }
}