package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.AchievementSearchMapper;
import com.ruoyi.system.domain.AchievementSearch;
import com.ruoyi.system.service.IAchievementSearchService;

/**
 * 成果查询Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class AchievementSearchServiceImpl implements IAchievementSearchService
{
    @Autowired
    private AchievementSearchMapper achievementSearchMapper;

    /**
     * 查询成果查询
     *
     * @param id 成果查询主键
     * @return 成果查询
     */
    @Override
    public AchievementSearch selectAchievementSearchById(Long id)
    {
        return achievementSearchMapper.selectAchievementSearchById(id);
    }

    /**
     * 查询成果查询列表
     *
     * @param achievementSearch 成果查询
     * @return 成果查询
     */
    @Override
    public List<AchievementSearch> selectAchievementSearchList(AchievementSearch achievementSearch)
    {
        return achievementSearchMapper.selectAchievementSearchList(achievementSearch);
    }

    /**
     * 新增成果查询
     *
     * @param achievementSearch 成果查询
     * @return 结果
     */
    @Override
    public int insertAchievementSearch(AchievementSearch achievementSearch)
    {
        return achievementSearchMapper.insertAchievementSearch(achievementSearch);
    }

    /**
     * 修改成果查询
     *
     * @param achievementSearch 成果查询
     * @return 结果
     */
    @Override
    public int updateAchievementSearch(AchievementSearch achievementSearch)
    {
        achievementSearch.setUpdateTime(DateUtils.getNowDate());
        return achievementSearchMapper.updateAchievementSearch(achievementSearch);
    }

    /**
     * 批量删除成果查询
     *
     * @param ids 需要删除的成果查询主键
     * @return 结果
     */
    @Override
    public int deleteAchievementSearchByIds(Long[] ids)
    {
        return achievementSearchMapper.deleteAchievementSearchByIds(ids);
    }

    /**
     * 删除成果查询信息
     *
     * @param id 成果查询主键
     * @return 结果
     */
    @Override
    public int deleteAchievementSearchById(Long id)
    {
        return achievementSearchMapper.deleteAchievementSearchById(id);
    }
}
