package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ApplyprizesProjectBenefitMapper;
import com.ruoyi.system.domain.ApplyprizesProjectBenefit;
import com.ruoyi.system.service.IApplyprizesProjectBenefitService;

/**
 * 经济、社会效益情况Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ApplyprizesProjectBenefitServiceImpl implements IApplyprizesProjectBenefitService
{
    @Autowired
    private ApplyprizesProjectBenefitMapper applyprizesProjectBenefitMapper;

    /**
     * 查询经济、社会效益情况
     *
     * @param id 经济、社会效益情况主键
     * @return 经济、社会效益情况
     */
    @Override
    public ApplyprizesProjectBenefit selectApplyprizesProjectBenefitById(Long id)
    {
        return applyprizesProjectBenefitMapper.selectApplyprizesProjectBenefitById(id);
    }

    /**
     * 查询经济、社会效益情况列表
     *
     * @param applyprizesProjectBenefit 经济、社会效益情况
     * @return 经济、社会效益情况
     */
    @Override
    public List<ApplyprizesProjectBenefit> selectApplyprizesProjectBenefitList(ApplyprizesProjectBenefit applyprizesProjectBenefit)
    {
        return applyprizesProjectBenefitMapper.selectApplyprizesProjectBenefitList(applyprizesProjectBenefit);
    }

    /**
     * 新增经济、社会效益情况
     *
     * @param applyprizesProjectBenefit 经济、社会效益情况
     * @return 结果
     */
    @Override
    public int insertApplyprizesProjectBenefit(ApplyprizesProjectBenefit applyprizesProjectBenefit)
    {
        return applyprizesProjectBenefitMapper.insertApplyprizesProjectBenefit(applyprizesProjectBenefit);
    }

    /**
     * 修改经济、社会效益情况
     *
     * @param applyprizesProjectBenefit 经济、社会效益情况
     * @return 结果
     */
    @Override
    public int updateApplyprizesProjectBenefit(ApplyprizesProjectBenefit applyprizesProjectBenefit)
    {
        applyprizesProjectBenefit.setUpdateTime(DateUtils.getNowDate());
        return applyprizesProjectBenefitMapper.updateApplyprizesProjectBenefit(applyprizesProjectBenefit);
    }

    /**
     * 批量删除经济、社会效益情况
     *
     * @param ids 需要删除的经济、社会效益情况主键
     * @return 结果
     */
    @Override
    public int deleteApplyprizesProjectBenefitByIds(Long[] ids)
    {
        return applyprizesProjectBenefitMapper.deleteApplyprizesProjectBenefitByIds(ids);
    }

    /**
     * 删除经济、社会效益情况信息
     *
     * @param id 经济、社会效益情况主键
     * @return 结果
     */
    @Override
    public int deleteApplyprizesProjectBenefitById(Long id)
    {
        return applyprizesProjectBenefitMapper.deleteApplyprizesProjectBenefitById(id);
    }
}