package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ApplyprizesProjectCompletepeopleMapper;
import com.ruoyi.system.domain.ApplyprizesProjectCompletepeople;
import com.ruoyi.system.service.IApplyprizesProjectCompletepeopleService;

/**
 * 主要完成人情况Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ApplyprizesProjectCompletepeopleServiceImpl implements IApplyprizesProjectCompletepeopleService
{
    @Autowired
    private ApplyprizesProjectCompletepeopleMapper applyprizesProjectCompletepeopleMapper;

    /**
     * 查询主要完成人情况
     *
     * @param id 主要完成人情况主键
     * @return 主要完成人情况
     */
    @Override
    public ApplyprizesProjectCompletepeople selectApplyprizesProjectCompletepeopleById(Long id)
    {
        return applyprizesProjectCompletepeopleMapper.selectApplyprizesProjectCompletepeopleById(id);
    }

    /**
     * 查询主要完成人情况列表
     *
     * @param applyprizesProjectCompletepeople 主要完成人情况
     * @return 主要完成人情况
     */
    @Override
    public List<ApplyprizesProjectCompletepeople> selectApplyprizesProjectCompletepeopleList(ApplyprizesProjectCompletepeople applyprizesProjectCompletepeople)
    {
        return applyprizesProjectCompletepeopleMapper.selectApplyprizesProjectCompletepeopleList(applyprizesProjectCompletepeople);
    }

    /**
     * 新增主要完成人情况
     *
     * @param applyprizesProjectCompletepeople 主要完成人情况
     * @return 结果
     */
    @Override
    public int insertApplyprizesProjectCompletepeople(ApplyprizesProjectCompletepeople applyprizesProjectCompletepeople)
    {
        return applyprizesProjectCompletepeopleMapper.insertApplyprizesProjectCompletepeople(applyprizesProjectCompletepeople);
    }

    /**
     * 修改主要完成人情况
     *
     * @param applyprizesProjectCompletepeople 主要完成人情况
     * @return 结果
     */
    @Override
    public int updateApplyprizesProjectCompletepeople(ApplyprizesProjectCompletepeople applyprizesProjectCompletepeople)
    {
        applyprizesProjectCompletepeople.setUpdateTime(DateUtils.getNowDate());
        return applyprizesProjectCompletepeopleMapper.updateApplyprizesProjectCompletepeople(applyprizesProjectCompletepeople);
    }

    /**
     * 批量删除主要完成人情况
     *
     * @param ids 需要删除的主要完成人情况主键
     * @return 结果
     */
    @Override
    public int deleteApplyprizesProjectCompletepeopleByIds(Long[] ids)
    {
        return applyprizesProjectCompletepeopleMapper.deleteApplyprizesProjectCompletepeopleByIds(ids);
    }

    /**
     * 删除主要完成人情况信息
     *
     * @param id 主要完成人情况主键
     * @return 结果
     */
    @Override
    public int deleteApplyprizesProjectCompletepeopleById(Long id)
    {
        return applyprizesProjectCompletepeopleMapper.deleteApplyprizesProjectCompletepeopleById(id);
    }
}