package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ApplyprizesProjectInfoMapper;
import com.ruoyi.system.domain.ApplyprizesProjectInfo;
import com.ruoyi.system.service.IApplyprizesProjectInfoService;

/**
 * 项目简介和详细内容及推荐理由Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ApplyprizesProjectInfoServiceImpl implements IApplyprizesProjectInfoService
{
    @Autowired
    private ApplyprizesProjectInfoMapper applyprizesProjectInfoMapper;

    /**
     * 查询项目简介和详细内容及推荐理由
     *
     * @param id 项目简介和详细内容及推荐理由主键
     * @return 项目简介和详细内容及推荐理由
     */
    @Override
    public ApplyprizesProjectInfo selectApplyprizesProjectInfoById(Long id)
    {
        return applyprizesProjectInfoMapper.selectApplyprizesProjectInfoById(id);
    }

    /**
     * 查询项目简介和详细内容及推荐理由列表
     *
     * @param applyprizesProjectInfo 项目简介和详细内容及推荐理由
     * @return 项目简介和详细内容及推荐理由
     */
    @Override
    public List<ApplyprizesProjectInfo> selectApplyprizesProjectInfoList(ApplyprizesProjectInfo applyprizesProjectInfo)
    {
        return applyprizesProjectInfoMapper.selectApplyprizesProjectInfoList(applyprizesProjectInfo);
    }

    /**
     * 新增项目简介和详细内容及推荐理由
     *
     * @param applyprizesProjectInfo 项目简介和详细内容及推荐理由
     * @return 结果
     */
    @Override
    public int insertApplyprizesProjectInfo(ApplyprizesProjectInfo applyprizesProjectInfo)
    {
        return applyprizesProjectInfoMapper.insertApplyprizesProjectInfo(applyprizesProjectInfo);
    }

    /**
     * 修改项目简介和详细内容及推荐理由
     *
     * @param applyprizesProjectInfo 项目简介和详细内容及推荐理由
     * @return 结果
     */
    @Override
    public int updateApplyprizesProjectInfo(ApplyprizesProjectInfo applyprizesProjectInfo)
    {
        applyprizesProjectInfo.setUpdateTime(DateUtils.getNowDate());
        return applyprizesProjectInfoMapper.updateApplyprizesProjectInfo(applyprizesProjectInfo);
    }

    /**
     * 批量删除项目简介和详细内容及推荐理由
     *
     * @param ids 需要删除的项目简介和详细内容及推荐理由主键
     * @return 结果
     */
    @Override
    public int deleteApplyprizesProjectInfoByIds(Long[] ids)
    {
        return applyprizesProjectInfoMapper.deleteApplyprizesProjectInfoByIds(ids);
    }

    /**
     * 删除项目简介和详细内容及推荐理由信息
     *
     * @param id 项目简介和详细内容及推荐理由主键
     * @return 结果
     */
    @Override
    public int deleteApplyprizesProjectInfoById(Long id)
    {
        return applyprizesProjectInfoMapper.deleteApplyprizesProjectInfoById(id);
    }
}