package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ApplyprizesProjectPatentMapper;
import com.ruoyi.system.domain.ApplyprizesProjectPatent;
import com.ruoyi.system.service.IApplyprizesProjectPatentService;

/**
 * 申请、获得专利情况Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ApplyprizesProjectPatentServiceImpl implements IApplyprizesProjectPatentService
{
    @Autowired
    private ApplyprizesProjectPatentMapper applyprizesProjectPatentMapper;

    /**
     * 查询申请、获得专利情况
     *
     * @param id 申请、获得专利情况主键
     * @return 申请、获得专利情况
     */
    @Override
    public ApplyprizesProjectPatent selectApplyprizesProjectPatentById(Long id)
    {
        return applyprizesProjectPatentMapper.selectApplyprizesProjectPatentById(id);
    }

    /**
     * 查询申请、获得专利情况列表
     *
     * @param applyprizesProjectPatent 申请、获得专利情况
     * @return 申请、获得专利情况
     */
    @Override
    public List<ApplyprizesProjectPatent> selectApplyprizesProjectPatentList(ApplyprizesProjectPatent applyprizesProjectPatent)
    {
        return applyprizesProjectPatentMapper.selectApplyprizesProjectPatentList(applyprizesProjectPatent);
    }

    /**
     * 新增申请、获得专利情况
     *
     * @param applyprizesProjectPatent 申请、获得专利情况
     * @return 结果
     */
    @Override
    public int insertApplyprizesProjectPatent(ApplyprizesProjectPatent applyprizesProjectPatent)
    {
        return applyprizesProjectPatentMapper.insertApplyprizesProjectPatent(applyprizesProjectPatent);
    }

    /**
     * 修改申请、获得专利情况
     *
     * @param applyprizesProjectPatent 申请、获得专利情况
     * @return 结果
     */
    @Override
    public int updateApplyprizesProjectPatent(ApplyprizesProjectPatent applyprizesProjectPatent)
    {
        applyprizesProjectPatent.setUpdateTime(DateUtils.getNowDate());
        return applyprizesProjectPatentMapper.updateApplyprizesProjectPatent(applyprizesProjectPatent);
    }

    /**
     * 批量删除申请、获得专利情况
     *
     * @param ids 需要删除的申请、获得专利情况主键
     * @return 结果
     */
    @Override
    public int deleteApplyprizesProjectPatentByIds(Long[] ids)
    {
        return applyprizesProjectPatentMapper.deleteApplyprizesProjectPatentByIds(ids);
    }

    /**
     * 删除申请、获得专利情况信息
     *
     * @param id 申请、获得专利情况主键
     * @return 结果
     */
    @Override
    public int deleteApplyprizesProjectPatentById(Long id)
    {
        return applyprizesProjectPatentMapper.deleteApplyprizesProjectPatentById(id);
    }
}