package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ApplyprizesProjectMapper;
import com.ruoyi.system.domain.ApplyprizesProject;
import com.ruoyi.system.service.IApplyprizesProjectService;

/**
 * 报奖管理_项目信息Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ApplyprizesProjectServiceImpl implements IApplyprizesProjectService
{
    @Autowired
    private ApplyprizesProjectMapper applyprizesProjectMapper;

    /**
     * 查询报奖管理_项目信息
     *
     * @param id 报奖管理_项目信息主键
     * @return 报奖管理_项目信息
     */
    @Override
    public ApplyprizesProject selectApplyprizesProjectById(Long id)
    {
        return applyprizesProjectMapper.selectApplyprizesProjectById(id);
    }

    /**
     * 查询报奖管理_项目信息列表
     *
     * @param applyprizesProject 报奖管理_项目信息
     * @return 报奖管理_项目信息
     */
    @Override
    public List<ApplyprizesProject> selectApplyprizesProjectList(ApplyprizesProject applyprizesProject)
    {
        return applyprizesProjectMapper.selectApplyprizesProjectList(applyprizesProject);
    }

    /**
     * 新增报奖管理_项目信息
     *
     * @param applyprizesProject 报奖管理_项目信息
     * @return 结果
     */
    @Override
    public int insertApplyprizesProject(ApplyprizesProject applyprizesProject)
    {
        return applyprizesProjectMapper.insertApplyprizesProject(applyprizesProject);
    }

    /**
     * 修改报奖管理_项目信息
     *
     * @param applyprizesProject 报奖管理_项目信息
     * @return 结果
     */
    @Override
    public int updateApplyprizesProject(ApplyprizesProject applyprizesProject)
    {
        applyprizesProject.setUpdateTime(DateUtils.getNowDate());
        return applyprizesProjectMapper.updateApplyprizesProject(applyprizesProject);
    }

    /**
     * 批量删除报奖管理_项目信息
     *
     * @param ids 需要删除的报奖管理_项目信息主键
     * @return 结果
     */
    @Override
    public int deleteApplyprizesProjectByIds(Long[] ids)
    {
        return applyprizesProjectMapper.deleteApplyprizesProjectByIds(ids);
    }

    /**
     * 删除报奖管理_项目信息信息
     *
     * @param id 报奖管理_项目信息主键
     * @return 结果
     */
    @Override
    public int deleteApplyprizesProjectById(Long id)
    {
        return applyprizesProjectMapper.deleteApplyprizesProjectById(id);
    }
}