package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ApplyprizesProjectTechnologyMapper;
import com.ruoyi.system.domain.ApplyprizesProjectTechnology;
import com.ruoyi.system.service.IApplyprizesProjectTechnologyService;

/**
 * 本项目曾获科技奖励情况Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ApplyprizesProjectTechnologyServiceImpl implements IApplyprizesProjectTechnologyService
{
    @Autowired
    private ApplyprizesProjectTechnologyMapper applyprizesProjectTechnologyMapper;

    /**
     * 查询本项目曾获科技奖励情况
     *
     * @param id 本项目曾获科技奖励情况主键
     * @return 本项目曾获科技奖励情况
     */
    @Override
    public ApplyprizesProjectTechnology selectApplyprizesProjectTechnologyById(Long id)
    {
        return applyprizesProjectTechnologyMapper.selectApplyprizesProjectTechnologyById(id);
    }

    /**
     * 查询本项目曾获科技奖励情况列表
     *
     * @param applyprizesProjectTechnology 本项目曾获科技奖励情况
     * @return 本项目曾获科技奖励情况
     */
    @Override
    public List<ApplyprizesProjectTechnology> selectApplyprizesProjectTechnologyList(ApplyprizesProjectTechnology applyprizesProjectTechnology)
    {
        return applyprizesProjectTechnologyMapper.selectApplyprizesProjectTechnologyList(applyprizesProjectTechnology);
    }

    /**
     * 新增本项目曾获科技奖励情况
     *
     * @param applyprizesProjectTechnology 本项目曾获科技奖励情况
     * @return 结果
     */
    @Override
    public int insertApplyprizesProjectTechnology(ApplyprizesProjectTechnology applyprizesProjectTechnology)
    {
        return applyprizesProjectTechnologyMapper.insertApplyprizesProjectTechnology(applyprizesProjectTechnology);
    }

    /**
     * 修改本项目曾获科技奖励情况
     *
     * @param applyprizesProjectTechnology 本项目曾获科技奖励情况
     * @return 结果
     */
    @Override
    public int updateApplyprizesProjectTechnology(ApplyprizesProjectTechnology applyprizesProjectTechnology)
    {
        applyprizesProjectTechnology.setUpdateTime(DateUtils.getNowDate());
        return applyprizesProjectTechnologyMapper.updateApplyprizesProjectTechnology(applyprizesProjectTechnology);
    }

    /**
     * 批量删除本项目曾获科技奖励情况
     *
     * @param ids 需要删除的本项目曾获科技奖励情况主键
     * @return 结果
     */
    @Override
    public int deleteApplyprizesProjectTechnologyByIds(Long[] ids)
    {
        return applyprizesProjectTechnologyMapper.deleteApplyprizesProjectTechnologyByIds(ids);
    }

    /**
     * 删除本项目曾获科技奖励情况信息
     *
     * @param id 本项目曾获科技奖励情况主键
     * @return 结果
     */
    @Override
    public int deleteApplyprizesProjectTechnologyById(Long id)
    {
        return applyprizesProjectTechnologyMapper.deleteApplyprizesProjectTechnologyById(id);
    }
}