package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.DeclareProjectMapper;
import com.ruoyi.system.domain.DeclareProject;
import com.ruoyi.system.service.IDeclareProjectService;

/**
 * 申报项目Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class DeclareProjectServiceImpl implements IDeclareProjectService
{
    @Autowired
    private DeclareProjectMapper declareProjectMapper;

    /**
     * 查询申报项目
     *
     * @param id 申报项目主键
     * @return 申报项目
     */
    @Override
    public DeclareProject selectDeclareProjectById(Long id)
    {
        return declareProjectMapper.selectDeclareProjectById(id);
    }

    /**
     * 查询申报项目列表
     *
     * @param declareProject 申报项目
     * @return 申报项目
     */
    @Override
    public List<DeclareProject> selectDeclareProjectList(DeclareProject declareProject)
    {
        return declareProjectMapper.selectDeclareProjectList(declareProject);
    }

    /**
     * 新增申报项目
     *
     * @param declareProject 申报项目
     * @return 结果
     */
    @Override
    public int insertDeclareProject(DeclareProject declareProject)
    {
        return declareProjectMapper.insertDeclareProject(declareProject);
    }

    /**
     * 修改申报项目
     *
     * @param declareProject 申报项目
     * @return 结果
     */
    @Override
    public int updateDeclareProject(DeclareProject declareProject)
    {
        declareProject.setUpdateTime(DateUtils.getNowDate());
        return declareProjectMapper.updateDeclareProject(declareProject);
    }

    /**
     * 批量删除申报项目
     *
     * @param ids 需要删除的申报项目主键
     * @return 结果
     */
    @Override
    public int deleteDeclareProjectByIds(Long[] ids)
    {
        return declareProjectMapper.deleteDeclareProjectByIds(ids);
    }

    /**
     * 删除申报项目信息
     *
     * @param id 申报项目主键
     * @return 结果
     */
    @Override
    public int deleteDeclareProjectById(Long id)
    {
        return declareProjectMapper.deleteDeclareProjectById(id);
    }
}