package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ErpWbsbhMapper;
import com.ruoyi.system.domain.ErpWbsbh;
import com.ruoyi.system.service.IErpWbsbhService;

/**
 * ERP管理-WBS编号Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-17
 */
@Service
public class ErpWbsbhServiceImpl implements IErpWbsbhService
{
    @Autowired
    private ErpWbsbhMapper erpWbsbhMapper;

    /**
     * 查询ERP管理-WBS编号
     *
     * @param id ERP管理-WBS编号主键
     * @return ERP管理-WBS编号
     */
    @Override
    public ErpWbsbh selectErpWbsbhById(Long id)
    {
        return erpWbsbhMapper.selectErpWbsbhById(id);
    }

    /**
     * 查询ERP管理-WBS编号列表
     *
     * @param erpWbsbh ERP管理-WBS编号
     * @return ERP管理-WBS编号
     */
    @Override
    public List<ErpWbsbh> selectErpWbsbhList(ErpWbsbh erpWbsbh)
    {
        return erpWbsbhMapper.selectErpWbsbhList(erpWbsbh);
    }

    /**
     * 新增ERP管理-WBS编号
     *
     * @param erpWbsbh ERP管理-WBS编号
     * @return 结果
     */
    @Override
    public int insertErpWbsbh(ErpWbsbh erpWbsbh)
    {
        return erpWbsbhMapper.insertErpWbsbh(erpWbsbh);
    }

    /**
     * 修改ERP管理-WBS编号
     *
     * @param erpWbsbh ERP管理-WBS编号
     * @return 结果
     */
    @Override
    public int updateErpWbsbh(ErpWbsbh erpWbsbh)
    {
        return erpWbsbhMapper.updateErpWbsbh(erpWbsbh);
    }

    /**
     * 批量删除ERP管理-WBS编号
     *
     * @param ids 需要删除的ERP管理-WBS编号主键
     * @return 结果
     */
    @Override
    public int deleteErpWbsbhByIds(Long[] ids)
    {
        return erpWbsbhMapper.deleteErpWbsbhByIds(ids);
    }

    /**
     * 删除ERP管理-WBS编号信息
     *
     * @param id ERP管理-WBS编号主键
     * @return 结果
     */
    @Override
    public int deleteErpWbsbhById(Long id)
    {
        return erpWbsbhMapper.deleteErpWbsbhById(id);
    }
}
