package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.HistoryProjectMapper;
import com.ruoyi.system.domain.HistoryProject;
import com.ruoyi.system.service.IHistoryProjectService;

/**
 * 历史项目Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-18
 */
@Service
public class HistoryProjectServiceImpl implements IHistoryProjectService
{
    @Autowired
    private HistoryProjectMapper historyProjectMapper;

    /**
     * 查询历史项目
     *
     * @param id 历史项目主键
     * @return 历史项目
     */
    @Override
    public HistoryProject selectHistoryProjectById(String id)
    {
        return historyProjectMapper.selectHistoryProjectById(id);
    }

    /**
     * 查询历史项目列表
     *
     * @param historyProject 历史项目
     * @return 历史项目
     */
    @Override
    public List<HistoryProject> selectHistoryProjectList(HistoryProject historyProject)
    {
        return historyProjectMapper.selectHistoryProjectList(historyProject);
    }

    /**
     * 新增历史项目
     *
     * @param historyProject 历史项目
     * @return 结果
     */
    @Override
    public int insertHistoryProject(HistoryProject historyProject)
    {
        return historyProjectMapper.insertHistoryProject(historyProject);
    }

    /**
     * 修改历史项目
     *
     * @param historyProject 历史项目
     * @return 结果
     */
    @Override
    public int updateHistoryProject(HistoryProject historyProject)
    {
        historyProject.setUpdateTime(DateUtils.getNowDate());
        return historyProjectMapper.updateHistoryProject(historyProject);
    }

    /**
     * 批量删除历史项目
     *
     * @param ids 需要删除的历史项目主键
     * @return 结果
     */
    @Override
    public int deleteHistoryProjectByIds(String[] ids)
    {
        return historyProjectMapper.deleteHistoryProjectByIds(ids);
    }

    /**
     * 删除历史项目信息
     *
     * @param id 历史项目主键
     * @return 结果
     */
    @Override
    public int deleteHistoryProjectById(String id)
    {
        return historyProjectMapper.deleteHistoryProjectById(id);
    }
}