package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.JfndzctzmxMapper;
import com.ruoyi.system.domain.Jfndzctzmx;
import com.ruoyi.system.service.IJfndzctzmxService;

/**
 * 经费年度实际支出台账明细Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-19
 */
@Service
public class JfndzctzmxServiceImpl implements IJfndzctzmxService
{
    @Autowired
    private JfndzctzmxMapper jfndzctzmxMapper;

    /**
     * 查询经费年度实际支出台账明细
     *
     * @param id 经费年度实际支出台账明细主键
     * @return 经费年度实际支出台账明细
     */
    @Override
    public Jfndzctzmx selectJfndzctzmxById(Long id)
    {
        return jfndzctzmxMapper.selectJfndzctzmxById(id);
    }

    /**
     * 查询经费年度实际支出台账明细列表
     *
     * @param jfndzctzmx 经费年度实际支出台账明细
     * @return 经费年度实际支出台账明细
     */
    @Override
    public List<Jfndzctzmx> selectJfndzctzmxList(Jfndzctzmx jfndzctzmx)
    {
        return jfndzctzmxMapper.selectJfndzctzmxList(jfndzctzmx);
    }

    /**
     * 新增经费年度实际支出台账明细
     *
     * @param jfndzctzmx 经费年度实际支出台账明细
     * @return 结果
     */
    @Override
    public int insertJfndzctzmx(Jfndzctzmx jfndzctzmx)
    {
        return jfndzctzmxMapper.insertJfndzctzmx(jfndzctzmx);
    }

    /**
     * 修改经费年度实际支出台账明细
     *
     * @param jfndzctzmx 经费年度实际支出台账明细
     * @return 结果
     */
    @Override
    public int updateJfndzctzmx(Jfndzctzmx jfndzctzmx)
    {
        return jfndzctzmxMapper.updateJfndzctzmx(jfndzctzmx);
    }

    /**
     * 批量删除经费年度实际支出台账明细
     *
     * @param ids 需要删除的经费年度实际支出台账明细主键
     * @return 结果
     */
    @Override
    public int deleteJfndzctzmxByIds(Long[] ids)
    {
        return jfndzctzmxMapper.deleteJfndzctzmxByIds(ids);
    }

    /**
     * 删除经费年度实际支出台账明细信息
     *
     * @param id 经费年度实际支出台账明细主键
     * @return 结果
     */
    @Override
    public int deleteJfndzctzmxById(Long id)
    {
        return jfndzctzmxMapper.deleteJfndzctzmxById(id);
    }
}
