package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.OutsourcingDeptPrefMapper;
import com.ruoyi.system.domain.OutsourcingDeptPref;
import com.ruoyi.system.service.IOutsourcingDeptPrefService;

/**
 * 外协单位_业绩Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-18
 */
@Service
public class OutsourcingDeptPrefServiceImpl implements IOutsourcingDeptPrefService
{
    @Autowired
    private OutsourcingDeptPrefMapper outsourcingDeptPrefMapper;

    /**
     * 查询外协单位_业绩
     *
     * @param id 外协单位_业绩主键
     * @return 外协单位_业绩
     */
    @Override
    public OutsourcingDeptPref selectOutsourcingDeptPrefById(Long id)
    {
        return outsourcingDeptPrefMapper.selectOutsourcingDeptPrefById(id);
    }

    /**
     * 查询外协单位_业绩列表
     *
     * @param outsourcingDeptPref 外协单位_业绩
     * @return 外协单位_业绩
     */
    @Override
    public List<OutsourcingDeptPref> selectOutsourcingDeptPrefList(OutsourcingDeptPref outsourcingDeptPref)
    {
        return outsourcingDeptPrefMapper.selectOutsourcingDeptPrefList(outsourcingDeptPref);
    }

    /**
     * 新增外协单位_业绩
     *
     * @param outsourcingDeptPref 外协单位_业绩
     * @return 结果
     */
    @Override
    public int insertOutsourcingDeptPref(OutsourcingDeptPref outsourcingDeptPref)
    {
        return outsourcingDeptPrefMapper.insertOutsourcingDeptPref(outsourcingDeptPref);
    }

    /**
     * 修改外协单位_业绩
     *
     * @param outsourcingDeptPref 外协单位_业绩
     * @return 结果
     */
    @Override
    public int updateOutsourcingDeptPref(OutsourcingDeptPref outsourcingDeptPref)
    {
        return outsourcingDeptPrefMapper.updateOutsourcingDeptPref(outsourcingDeptPref);
    }

    /**
     * 批量删除外协单位_业绩
     *
     * @param ids 需要删除的外协单位_业绩主键
     * @return 结果
     */
    @Override
    public int deleteOutsourcingDeptPrefByIds(Long[] ids)
    {
        return outsourcingDeptPrefMapper.deleteOutsourcingDeptPrefByIds(ids);
    }

    /**
     * 删除外协单位_业绩信息
     *
     * @param id 外协单位_业绩主键
     * @return 结果
     */
    @Override
    public int deleteOutsourcingDeptPrefById(Long id)
    {
        return outsourcingDeptPrefMapper.deleteOutsourcingDeptPrefById(id);
    }
}