package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.OutsourcingDeptMapper;
import com.ruoyi.system.domain.OutsourcingDept;
import com.ruoyi.system.service.IOutsourcingDeptService;

/**
 * 外协单位Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-18
 */
@Service
public class OutsourcingDeptServiceImpl implements IOutsourcingDeptService
{
    @Autowired
    private OutsourcingDeptMapper outsourcingDeptMapper;

    /**
     * 查询外协单位
     *
     * @param id 外协单位主键
     * @return 外协单位
     */
    @Override
    public OutsourcingDept selectOutsourcingDeptById(Long id)
    {
        return outsourcingDeptMapper.selectOutsourcingDeptById(id);
    }

    /**
     * 查询外协单位列表
     *
     * @param outsourcingDept 外协单位
     * @return 外协单位
     */
    @Override
    public List<OutsourcingDept> selectOutsourcingDeptList(OutsourcingDept outsourcingDept)
    {
        return outsourcingDeptMapper.selectOutsourcingDeptList(outsourcingDept);
    }

    /**
     * 新增外协单位
     *
     * @param outsourcingDept 外协单位
     * @return 结果
     */
    @Override
    public int insertOutsourcingDept(OutsourcingDept outsourcingDept)
    {
        return outsourcingDeptMapper.insertOutsourcingDept(outsourcingDept);
    }

    /**
     * 修改外协单位
     *
     * @param outsourcingDept 外协单位
     * @return 结果
     */
    @Override
    public int updateOutsourcingDept(OutsourcingDept outsourcingDept)
    {
        outsourcingDept.setUpdateTime(DateUtils.getNowDate());
        return outsourcingDeptMapper.updateOutsourcingDept(outsourcingDept);
    }

    /**
     * 批量删除外协单位
     *
     * @param ids 需要删除的外协单位主键
     * @return 结果
     */
    @Override
    public int deleteOutsourcingDeptByIds(Long[] ids)
    {
        return outsourcingDeptMapper.deleteOutsourcingDeptByIds(ids);
    }

    /**
     * 删除外协单位信息
     *
     * @param id 外协单位主键
     * @return 结果
     */
    @Override
    public int deleteOutsourcingDeptById(Long id)
    {
        return outsourcingDeptMapper.deleteOutsourcingDeptById(id);
    }
}