package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.OutsourcingWxxspsMapper;
import com.ruoyi.system.domain.OutsourcingWxxsps;
import com.ruoyi.system.service.IOutsourcingWxxspsService;

/**
 * 外协选商评审Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-26
 */
@Service
public class OutsourcingWxxspsServiceImpl implements IOutsourcingWxxspsService
{
    @Autowired
    private OutsourcingWxxspsMapper outsourcingWxxspsMapper;

    /**
     * 查询外协选商评审
     *
     * @param id 外协选商评审主键
     * @return 外协选商评审
     */
    @Override
    public OutsourcingWxxsps selectOutsourcingWxxspsById(Long id)
    {
        return outsourcingWxxspsMapper.selectOutsourcingWxxspsById(id);
    }

    /**
     * 查询外协选商评审列表
     *
     * @param outsourcingWxxsps 外协选商评审
     * @return 外协选商评审
     */
    @Override
    public List<OutsourcingWxxsps> selectOutsourcingWxxspsList(OutsourcingWxxsps outsourcingWxxsps)
    {
        return outsourcingWxxspsMapper.selectOutsourcingWxxspsList(outsourcingWxxsps);
    }

    /**
     * 新增外协选商评审
     *
     * @param outsourcingWxxsps 外协选商评审
     * @return 结果
     */
    @Override
    public int insertOutsourcingWxxsps(OutsourcingWxxsps outsourcingWxxsps)
    {
        return outsourcingWxxspsMapper.insertOutsourcingWxxsps(outsourcingWxxsps);
    }

    /**
     * 修改外协选商评审
     *
     * @param outsourcingWxxsps 外协选商评审
     * @return 结果
     */
    @Override
    public int updateOutsourcingWxxsps(OutsourcingWxxsps outsourcingWxxsps)
    {
        return outsourcingWxxspsMapper.updateOutsourcingWxxsps(outsourcingWxxsps);
    }

    /**
     * 批量删除外协选商评审
     *
     * @param ids 需要删除的外协选商评审主键
     * @return 结果
     */
    @Override
    public int deleteOutsourcingWxxspsByIds(Long[] ids)
    {
        return outsourcingWxxspsMapper.deleteOutsourcingWxxspsByIds(ids);
    }

    /**
     * 删除外协选商评审信息
     *
     * @param id 外协选商评审主键
     * @return 结果
     */
    @Override
    public int deleteOutsourcingWxxspsById(Long id)
    {
        return outsourcingWxxspsMapper.deleteOutsourcingWxxspsById(id);
    }
}
