package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.OutsourcingWxyxyysMapper;
import com.ruoyi.system.domain.OutsourcingWxyxyys;
import com.ruoyi.system.service.IOutsourcingWxyxyysService;

/**
 * 外协运行与验收Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-26
 */
@Service
public class OutsourcingWxyxyysServiceImpl implements IOutsourcingWxyxyysService
{
    @Autowired
    private OutsourcingWxyxyysMapper outsourcingWxyxyysMapper;

    /**
     * 查询外协运行与验收
     *
     * @param id 外协运行与验收主键
     * @return 外协运行与验收
     */
    @Override
    public OutsourcingWxyxyys selectOutsourcingWxyxyysById(Long id)
    {
        return outsourcingWxyxyysMapper.selectOutsourcingWxyxyysById(id);
    }

    /**
     * 查询外协运行与验收列表
     *
     * @param outsourcingWxyxyys 外协运行与验收
     * @return 外协运行与验收
     */
    @Override
    public List<OutsourcingWxyxyys> selectOutsourcingWxyxyysList(OutsourcingWxyxyys outsourcingWxyxyys)
    {
        return outsourcingWxyxyysMapper.selectOutsourcingWxyxyysList(outsourcingWxyxyys);
    }

    /**
     * 新增外协运行与验收
     *
     * @param outsourcingWxyxyys 外协运行与验收
     * @return 结果
     */
    @Override
    public int insertOutsourcingWxyxyys(OutsourcingWxyxyys outsourcingWxyxyys)
    {
        return outsourcingWxyxyysMapper.insertOutsourcingWxyxyys(outsourcingWxyxyys);
    }

    /**
     * 修改外协运行与验收
     *
     * @param outsourcingWxyxyys 外协运行与验收
     * @return 结果
     */
    @Override
    public int updateOutsourcingWxyxyys(OutsourcingWxyxyys outsourcingWxyxyys)
    {
        return outsourcingWxyxyysMapper.updateOutsourcingWxyxyys(outsourcingWxyxyys);
    }

    /**
     * 批量删除外协运行与验收
     *
     * @param ids 需要删除的外协运行与验收主键
     * @return 结果
     */
    @Override
    public int deleteOutsourcingWxyxyysByIds(Long[] ids)
    {
        return outsourcingWxyxyysMapper.deleteOutsourcingWxyxyysByIds(ids);
    }

    /**
     * 删除外协运行与验收信息
     *
     * @param id 外协运行与验收主键
     * @return 结果
     */
    @Override
    public int deleteOutsourcingWxyxyysById(Long id)
    {
        return outsourcingWxyxyysMapper.deleteOutsourcingWxyxyysById(id);
    }
}
