package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ProgroupProjectFundingMxMapper;
import com.ruoyi.system.domain.ProgroupProjectFundingMx;
import com.ruoyi.system.service.IProgroupProjectFundingMxService;

/**
 * 项目管理_经费明细Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ProgroupProjectFundingMxServiceImpl implements IProgroupProjectFundingMxService
{
    @Autowired
    private ProgroupProjectFundingMxMapper progroupProjectFundingMxMapper;

    /**
     * 查询项目管理_经费明细
     *
     * @param id 项目管理_经费明细主键
     * @return 项目管理_经费明细
     */
    @Override
    public ProgroupProjectFundingMx selectProgroupProjectFundingMxById(Long id)
    {
        return progroupProjectFundingMxMapper.selectProgroupProjectFundingMxById(id);
    }

    /**
     * 查询项目管理_经费明细列表
     *
     * @param progroupProjectFundingMx 项目管理_经费明细
     * @return 项目管理_经费明细
     */
    @Override
    public List<ProgroupProjectFundingMx> selectProgroupProjectFundingMxList(ProgroupProjectFundingMx progroupProjectFundingMx)
    {
        return progroupProjectFundingMxMapper.selectProgroupProjectFundingMxList(progroupProjectFundingMx);
    }

    /**
     * 新增项目管理_经费明细
     *
     * @param progroupProjectFundingMx 项目管理_经费明细
     * @return 结果
     */
    @Override
    public int insertProgroupProjectFundingMx(ProgroupProjectFundingMx progroupProjectFundingMx)
    {
        return progroupProjectFundingMxMapper.insertProgroupProjectFundingMx(progroupProjectFundingMx);
    }

    /**
     * 修改项目管理_经费明细
     *
     * @param progroupProjectFundingMx 项目管理_经费明细
     * @return 结果
     */
    @Override
    public int updateProgroupProjectFundingMx(ProgroupProjectFundingMx progroupProjectFundingMx)
    {
        progroupProjectFundingMx.setUpdateTime(DateUtils.getNowDate());
        return progroupProjectFundingMxMapper.updateProgroupProjectFundingMx(progroupProjectFundingMx);
    }

    /**
     * 批量删除项目管理_经费明细
     *
     * @param ids 需要删除的项目管理_经费明细主键
     * @return 结果
     */
    @Override
    public int deleteProgroupProjectFundingMxByIds(Long[] ids)
    {
        return progroupProjectFundingMxMapper.deleteProgroupProjectFundingMxByIds(ids);
    }

    /**
     * 删除项目管理_经费明细信息
     *
     * @param id 项目管理_经费明细主键
     * @return 结果
     */
    @Override
    public int deleteProgroupProjectFundingMxById(Long id)
    {
        return progroupProjectFundingMxMapper.deleteProgroupProjectFundingMxById(id);
    }
}