package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ProgroupProjectFundingMapper;
import com.ruoyi.system.domain.ProgroupProjectFunding;
import com.ruoyi.system.service.IProgroupProjectFundingService;

/**
 * 项目管理_经费Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ProgroupProjectFundingServiceImpl implements IProgroupProjectFundingService
{
    @Autowired
    private ProgroupProjectFundingMapper progroupProjectFundingMapper;

    /**
     * 查询项目管理_经费
     *
     * @param ID 项目管理_经费主键
     * @return 项目管理_经费
     */
    @Override
    public ProgroupProjectFunding selectProgroupProjectFundingByID(Long ID)
    {
        return progroupProjectFundingMapper.selectProgroupProjectFundingByID(ID);
    }

    /**
     * 查询项目管理_经费列表
     *
     * @param progroupProjectFunding 项目管理_经费
     * @return 项目管理_经费
     */
    @Override
    public List<ProgroupProjectFunding> selectProgroupProjectFundingList(ProgroupProjectFunding progroupProjectFunding)
    {
        return progroupProjectFundingMapper.selectProgroupProjectFundingList(progroupProjectFunding);
    }

    /**
     * 新增项目管理_经费
     *
     * @param progroupProjectFunding 项目管理_经费
     * @return 结果
     */
    @Override
    public int insertProgroupProjectFunding(ProgroupProjectFunding progroupProjectFunding)
    {
        return progroupProjectFundingMapper.insertProgroupProjectFunding(progroupProjectFunding);
    }

    /**
     * 修改项目管理_经费
     *
     * @param progroupProjectFunding 项目管理_经费
     * @return 结果
     */
    @Override
    public int updateProgroupProjectFunding(ProgroupProjectFunding progroupProjectFunding)
    {
        progroupProjectFunding.setUpdateTime(DateUtils.getNowDate());
        return progroupProjectFundingMapper.updateProgroupProjectFunding(progroupProjectFunding);
    }

    /**
     * 批量删除项目管理_经费
     *
     * @param IDs 需要删除的项目管理_经费主键
     * @return 结果
     */
    @Override
    public int deleteProgroupProjectFundingByIDs(Long[] IDs)
    {
        return progroupProjectFundingMapper.deleteProgroupProjectFundingByIDs(IDs);
    }

    /**
     * 删除项目管理_经费信息
     *
     * @param ID 项目管理_经费主键
     * @return 结果
     */
    @Override
    public int deleteProgroupProjectFundingByID(Long ID)
    {
        return progroupProjectFundingMapper.deleteProgroupProjectFundingByID(ID);
    }
}