package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ProgroupProjectProgressMapper;
import com.ruoyi.system.domain.ProgroupProjectProgress;
import com.ruoyi.system.service.IProgroupProjectProgressService;

/**
 * 项目群 项目进展管理Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-18
 */
@Service
public class ProgroupProjectProgressServiceImpl implements IProgroupProjectProgressService
{
    @Autowired
    private ProgroupProjectProgressMapper progroupProjectProgressMapper;

    /**
     * 查询项目群 项目进展管理
     *
     * @param id 项目群 项目进展管理主键
     * @return 项目群 项目进展管理
     */
    @Override
    public ProgroupProjectProgress selectProgroupProjectProgressById(Long id)
    {
        return progroupProjectProgressMapper.selectProgroupProjectProgressById(id);
    }

    /**
     * 查询项目群 项目进展管理列表
     *
     * @param progroupProjectProgress 项目群 项目进展管理
     * @return 项目群 项目进展管理
     */
    @Override
    public List<ProgroupProjectProgress> selectProgroupProjectProgressList(ProgroupProjectProgress progroupProjectProgress)
    {
        return progroupProjectProgressMapper.selectProgroupProjectProgressList(progroupProjectProgress);
    }

    /**
     * 新增项目群 项目进展管理
     *
     * @param progroupProjectProgress 项目群 项目进展管理
     * @return 结果
     */
    @Override
    public int insertProgroupProjectProgress(ProgroupProjectProgress progroupProjectProgress)
    {
        return progroupProjectProgressMapper.insertProgroupProjectProgress(progroupProjectProgress);
    }

    /**
     * 修改项目群 项目进展管理
     *
     * @param progroupProjectProgress 项目群 项目进展管理
     * @return 结果
     */
    @Override
    public int updateProgroupProjectProgress(ProgroupProjectProgress progroupProjectProgress)
    {
        progroupProjectProgress.setUpdateTime(DateUtils.getNowDate());
        return progroupProjectProgressMapper.updateProgroupProjectProgress(progroupProjectProgress);
    }

    /**
     * 批量删除项目群 项目进展管理
     *
     * @param ids 需要删除的项目群 项目进展管理主键
     * @return 结果
     */
    @Override
    public int deleteProgroupProjectProgressByIds(Long[] ids)
    {
        return progroupProjectProgressMapper.deleteProgroupProjectProgressByIds(ids);
    }

    /**
     * 删除项目群 项目进展管理信息
     *
     * @param id 项目群 项目进展管理主键
     * @return 结果
     */
    @Override
    public int deleteProgroupProjectProgressById(Long id)
    {
        return progroupProjectProgressMapper.deleteProgroupProjectProgressById(id);
    }
}
