package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ProgroupProjectMapper;
import com.ruoyi.system.domain.ProgroupProject;
import com.ruoyi.system.service.IProgroupProjectService;

/**
 * 项目群 项目管理Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ProgroupProjectServiceImpl implements IProgroupProjectService
{
    @Autowired
    private ProgroupProjectMapper progroupProjectMapper;

    /**
     * 查询项目群 项目管理
     *
     * @param id 项目群 项目管理主键
     * @return 项目群 项目管理
     */
    @Override
    public ProgroupProject selectProgroupProjectById(Long id)
    {
        return progroupProjectMapper.selectProgroupProjectById(id);
    }

    /**
     * 查询项目群 项目管理列表
     *
     * @param progroupProject 项目群 项目管理
     * @return 项目群 项目管理
     */
    @Override
    public List<ProgroupProject> selectProgroupProjectList(ProgroupProject progroupProject)
    {
        return progroupProjectMapper.selectProgroupProjectList(progroupProject);
    }

    /**
     * 新增项目群 项目管理
     *
     * @param progroupProject 项目群 项目管理
     * @return 结果
     */
    @Override
    public int insertProgroupProject(ProgroupProject progroupProject)
    {
        return progroupProjectMapper.insertProgroupProject(progroupProject);
    }

    /**
     * 修改项目群 项目管理
     *
     * @param progroupProject 项目群 项目管理
     * @return 结果
     */
    @Override
    public int updateProgroupProject(ProgroupProject progroupProject)
    {
        progroupProject.setUpdateTime(DateUtils.getNowDate());
        return progroupProjectMapper.updateProgroupProject(progroupProject);
    }

    /**
     * 批量删除项目群 项目管理
     *
     * @param ids 需要删除的项目群 项目管理主键
     * @return 结果
     */
    @Override
    public int deleteProgroupProjectByIds(Long[] ids)
    {
        return progroupProjectMapper.deleteProgroupProjectByIds(ids);
    }

    /**
     * 删除项目群 项目管理信息
     *
     * @param id 项目群 项目管理主键
     * @return 结果
     */
    @Override
    public int deleteProgroupProjectById(Long id)
    {
        return progroupProjectMapper.deleteProgroupProjectById(id);
    }
}