package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ProgroupMapper;
import com.ruoyi.system.domain.Progroup;
import com.ruoyi.system.service.IProgroupService;

/**
 * 项目群 项目群管理Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ProgroupServiceImpl implements IProgroupService
{
    @Autowired
    private ProgroupMapper progroupMapper;

    /**
     * 查询项目群 项目群管理
     *
     * @param id 项目群 项目群管理主键
     * @return 项目群 项目群管理
     */
    @Override
    public Progroup selectProgroupById(Long id)
    {
        return progroupMapper.selectProgroupById(id);
    }

    /**
     * 查询项目群 项目群管理列表
     *
     * @param progroup 项目群 项目群管理
     * @return 项目群 项目群管理
     */
    @Override
    public List<Progroup> selectProgroupList(Progroup progroup)
    {
        return progroupMapper.selectProgroupList(progroup);
    }

    /**
     * 新增项目群 项目群管理
     *
     * @param progroup 项目群 项目群管理
     * @return 结果
     */
    @Override
    public int insertProgroup(Progroup progroup)
    {
        return progroupMapper.insertProgroup(progroup);
    }

    /**
     * 修改项目群 项目群管理
     *
     * @param progroup 项目群 项目群管理
     * @return 结果
     */
    @Override
    public int updateProgroup(Progroup progroup)
    {
        progroup.setUpdateTime(DateUtils.getNowDate());
        return progroupMapper.updateProgroup(progroup);
    }

    /**
     * 批量删除项目群 项目群管理
     *
     * @param ids 需要删除的项目群 项目群管理主键
     * @return 结果
     */
    @Override
    public int deleteProgroupByIds(Long[] ids)
    {
        return progroupMapper.deleteProgroupByIds(ids);
    }

    /**
     * 删除项目群 项目群管理信息
     *
     * @param id 项目群 项目群管理主键
     * @return 结果
     */
    @Override
    public int deleteProgroupById(Long id)
    {
        return progroupMapper.deleteProgroupById(id);
    }
}