package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ProjectDictCategoryMapper;
import com.ruoyi.system.domain.ProjectDictCategory;
import com.ruoyi.system.service.IProjectDictCategoryService;

/**
 * 项目类别字典Service业务层处理
 *
 * @author ruoyi
 * @date 2025-01-16
 */
@Service
public class ProjectDictCategoryServiceImpl implements IProjectDictCategoryService
{
    @Autowired
    private ProjectDictCategoryMapper projectDictCategoryMapper;

    /**
     * 查询项目类别字典
     *
     * @param id 项目类别字典主键
     * @return 项目类别字典
     */
    @Override
    public ProjectDictCategory selectProjectDictCategoryById(Long id)
    {
        return projectDictCategoryMapper.selectProjectDictCategoryById(id);
    }

    /**
     * 查询项目类别字典列表
     *
     * @param projectDictCategory 项目类别字典
     * @return 项目类别字典
     */
    @Override
    public List<ProjectDictCategory> selectProjectDictCategoryList(ProjectDictCategory projectDictCategory)
    {
        return projectDictCategoryMapper.selectProjectDictCategoryList(projectDictCategory);
    }

    /**
     * 新增项目类别字典
     *
     * @param projectDictCategory 项目类别字典
     * @return 结果
     */
    @Override
    public int insertProjectDictCategory(ProjectDictCategory projectDictCategory)
    {
        return projectDictCategoryMapper.insertProjectDictCategory(projectDictCategory);
    }

    /**
     * 修改项目类别字典
     *
     * @param projectDictCategory 项目类别字典
     * @return 结果
     */
    @Override
    public int updateProjectDictCategory(ProjectDictCategory projectDictCategory)
    {
        return projectDictCategoryMapper.updateProjectDictCategory(projectDictCategory);
    }

    /**
     * 批量删除项目类别字典
     *
     * @param ids 需要删除的项目类别字典主键
     * @return 结果
     */
    @Override
    public int deleteProjectDictCategoryByIds(Long[] ids)
    {
        return projectDictCategoryMapper.deleteProjectDictCategoryByIds(ids);
    }

    /**
     * 删除项目类别字典信息
     *
     * @param id 项目类别字典主键
     * @return 结果
     */
    @Override
    public int deleteProjectDictCategoryById(Long id)
    {
        return projectDictCategoryMapper.deleteProjectDictCategoryById(id);
    }
}
