package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ProjectDictProfessionMapper;
import com.ruoyi.system.domain.ProjectDictProfession;
import com.ruoyi.system.service.IProjectDictProfessionService;

/**
 * 项目专业字典Service业务层处理
 *
 * @author ruoyi
 * @date 2025-01-16
 */
@Service
public class ProjectDictProfessionServiceImpl implements IProjectDictProfessionService
{
    @Autowired
    private ProjectDictProfessionMapper projectDictProfessionMapper;

    /**
     * 查询项目专业字典
     *
     * @param id 项目专业字典主键
     * @return 项目专业字典
     */
    @Override
    public ProjectDictProfession selectProjectDictProfessionById(Long id)
    {
        return projectDictProfessionMapper.selectProjectDictProfessionById(id);
    }

    /**
     * 查询项目专业字典列表
     *
     * @param projectDictProfession 项目专业字典
     * @return 项目专业字典
     */
    @Override
    public List<ProjectDictProfession> selectProjectDictProfessionList(ProjectDictProfession projectDictProfession)
    {
        return projectDictProfessionMapper.selectProjectDictProfessionList(projectDictProfession);
    }

    /**
     * 新增项目专业字典
     *
     * @param projectDictProfession 项目专业字典
     * @return 结果
     */
    @Override
    public int insertProjectDictProfession(ProjectDictProfession projectDictProfession)
    {
        return projectDictProfessionMapper.insertProjectDictProfession(projectDictProfession);
    }

    /**
     * 修改项目专业字典
     *
     * @param projectDictProfession 项目专业字典
     * @return 结果
     */
    @Override
    public int updateProjectDictProfession(ProjectDictProfession projectDictProfession)
    {
        return projectDictProfessionMapper.updateProjectDictProfession(projectDictProfession);
    }

    /**
     * 批量删除项目专业字典
     *
     * @param ids 需要删除的项目专业字典主键
     * @return 结果
     */
    @Override
    public int deleteProjectDictProfessionByIds(Long[] ids)
    {
        return projectDictProfessionMapper.deleteProjectDictProfessionByIds(ids);
    }

    /**
     * 删除项目专业字典信息
     *
     * @param id 项目专业字典主键
     * @return 结果
     */
    @Override
    public int deleteProjectDictProfessionById(Long id)
    {
        return projectDictProfessionMapper.deleteProjectDictProfessionById(id);
    }
}
