package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ScientificDiscGuideMapper;
import com.ruoyi.system.domain.ScientificDiscGuide;
import com.ruoyi.system.service.IScientificDiscGuideService;

/**
 * 指南字典Service业务层处理
 *
 * @author ruoyi
 * @date 2025-01-16
 */
@Service
public class ScientificDiscGuideServiceImpl implements IScientificDiscGuideService
{
    @Autowired
    private ScientificDiscGuideMapper scientificDiscGuideMapper;

    /**
     * 查询指南字典
     *
     * @param id 指南字典主键
     * @return 指南字典
     */
    @Override
    public ScientificDiscGuide selectScientificDiscGuideById(Long id)
    {
        return scientificDiscGuideMapper.selectScientificDiscGuideById(id);
    }

    /**
     * 查询指南字典列表
     *
     * @param scientificDiscGuide 指南字典
     * @return 指南字典
     */
    @Override
    public List<ScientificDiscGuide> selectScientificDiscGuideList(ScientificDiscGuide scientificDiscGuide)
    {
        return scientificDiscGuideMapper.selectScientificDiscGuideList(scientificDiscGuide);
    }

    /**
     * 新增指南字典
     *
     * @param scientificDiscGuide 指南字典
     * @return 结果
     */
    @Override
    public int insertScientificDiscGuide(ScientificDiscGuide scientificDiscGuide)
    {
        return scientificDiscGuideMapper.insertScientificDiscGuide(scientificDiscGuide);
    }

    /**
     * 修改指南字典
     *
     * @param scientificDiscGuide 指南字典
     * @return 结果
     */
    @Override
    public int updateScientificDiscGuide(ScientificDiscGuide scientificDiscGuide)
    {
        return scientificDiscGuideMapper.updateScientificDiscGuide(scientificDiscGuide);
    }

    /**
     * 批量删除指南字典
     *
     * @param ids 需要删除的指南字典主键
     * @return 结果
     */
    @Override
    public int deleteScientificDiscGuideByIds(Long[] ids)
    {
        return scientificDiscGuideMapper.deleteScientificDiscGuideByIds(ids);
    }

    /**
     * 删除指南字典信息
     *
     * @param id 指南字典主键
     * @return 结果
     */
    @Override
    public int deleteScientificDiscGuideById(Long id)
    {
        return scientificDiscGuideMapper.deleteScientificDiscGuideById(id);
    }
}
