package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ScientificFileMapper;
import com.ruoyi.system.domain.ScientificFile;
import com.ruoyi.system.service.IScientificFileService;

/**
 * 文件Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ScientificFileServiceImpl implements IScientificFileService
{
    @Autowired
    private ScientificFileMapper scientificFileMapper;

    /**
     * 查询文件
     *
     * @param id 文件主键
     * @return 文件
     */
    @Override
    public ScientificFile selectScientificFileById(Long id)
    {
        return scientificFileMapper.selectScientificFileById(id);
    }

    /**
     * 查询文件列表
     *
     * @param scientificFile 文件
     * @return 文件
     */
    @Override
    public List<ScientificFile> selectScientificFileList(ScientificFile scientificFile)
    {
        return scientificFileMapper.selectScientificFileList(scientificFile);
    }

    /**
     * 新增文件
     *
     * @param scientificFile 文件
     * @return 结果
     */
    @Override
    public int insertScientificFile(ScientificFile scientificFile)
    {
        return scientificFileMapper.insertScientificFile(scientificFile);
    }

    /**
     * 修改文件
     *
     * @param scientificFile 文件
     * @return 结果
     */
    @Override
    public int updateScientificFile(ScientificFile scientificFile)
    {
        scientificFile.setUpdateTime(DateUtils.getNowDate());
        return scientificFileMapper.updateScientificFile(scientificFile);
    }

    /**
     * 批量删除文件
     *
     * @param ids 需要删除的文件主键
     * @return 结果
     */
    @Override
    public int deleteScientificFileByIds(Long[] ids)
    {
        return scientificFileMapper.deleteScientificFileByIds(ids);
    }

    /**
     * 删除文件信息
     *
     * @param id 文件主键
     * @return 结果
     */
    @Override
    public int deleteScientificFileById(Long id)
    {
        return scientificFileMapper.deleteScientificFileById(id);
    }
}