package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ScientificGuideMapper;
import com.ruoyi.system.domain.ScientificGuide;
import com.ruoyi.system.service.IScientificGuideService;

/**
 * 科研指南;指南和项目征集放在一起Service业务层处理
 *
 * @author ruoyi
 * @date 2025-01-16
 */
@Service
public class ScientificGuideServiceImpl implements IScientificGuideService
{
    @Autowired
    private ScientificGuideMapper scientificGuideMapper;

    /**
     * 查询科研指南;指南和项目征集放在一起
     *
     * @param id 科研指南;指南和项目征集放在一起主键
     * @return 科研指南;指南和项目征集放在一起
     */
    @Override
    public ScientificGuide selectScientificGuideById(Long id)
    {
        return scientificGuideMapper.selectScientificGuideById(id);
    }

    /**
     * 查询科研指南;指南和项目征集放在一起列表
     *
     * @param scientificGuide 科研指南;指南和项目征集放在一起
     * @return 科研指南;指南和项目征集放在一起
     */
    @Override
    public List<ScientificGuide> selectScientificGuideList(ScientificGuide scientificGuide)
    {
        return scientificGuideMapper.selectScientificGuideList(scientificGuide);
    }

    /**
     * 新增科研指南;指南和项目征集放在一起
     *
     * @param scientificGuide 科研指南;指南和项目征集放在一起
     * @return 结果
     */
    @Override
    public int insertScientificGuide(ScientificGuide scientificGuide)
    {
        return scientificGuideMapper.insertScientificGuide(scientificGuide);
    }

    /**
     * 修改科研指南;指南和项目征集放在一起
     *
     * @param scientificGuide 科研指南;指南和项目征集放在一起
     * @return 结果
     */
    @Override
    public int updateScientificGuide(ScientificGuide scientificGuide)
    {
        return scientificGuideMapper.updateScientificGuide(scientificGuide);
    }

    /**
     * 批量删除科研指南;指南和项目征集放在一起
     *
     * @param ids 需要删除的科研指南;指南和项目征集放在一起主键
     * @return 结果
     */
    @Override
    public int deleteScientificGuideByIds(Long[] ids)
    {
        return scientificGuideMapper.deleteScientificGuideByIds(ids);
    }

    /**
     * 删除科研指南;指南和项目征集放在一起信息
     *
     * @param id 科研指南;指南和项目征集放在一起主键
     * @return 结果
     */
    @Override
    public int deleteScientificGuideById(Long id)
    {
        return scientificGuideMapper.deleteScientificGuideById(id);
    }
}
