package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ScientificIntentionCollectJbgsMapper;
import com.ruoyi.system.domain.ScientificIntentionCollectJbgs;
import com.ruoyi.system.service.IScientificIntentionCollectJbgsService;

/**
 * 揭榜挂帅项目Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ScientificIntentionCollectJbgsServiceImpl implements IScientificIntentionCollectJbgsService
{
    @Autowired
    private ScientificIntentionCollectJbgsMapper scientificIntentionCollectJbgsMapper;

    /**
     * 查询揭榜挂帅项目
     *
     * @param ID 揭榜挂帅项目主键
     * @return 揭榜挂帅项目
     */
    @Override
    public ScientificIntentionCollectJbgs selectScientificIntentionCollectJbgsByID(Long ID)
    {
        return scientificIntentionCollectJbgsMapper.selectScientificIntentionCollectJbgsByID(ID);
    }

    /**
     * 查询揭榜挂帅项目列表
     *
     * @param scientificIntentionCollectJbgs 揭榜挂帅项目
     * @return 揭榜挂帅项目
     */
    @Override
    public List<ScientificIntentionCollectJbgs> selectScientificIntentionCollectJbgsList(ScientificIntentionCollectJbgs scientificIntentionCollectJbgs)
    {
        return scientificIntentionCollectJbgsMapper.selectScientificIntentionCollectJbgsList(scientificIntentionCollectJbgs);
    }

    /**
     * 新增揭榜挂帅项目
     *
     * @param scientificIntentionCollectJbgs 揭榜挂帅项目
     * @return 结果
     */
    @Override
    public int insertScientificIntentionCollectJbgs(ScientificIntentionCollectJbgs scientificIntentionCollectJbgs)
    {
        return scientificIntentionCollectJbgsMapper.insertScientificIntentionCollectJbgs(scientificIntentionCollectJbgs);
    }

    /**
     * 修改揭榜挂帅项目
     *
     * @param scientificIntentionCollectJbgs 揭榜挂帅项目
     * @return 结果
     */
    @Override
    public int updateScientificIntentionCollectJbgs(ScientificIntentionCollectJbgs scientificIntentionCollectJbgs)
    {
        scientificIntentionCollectJbgs.setUpdateTime(DateUtils.getNowDate());
        return scientificIntentionCollectJbgsMapper.updateScientificIntentionCollectJbgs(scientificIntentionCollectJbgs);
    }

    /**
     * 批量删除揭榜挂帅项目
     *
     * @param IDs 需要删除的揭榜挂帅项目主键
     * @return 结果
     */
    @Override
    public int deleteScientificIntentionCollectJbgsByIDs(Long[] IDs)
    {
        return scientificIntentionCollectJbgsMapper.deleteScientificIntentionCollectJbgsByIDs(IDs);
    }

    /**
     * 删除揭榜挂帅项目信息
     *
     * @param ID 揭榜挂帅项目主键
     * @return 结果
     */
    @Override
    public int deleteScientificIntentionCollectJbgsByID(Long ID)
    {
        return scientificIntentionCollectJbgsMapper.deleteScientificIntentionCollectJbgsByID(ID);
    }
}