package com.ruoyi.system.service.Impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.domain.ScientificIntentionCollect;
import com.ruoyi.system.mapper.ScientificIntentionCollectMapper;
import com.ruoyi.system.service.IScientificIntentionCollectService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ScientificIntentionCollectServiceImpl implements IScientificIntentionCollectService {
    @Autowired
    ScientificIntentionCollectMapper scientificIntentionCollectMapper;

    /**
     * 查询意向征集
     *
     * @param ID 意向征集主键
     * @return 意向征集
     */
    @Override
    public ScientificIntentionCollect selectScientificIntentionCollectByID(Long ID)
    {
        return scientificIntentionCollectMapper.selectScientificIntentionCollectByID(ID);
    }

    /**
     * 查询意向征集列表
     *
     * @param scientificIntentionCollect 意向征集
     * @return 意向征集
     */
    @Override
    public List<ScientificIntentionCollect> selectScientificIntentionCollectList(ScientificIntentionCollect scientificIntentionCollect)
    {
        return scientificIntentionCollectMapper.selectScientificIntentionCollectList(scientificIntentionCollect);
    }

    /**
     * 新增意向征集
     *
     * @param scientificIntentionCollect 意向征集
     * @return 结果
     */
    @Override
    public int insertScientificIntentionCollect(ScientificIntentionCollect scientificIntentionCollect)
    {
        return scientificIntentionCollectMapper.insertScientificIntentionCollect(scientificIntentionCollect);
    }

    /**
     * 修改意向征集
     *
     * @param scientificIntentionCollect 意向征集
     * @return 结果
     */
    @Override
    public int updateScientificIntentionCollect(ScientificIntentionCollect scientificIntentionCollect)
    {
        scientificIntentionCollect.setUpdateTime(DateUtils.getNowDate());
        return scientificIntentionCollectMapper.updateScientificIntentionCollect(scientificIntentionCollect);
    }

    /**
     * 批量删除意向征集
     *
     * @param IDs 需要删除的意向征集主键
     * @return 结果
     */
    @Override
    public int deleteScientificIntentionCollectByIDs(Long[] IDs)
    {
        return scientificIntentionCollectMapper.deleteScientificIntentionCollectByIDs(IDs);
    }

    /**
     * 删除意向征集信息
     *
     * @param ID 意向征集主键
     * @return 结果
     */
    @Override
    public int deleteScientificIntentionCollectByID(Long ID)
    {
        return scientificIntentionCollectMapper.deleteScientificIntentionCollectByID(ID);
    }
}
