package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ScientificIntentionCollectVerifyMapper;
import com.ruoyi.system.domain.ScientificIntentionCollectVerify;
import com.ruoyi.system.service.IScientificIntentionCollectVerifyService;

/**
 * 意向征集确认单Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ScientificIntentionCollectVerifyServiceImpl implements IScientificIntentionCollectVerifyService
{
    @Autowired
    private ScientificIntentionCollectVerifyMapper scientificIntentionCollectVerifyMapper;

    /**
     * 查询意向征集确认单
     *
     * @param ID 意向征集确认单主键
     * @return 意向征集确认单
     */
    @Override
    public ScientificIntentionCollectVerify selectScientificIntentionCollectVerifyByID(Long ID)
    {
        return scientificIntentionCollectVerifyMapper.selectScientificIntentionCollectVerifyByID(ID);
    }

    /**
     * 查询意向征集确认单列表
     *
     * @param scientificIntentionCollectVerify 意向征集确认单
     * @return 意向征集确认单
     */
    @Override
    public List<ScientificIntentionCollectVerify> selectScientificIntentionCollectVerifyList(ScientificIntentionCollectVerify scientificIntentionCollectVerify)
    {
        return scientificIntentionCollectVerifyMapper.selectScientificIntentionCollectVerifyList(scientificIntentionCollectVerify);
    }

    /**
     * 新增意向征集确认单
     *
     * @param scientificIntentionCollectVerify 意向征集确认单
     * @return 结果
     */
    @Override
    public int insertScientificIntentionCollectVerify(ScientificIntentionCollectVerify scientificIntentionCollectVerify)
    {
        return scientificIntentionCollectVerifyMapper.insertScientificIntentionCollectVerify(scientificIntentionCollectVerify);
    }

    /**
     * 修改意向征集确认单
     *
     * @param scientificIntentionCollectVerify 意向征集确认单
     * @return 结果
     */
    @Override
    public int updateScientificIntentionCollectVerify(ScientificIntentionCollectVerify scientificIntentionCollectVerify)
    {
        scientificIntentionCollectVerify.setUpdateTime(DateUtils.getNowDate());
        return scientificIntentionCollectVerifyMapper.updateScientificIntentionCollectVerify(scientificIntentionCollectVerify);
    }

    /**
     * 批量删除意向征集确认单
     *
     * @param IDs 需要删除的意向征集确认单主键
     * @return 结果
     */
    @Override
    public int deleteScientificIntentionCollectVerifyByIDs(Long[] IDs)
    {
        return scientificIntentionCollectVerifyMapper.deleteScientificIntentionCollectVerifyByIDs(IDs);
    }

    /**
     * 删除意向征集确认单信息
     *
     * @param ID 意向征集确认单主键
     * @return 结果
     */
    @Override
    public int deleteScientificIntentionCollectVerifyByID(Long ID)
    {
        return scientificIntentionCollectVerifyMapper.deleteScientificIntentionCollectVerifyByID(ID);
    }
}