package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ScientificIntentionInnovateMapper;
import com.ruoyi.system.domain.ScientificIntentionInnovate;
import com.ruoyi.system.service.IScientificIntentionInnovateService;

/**
 * 创新高地Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ScientificIntentionInnovateServiceImpl implements IScientificIntentionInnovateService
{
    @Autowired
    private ScientificIntentionInnovateMapper scientificIntentionInnovateMapper;

    /**
     * 查询创新高地
     *
     * @param ID 创新高地主键
     * @return 创新高地
     */
    @Override
    public ScientificIntentionInnovate selectScientificIntentionInnovateByID(Long ID)
    {
        return scientificIntentionInnovateMapper.selectScientificIntentionInnovateByID(ID);
    }

    /**
     * 查询创新高地列表
     *
     * @param scientificIntentionInnovate 创新高地
     * @return 创新高地
     */
    @Override
    public List<ScientificIntentionInnovate> selectScientificIntentionInnovateList(ScientificIntentionInnovate scientificIntentionInnovate)
    {
        return scientificIntentionInnovateMapper.selectScientificIntentionInnovateList(scientificIntentionInnovate);
    }

    /**
     * 新增创新高地
     *
     * @param scientificIntentionInnovate 创新高地
     * @return 结果
     */
    @Override
    public int insertScientificIntentionInnovate(ScientificIntentionInnovate scientificIntentionInnovate)
    {
        return scientificIntentionInnovateMapper.insertScientificIntentionInnovate(scientificIntentionInnovate);
    }

    /**
     * 修改创新高地
     *
     * @param scientificIntentionInnovate 创新高地
     * @return 结果
     */
    @Override
    public int updateScientificIntentionInnovate(ScientificIntentionInnovate scientificIntentionInnovate)
    {
        scientificIntentionInnovate.setUpdateTime(DateUtils.getNowDate());
        return scientificIntentionInnovateMapper.updateScientificIntentionInnovate(scientificIntentionInnovate);
    }

    /**
     * 批量删除创新高地
     *
     * @param IDs 需要删除的创新高地主键
     * @return 结果
     */
    @Override
    public int deleteScientificIntentionInnovateByIDs(Long[] IDs)
    {
        return scientificIntentionInnovateMapper.deleteScientificIntentionInnovateByIDs(IDs);
    }

    /**
     * 删除创新高地信息
     *
     * @param ID 创新高地主键
     * @return 结果
     */
    @Override
    public int deleteScientificIntentionInnovateByID(Long ID)
    {
        return scientificIntentionInnovateMapper.deleteScientificIntentionInnovateByID(ID);
    }
}
