package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ScientificIntentionTeamMapper;
import com.ruoyi.system.domain.ScientificIntentionTeam;
import com.ruoyi.system.service.IScientificIntentionTeamService;

/**
 * 意向征集_团队Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ScientificIntentionTeamServiceImpl implements IScientificIntentionTeamService
{
    @Autowired
    private ScientificIntentionTeamMapper scientificIntentionTeamMapper;

    /**
     * 查询意向征集_团队
     *
     * @param ID 意向征集_团队主键
     * @return 意向征集_团队
     */
    @Override
    public ScientificIntentionTeam selectScientificIntentionTeamByID(Long ID)
    {
        return scientificIntentionTeamMapper.selectScientificIntentionTeamByID(ID);
    }

    /**
     * 查询意向征集_团队列表
     *
     * @param scientificIntentionTeam 意向征集_团队
     * @return 意向征集_团队
     */
    @Override
    public List<ScientificIntentionTeam> selectScientificIntentionTeamList(ScientificIntentionTeam scientificIntentionTeam)
    {
        return scientificIntentionTeamMapper.selectScientificIntentionTeamList(scientificIntentionTeam);
    }

    /**
     * 新增意向征集_团队
     *
     * @param scientificIntentionTeam 意向征集_团队
     * @return 结果
     */
    @Override
    public int insertScientificIntentionTeam(ScientificIntentionTeam scientificIntentionTeam)
    {
        return scientificIntentionTeamMapper.insertScientificIntentionTeam(scientificIntentionTeam);
    }

    /**
     * 修改意向征集_团队
     *
     * @param scientificIntentionTeam 意向征集_团队
     * @return 结果
     */
    @Override
    public int updateScientificIntentionTeam(ScientificIntentionTeam scientificIntentionTeam)
    {
        scientificIntentionTeam.setUpdateTime(DateUtils.getNowDate());
        return scientificIntentionTeamMapper.updateScientificIntentionTeam(scientificIntentionTeam);
    }

    /**
     * 批量删除意向征集_团队
     *
     * @param IDs 需要删除的意向征集_团队主键
     * @return 结果
     */
    @Override
    public int deleteScientificIntentionTeamByIDs(Long[] IDs)
    {
        return scientificIntentionTeamMapper.deleteScientificIntentionTeamByIDs(IDs);
    }

    /**
     * 删除意向征集_团队信息
     *
     * @param ID 意向征集_团队主键
     * @return 结果
     */
    @Override
    public int deleteScientificIntentionTeamByID(Long ID)
    {
        return scientificIntentionTeamMapper.deleteScientificIntentionTeamByID(ID);
    }
}