package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ScientificIntentionTeamUserMapper;
import com.ruoyi.system.domain.ScientificIntentionTeamUser;
import com.ruoyi.system.service.IScientificIntentionTeamUserService;

/**
 * 团队用户关联Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ScientificIntentionTeamUserServiceImpl implements IScientificIntentionTeamUserService
{
    @Autowired
    private ScientificIntentionTeamUserMapper scientificIntentionTeamUserMapper;

    /**
     * 查询团队用户关联
     *
     * @param teamId 团队用户关联主键
     * @return 团队用户关联
     */
    @Override
    public ScientificIntentionTeamUser selectScientificIntentionTeamUserByTeamId(Long teamId)
    {
        return scientificIntentionTeamUserMapper.selectScientificIntentionTeamUserByTeamId(teamId);
    }

    /**
     * 查询团队用户关联列表
     *
     * @param scientificIntentionTeamUser 团队用户关联
     * @return 团队用户关联
     */
    @Override
    public List<ScientificIntentionTeamUser> selectScientificIntentionTeamUserList(ScientificIntentionTeamUser scientificIntentionTeamUser)
    {
        return scientificIntentionTeamUserMapper.selectScientificIntentionTeamUserList(scientificIntentionTeamUser);
    }

    /**
     * 新增团队用户关联
     *
     * @param scientificIntentionTeamUser 团队用户关联
     * @return 结果
     */
    @Override
    public int insertScientificIntentionTeamUser(ScientificIntentionTeamUser scientificIntentionTeamUser)
    {
        return scientificIntentionTeamUserMapper.insertScientificIntentionTeamUser(scientificIntentionTeamUser);
    }

    /**
     * 修改团队用户关联
     *
     * @param scientificIntentionTeamUser 团队用户关联
     * @return 结果
     */
    @Override
    public int updateScientificIntentionTeamUser(ScientificIntentionTeamUser scientificIntentionTeamUser)
    {
        return scientificIntentionTeamUserMapper.updateScientificIntentionTeamUser(scientificIntentionTeamUser);
    }

    /**
     * 批量删除团队用户关联
     *
     * @param teamIds 需要删除的团队用户关联主键
     * @return 结果
     */
    @Override
    public int deleteScientificIntentionTeamUserByTeamIds(Long[] teamIds)
    {
        return scientificIntentionTeamUserMapper.deleteScientificIntentionTeamUserByTeamIds(teamIds);
    }

    /**
     * 删除团队用户关联信息
     *
     * @param teamId 团队用户关联主键
     * @return 结果
     */
    @Override
    public int deleteScientificIntentionTeamUserByTeamId(Long teamId)
    {
        return scientificIntentionTeamUserMapper.deleteScientificIntentionTeamUserByTeamId(teamId);
    }
}