package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ScientificLeaderInfoMapper;
import com.ruoyi.system.domain.ScientificLeaderInfo;
import com.ruoyi.system.service.IScientificLeaderInfoService;

/**
 * 负责人经历Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ScientificLeaderInfoServiceImpl implements IScientificLeaderInfoService
{
    @Autowired
    private ScientificLeaderInfoMapper scientificLeaderInfoMapper;

    /**
     * 查询负责人经历
     *
     * @param id 负责人经历主键
     * @return 负责人经历
     */
    @Override
    public ScientificLeaderInfo selectScientificLeaderInfoById(Long id)
    {
        return scientificLeaderInfoMapper.selectScientificLeaderInfoById(id);
    }

    /**
     * 查询负责人经历列表
     *
     * @param scientificLeaderInfo 负责人经历
     * @return 负责人经历
     */
    @Override
    public List<ScientificLeaderInfo> selectScientificLeaderInfoList(ScientificLeaderInfo scientificLeaderInfo)
    {
        return scientificLeaderInfoMapper.selectScientificLeaderInfoList(scientificLeaderInfo);
    }

    /**
     * 新增负责人经历
     *
     * @param scientificLeaderInfo 负责人经历
     * @return 结果
     */
    @Override
    public int insertScientificLeaderInfo(ScientificLeaderInfo scientificLeaderInfo)
    {
        return scientificLeaderInfoMapper.insertScientificLeaderInfo(scientificLeaderInfo);
    }

    /**
     * 修改负责人经历
     *
     * @param scientificLeaderInfo 负责人经历
     * @return 结果
     */
    @Override
    public int updateScientificLeaderInfo(ScientificLeaderInfo scientificLeaderInfo)
    {
        return scientificLeaderInfoMapper.updateScientificLeaderInfo(scientificLeaderInfo);
    }

    /**
     * 批量删除负责人经历
     *
     * @param ids 需要删除的负责人经历主键
     * @return 结果
     */
    @Override
    public int deleteScientificLeaderInfoByIds(Long[] ids)
    {
        return scientificLeaderInfoMapper.deleteScientificLeaderInfoByIds(ids);
    }

    /**
     * 删除负责人经历信息
     *
     * @param id 负责人经历主键
     * @return 结果
     */
    @Override
    public int deleteScientificLeaderInfoById(Long id)
    {
        return scientificLeaderInfoMapper.deleteScientificLeaderInfoById(id);
    }
}