package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ScientificOpeningBudgetMapper;
import com.ruoyi.system.domain.ScientificOpeningBudget;
import com.ruoyi.system.service.IScientificOpeningBudgetService;

/**
 * 项目开题预算Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ScientificOpeningBudgetServiceImpl implements IScientificOpeningBudgetService
{
    @Autowired
    private ScientificOpeningBudgetMapper scientificOpeningBudgetMapper;

    /**
     * 查询项目开题预算
     *
     * @param id 项目开题预算主键
     * @return 项目开题预算
     */
    @Override
    public ScientificOpeningBudget selectScientificOpeningBudgetById(Long id)
    {
        return scientificOpeningBudgetMapper.selectScientificOpeningBudgetById(id);
    }

    /**
     * 查询项目开题预算列表
     *
     * @param scientificOpeningBudget 项目开题预算
     * @return 项目开题预算
     */
    @Override
    public List<ScientificOpeningBudget> selectScientificOpeningBudgetList(ScientificOpeningBudget scientificOpeningBudget)
    {
        return scientificOpeningBudgetMapper.selectScientificOpeningBudgetList(scientificOpeningBudget);
    }

    /**
     * 新增项目开题预算
     *
     * @param scientificOpeningBudget 项目开题预算
     * @return 结果
     */
    @Override
    public int insertScientificOpeningBudget(ScientificOpeningBudget scientificOpeningBudget)
    {
        return scientificOpeningBudgetMapper.insertScientificOpeningBudget(scientificOpeningBudget);
    }

    /**
     * 修改项目开题预算
     *
     * @param scientificOpeningBudget 项目开题预算
     * @return 结果
     */
    @Override
    public int updateScientificOpeningBudget(ScientificOpeningBudget scientificOpeningBudget)
    {
        return scientificOpeningBudgetMapper.updateScientificOpeningBudget(scientificOpeningBudget);
    }

    /**
     * 批量删除项目开题预算
     *
     * @param ids 需要删除的项目开题预算主键
     * @return 结果
     */
    @Override
    public int deleteScientificOpeningBudgetByIds(Long[] ids)
    {
        return scientificOpeningBudgetMapper.deleteScientificOpeningBudgetByIds(ids);
    }

    /**
     * 删除项目开题预算信息
     *
     * @param id 项目开题预算主键
     * @return 结果
     */
    @Override
    public int deleteScientificOpeningBudgetById(Long id)
    {
        return scientificOpeningBudgetMapper.deleteScientificOpeningBudgetById(id);
    }
}