package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ScientificOpeningPlanMapper;
import com.ruoyi.system.domain.ScientificOpeningPlan;
import com.ruoyi.system.service.IScientificOpeningPlanService;

/**
 * 经费支付计划Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ScientificOpeningPlanServiceImpl implements IScientificOpeningPlanService
{
    @Autowired
    private ScientificOpeningPlanMapper scientificOpeningPlanMapper;

    /**
     * 查询经费支付计划
     *
     * @param id 经费支付计划主键
     * @return 经费支付计划
     */
    @Override
    public ScientificOpeningPlan selectScientificOpeningPlanById(Long id)
    {
        return scientificOpeningPlanMapper.selectScientificOpeningPlanById(id);
    }

    /**
     * 查询经费支付计划列表
     *
     * @param scientificOpeningPlan 经费支付计划
     * @return 经费支付计划
     */
    @Override
    public List<ScientificOpeningPlan> selectScientificOpeningPlanList(ScientificOpeningPlan scientificOpeningPlan)
    {
        return scientificOpeningPlanMapper.selectScientificOpeningPlanList(scientificOpeningPlan);
    }

    /**
     * 新增经费支付计划
     *
     * @param scientificOpeningPlan 经费支付计划
     * @return 结果
     */
    @Override
    public int insertScientificOpeningPlan(ScientificOpeningPlan scientificOpeningPlan)
    {
        return scientificOpeningPlanMapper.insertScientificOpeningPlan(scientificOpeningPlan);
    }

    /**
     * 修改经费支付计划
     *
     * @param scientificOpeningPlan 经费支付计划
     * @return 结果
     */
    @Override
    public int updateScientificOpeningPlan(ScientificOpeningPlan scientificOpeningPlan)
    {
        return scientificOpeningPlanMapper.updateScientificOpeningPlan(scientificOpeningPlan);
    }

    /**
     * 批量删除经费支付计划
     *
     * @param ids 需要删除的经费支付计划主键
     * @return 结果
     */
    @Override
    public int deleteScientificOpeningPlanByIds(Long[] ids)
    {
        return scientificOpeningPlanMapper.deleteScientificOpeningPlanByIds(ids);
    }

    /**
     * 删除经费支付计划信息
     *
     * @param id 经费支付计划主键
     * @return 结果
     */
    @Override
    public int deleteScientificOpeningPlanById(Long id)
    {
        return scientificOpeningPlanMapper.deleteScientificOpeningPlanById(id);
    }
}