package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ScientificOpeningResearcherMapper;
import com.ruoyi.system.domain.ScientificOpeningResearcher;
import com.ruoyi.system.service.IScientificOpeningResearcherService;

/**
 * 课题研究人员名单Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ScientificOpeningResearcherServiceImpl implements IScientificOpeningResearcherService
{
    @Autowired
    private ScientificOpeningResearcherMapper scientificOpeningResearcherMapper;

    /**
     * 查询课题研究人员名单
     *
     * @param id 课题研究人员名单主键
     * @return 课题研究人员名单
     */
    @Override
    public ScientificOpeningResearcher selectScientificOpeningResearcherById(Long id)
    {
        return scientificOpeningResearcherMapper.selectScientificOpeningResearcherById(id);
    }

    /**
     * 查询课题研究人员名单列表
     *
     * @param scientificOpeningResearcher 课题研究人员名单
     * @return 课题研究人员名单
     */
    @Override
    public List<ScientificOpeningResearcher> selectScientificOpeningResearcherList(ScientificOpeningResearcher scientificOpeningResearcher)
    {
        return scientificOpeningResearcherMapper.selectScientificOpeningResearcherList(scientificOpeningResearcher);
    }

    /**
     * 新增课题研究人员名单
     *
     * @param scientificOpeningResearcher 课题研究人员名单
     * @return 结果
     */
    @Override
    public int insertScientificOpeningResearcher(ScientificOpeningResearcher scientificOpeningResearcher)
    {
        return scientificOpeningResearcherMapper.insertScientificOpeningResearcher(scientificOpeningResearcher);
    }

    /**
     * 修改课题研究人员名单
     *
     * @param scientificOpeningResearcher 课题研究人员名单
     * @return 结果
     */
    @Override
    public int updateScientificOpeningResearcher(ScientificOpeningResearcher scientificOpeningResearcher)
    {
        scientificOpeningResearcher.setUpdateTime(DateUtils.getNowDate());
        return scientificOpeningResearcherMapper.updateScientificOpeningResearcher(scientificOpeningResearcher);
    }

    /**
     * 批量删除课题研究人员名单
     *
     * @param ids 需要删除的课题研究人员名单主键
     * @return 结果
     */
    @Override
    public int deleteScientificOpeningResearcherByIds(Long[] ids)
    {
        return scientificOpeningResearcherMapper.deleteScientificOpeningResearcherByIds(ids);
    }

    /**
     * 删除课题研究人员名单信息
     *
     * @param id 课题研究人员名单主键
     * @return 结果
     */
    @Override
    public int deleteScientificOpeningResearcherById(Long id)
    {
        return scientificOpeningResearcherMapper.deleteScientificOpeningResearcherById(id);
    }
}