package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ScientificOpeningScheduleMapper;
import com.ruoyi.system.domain.ScientificOpeningSchedule;
import com.ruoyi.system.service.IScientificOpeningScheduleService;

/**
 * 项目开题计划进度Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ScientificOpeningScheduleServiceImpl implements IScientificOpeningScheduleService
{
    @Autowired
    private ScientificOpeningScheduleMapper scientificOpeningScheduleMapper;

    /**
     * 查询项目开题计划进度
     *
     * @param id 项目开题计划进度主键
     * @return 项目开题计划进度
     */
    @Override
    public ScientificOpeningSchedule selectScientificOpeningScheduleById(Long id)
    {
        return scientificOpeningScheduleMapper.selectScientificOpeningScheduleById(id);
    }

    /**
     * 查询项目开题计划进度列表
     *
     * @param scientificOpeningSchedule 项目开题计划进度
     * @return 项目开题计划进度
     */
    @Override
    public List<ScientificOpeningSchedule> selectScientificOpeningScheduleList(ScientificOpeningSchedule scientificOpeningSchedule)
    {
        return scientificOpeningScheduleMapper.selectScientificOpeningScheduleList(scientificOpeningSchedule);
    }

    /**
     * 新增项目开题计划进度
     *
     * @param scientificOpeningSchedule 项目开题计划进度
     * @return 结果
     */
    @Override
    public int insertScientificOpeningSchedule(ScientificOpeningSchedule scientificOpeningSchedule)
    {
        return scientificOpeningScheduleMapper.insertScientificOpeningSchedule(scientificOpeningSchedule);
    }

    /**
     * 修改项目开题计划进度
     *
     * @param scientificOpeningSchedule 项目开题计划进度
     * @return 结果
     */
    @Override
    public int updateScientificOpeningSchedule(ScientificOpeningSchedule scientificOpeningSchedule)
    {
        scientificOpeningSchedule.setUpdateTime(DateUtils.getNowDate());
        return scientificOpeningScheduleMapper.updateScientificOpeningSchedule(scientificOpeningSchedule);
    }

    /**
     * 批量删除项目开题计划进度
     *
     * @param ids 需要删除的项目开题计划进度主键
     * @return 结果
     */
    @Override
    public int deleteScientificOpeningScheduleByIds(Long[] ids)
    {
        return scientificOpeningScheduleMapper.deleteScientificOpeningScheduleByIds(ids);
    }

    /**
     * 删除项目开题计划进度信息
     *
     * @param id 项目开题计划进度主键
     * @return 结果
     */
    @Override
    public int deleteScientificOpeningScheduleById(Long id)
    {
        return scientificOpeningScheduleMapper.deleteScientificOpeningScheduleById(id);
    }
}