package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ScientificOpeningSourceMapper;
import com.ruoyi.system.domain.ScientificOpeningSource;
import com.ruoyi.system.service.IScientificOpeningSourceService;

/**
 * 项目开题经费来源Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ScientificOpeningSourceServiceImpl implements IScientificOpeningSourceService
{
    @Autowired
    private ScientificOpeningSourceMapper scientificOpeningSourceMapper;

    /**
     * 查询项目开题经费来源
     *
     * @param id 项目开题经费来源主键
     * @return 项目开题经费来源
     */
    @Override
    public ScientificOpeningSource selectScientificOpeningSourceById(Long id)
    {
        return scientificOpeningSourceMapper.selectScientificOpeningSourceById(id);
    }

    /**
     * 查询项目开题经费来源列表
     *
     * @param scientificOpeningSource 项目开题经费来源
     * @return 项目开题经费来源
     */
    @Override
    public List<ScientificOpeningSource> selectScientificOpeningSourceList(ScientificOpeningSource scientificOpeningSource)
    {
        return scientificOpeningSourceMapper.selectScientificOpeningSourceList(scientificOpeningSource);
    }

    /**
     * 新增项目开题经费来源
     *
     * @param scientificOpeningSource 项目开题经费来源
     * @return 结果
     */
    @Override
    public int insertScientificOpeningSource(ScientificOpeningSource scientificOpeningSource)
    {
        return scientificOpeningSourceMapper.insertScientificOpeningSource(scientificOpeningSource);
    }

    /**
     * 修改项目开题经费来源
     *
     * @param scientificOpeningSource 项目开题经费来源
     * @return 结果
     */
    @Override
    public int updateScientificOpeningSource(ScientificOpeningSource scientificOpeningSource)
    {
        return scientificOpeningSourceMapper.updateScientificOpeningSource(scientificOpeningSource);
    }

    /**
     * 批量删除项目开题经费来源
     *
     * @param ids 需要删除的项目开题经费来源主键
     * @return 结果
     */
    @Override
    public int deleteScientificOpeningSourceByIds(Long[] ids)
    {
        return scientificOpeningSourceMapper.deleteScientificOpeningSourceByIds(ids);
    }

    /**
     * 删除项目开题经费来源信息
     *
     * @param id 项目开题经费来源主键
     * @return 结果
     */
    @Override
    public int deleteScientificOpeningSourceById(Long id)
    {
        return scientificOpeningSourceMapper.deleteScientificOpeningSourceById(id);
    }
}