package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ScientificProjectFundingMapper;
import com.ruoyi.system.domain.ScientificProjectFunding;
import com.ruoyi.system.service.IScientificProjectFundingService;

/**
 * 项目经费Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ScientificProjectFundingServiceImpl implements IScientificProjectFundingService
{
    @Autowired
    private ScientificProjectFundingMapper scientificProjectFundingMapper;

    /**
     * 查询项目经费
     *
     * @param id 项目经费主键
     * @return 项目经费
     */
    @Override
    public ScientificProjectFunding selectScientificProjectFundingById(Long id)
    {
        return scientificProjectFundingMapper.selectScientificProjectFundingById(id);
    }

    /**
     * 查询项目经费列表
     *
     * @param scientificProjectFunding 项目经费
     * @return 项目经费
     */
    @Override
    public List<ScientificProjectFunding> selectScientificProjectFundingList(ScientificProjectFunding scientificProjectFunding)
    {
        return scientificProjectFundingMapper.selectScientificProjectFundingList(scientificProjectFunding);
    }

    /**
     * 新增项目经费
     *
     * @param scientificProjectFunding 项目经费
     * @return 结果
     */
    @Override
    public int insertScientificProjectFunding(ScientificProjectFunding scientificProjectFunding)
    {
        return scientificProjectFundingMapper.insertScientificProjectFunding(scientificProjectFunding);
    }

    /**
     * 修改项目经费
     *
     * @param scientificProjectFunding 项目经费
     * @return 结果
     */
    @Override
    public int updateScientificProjectFunding(ScientificProjectFunding scientificProjectFunding)
    {
        scientificProjectFunding.setUpdateTime(DateUtils.getNowDate());
        return scientificProjectFundingMapper.updateScientificProjectFunding(scientificProjectFunding);
    }

    /**
     * 批量删除项目经费
     *
     * @param ids 需要删除的项目经费主键
     * @return 结果
     */
    @Override
    public int deleteScientificProjectFundingByIds(Long[] ids)
    {
        return scientificProjectFundingMapper.deleteScientificProjectFundingByIds(ids);
    }

    /**
     * 删除项目经费信息
     *
     * @param id 项目经费主键
     * @return 结果
     */
    @Override
    public int deleteScientificProjectFundingById(Long id)
    {
        return scientificProjectFundingMapper.deleteScientificProjectFundingById(id);
    }
}