package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ScientificProjectOpeningMapper;
import com.ruoyi.system.domain.ScientificProjectOpening;
import com.ruoyi.system.service.IScientificProjectOpeningService;

/**
 * 项目开题Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ScientificProjectOpeningServiceImpl implements IScientificProjectOpeningService
{
    @Autowired
    private ScientificProjectOpeningMapper scientificProjectOpeningMapper;

    /**
     * 查询项目开题
     *
     * @param id 项目开题主键
     * @return 项目开题
     */
    @Override
    public ScientificProjectOpening selectScientificProjectOpeningById(Long id)
    {
        return scientificProjectOpeningMapper.selectScientificProjectOpeningById(id);
    }

    /**
     * 查询项目开题列表
     *
     * @param scientificProjectOpening 项目开题
     * @return 项目开题
     */
    @Override
    public List<ScientificProjectOpening> selectScientificProjectOpeningList(ScientificProjectOpening scientificProjectOpening)
    {
        return scientificProjectOpeningMapper.selectScientificProjectOpeningList(scientificProjectOpening);
    }

    /**
     * 新增项目开题
     *
     * @param scientificProjectOpening 项目开题
     * @return 结果
     */
    @Override
    public int insertScientificProjectOpening(ScientificProjectOpening scientificProjectOpening)
    {
        return scientificProjectOpeningMapper.insertScientificProjectOpening(scientificProjectOpening);
    }

    /**
     * 修改项目开题
     *
     * @param scientificProjectOpening 项目开题
     * @return 结果
     */
    @Override
    public int updateScientificProjectOpening(ScientificProjectOpening scientificProjectOpening)
    {
        scientificProjectOpening.setUpdateTime(DateUtils.getNowDate());
        return scientificProjectOpeningMapper.updateScientificProjectOpening(scientificProjectOpening);
    }

    /**
     * 批量删除项目开题
     *
     * @param ids 需要删除的项目开题主键
     * @return 结果
     */
    @Override
    public int deleteScientificProjectOpeningByIds(Long[] ids)
    {
        return scientificProjectOpeningMapper.deleteScientificProjectOpeningByIds(ids);
    }

    /**
     * 删除项目开题信息
     *
     * @param id 项目开题主键
     * @return 结果
     */
    @Override
    public int deleteScientificProjectOpeningById(Long id)
    {
        return scientificProjectOpeningMapper.deleteScientificProjectOpeningById(id);
    }
}