package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ScientificProjectReportMapper;
import com.ruoyi.system.domain.ScientificProjectReport;
import com.ruoyi.system.service.IScientificProjectReportService;

/**
 * 项目报Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ScientificProjectReportServiceImpl implements IScientificProjectReportService
{
    @Autowired
    private ScientificProjectReportMapper scientificProjectReportMapper;

    /**
     * 查询项目报
     *
     * @param id 项目报主键
     * @return 项目报
     */
    @Override
    public ScientificProjectReport selectScientificProjectReportById(Long id)
    {
        return scientificProjectReportMapper.selectScientificProjectReportById(id);
    }

    /**
     * 查询项目报列表
     *
     * @param scientificProjectReport 项目报
     * @return 项目报
     */
    @Override
    public List<ScientificProjectReport> selectScientificProjectReportList(ScientificProjectReport scientificProjectReport)
    {
        return scientificProjectReportMapper.selectScientificProjectReportList(scientificProjectReport);
    }

    /**
     * 新增项目报
     *
     * @param scientificProjectReport 项目报
     * @return 结果
     */
    @Override
    public int insertScientificProjectReport(ScientificProjectReport scientificProjectReport)
    {
        return scientificProjectReportMapper.insertScientificProjectReport(scientificProjectReport);
    }

    /**
     * 修改项目报
     *
     * @param scientificProjectReport 项目报
     * @return 结果
     */
    @Override
    public int updateScientificProjectReport(ScientificProjectReport scientificProjectReport)
    {
        scientificProjectReport.setUpdateTime(DateUtils.getNowDate());
        return scientificProjectReportMapper.updateScientificProjectReport(scientificProjectReport);
    }

    /**
     * 批量删除项目报
     *
     * @param ids 需要删除的项目报主键
     * @return 结果
     */
    @Override
    public int deleteScientificProjectReportByIds(Long[] ids)
    {
        return scientificProjectReportMapper.deleteScientificProjectReportByIds(ids);
    }

    /**
     * 删除项目报信息
     *
     * @param id 项目报主键
     * @return 结果
     */
    @Override
    public int deleteScientificProjectReportById(Long id)
    {
        return scientificProjectReportMapper.deleteScientificProjectReportById(id);
    }
}