package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ScientificProjectMapper;
import com.ruoyi.system.domain.ScientificProject;
import com.ruoyi.system.service.IScientificProjectService;

/**
 * 项目立项Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ScientificProjectServiceImpl implements IScientificProjectService
{
    @Autowired
    private ScientificProjectMapper scientificProjectMapper;

    /**
     * 查询项目立项
     *
     * @param id 项目立项主键
     * @return 项目立项
     */
    @Override
    public ScientificProject selectScientificProjectById(Long id)
    {
        return scientificProjectMapper.selectScientificProjectById(id);
    }

    /**
     * 查询项目立项列表
     *
     * @param scientificProject 项目立项
     * @return 项目立项
     */
    @Override
    public List<ScientificProject> selectScientificProjectList(ScientificProject scientificProject)
    {
        return scientificProjectMapper.selectScientificProjectList(scientificProject);
    }

    /**
     * 新增项目立项
     *
     * @param scientificProject 项目立项
     * @return 结果
     */
    @Override
    public int insertScientificProject(ScientificProject scientificProject)
    {
        return scientificProjectMapper.insertScientificProject(scientificProject);
    }

    /**
     * 修改项目立项
     *
     * @param scientificProject 项目立项
     * @return 结果
     */
    @Override
    public int updateScientificProject(ScientificProject scientificProject)
    {
        scientificProject.setUpdateTime(DateUtils.getNowDate());
        return scientificProjectMapper.updateScientificProject(scientificProject);
    }

    /**
     * 批量删除项目立项
     *
     * @param ids 需要删除的项目立项主键
     * @return 结果
     */
    @Override
    public int deleteScientificProjectByIds(Long[] ids)
    {
        return scientificProjectMapper.deleteScientificProjectByIds(ids);
    }

    /**
     * 删除项目立项信息
     *
     * @param id 项目立项主键
     * @return 结果
     */
    @Override
    public int deleteScientificProjectById(Long id)
    {
        return scientificProjectMapper.deleteScientificProjectById(id);
    }
}