package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ScientificProjectTaskMapper;
import com.ruoyi.system.domain.ScientificProjectTask;
import com.ruoyi.system.service.IScientificProjectTaskService;

/**
 * 项目任务书Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ScientificProjectTaskServiceImpl implements IScientificProjectTaskService
{
    @Autowired
    private ScientificProjectTaskMapper scientificProjectTaskMapper;

    /**
     * 查询项目任务书
     *
     * @param id 项目任务书主键
     * @return 项目任务书
     */
    @Override
    public ScientificProjectTask selectScientificProjectTaskById(Long id)
    {
        return scientificProjectTaskMapper.selectScientificProjectTaskById(id);
    }

    /**
     * 查询项目任务书列表
     *
     * @param scientificProjectTask 项目任务书
     * @return 项目任务书
     */
    @Override
    public List<ScientificProjectTask> selectScientificProjectTaskList(ScientificProjectTask scientificProjectTask)
    {
        return scientificProjectTaskMapper.selectScientificProjectTaskList(scientificProjectTask);
    }

    /**
     * 新增项目任务书
     *
     * @param scientificProjectTask 项目任务书
     * @return 结果
     */
    @Override
    public int insertScientificProjectTask(ScientificProjectTask scientificProjectTask)
    {
        return scientificProjectTaskMapper.insertScientificProjectTask(scientificProjectTask);
    }

    /**
     * 修改项目任务书
     *
     * @param scientificProjectTask 项目任务书
     * @return 结果
     */
    @Override
    public int updateScientificProjectTask(ScientificProjectTask scientificProjectTask)
    {
        scientificProjectTask.setUpdateTime(DateUtils.getNowDate());
        return scientificProjectTaskMapper.updateScientificProjectTask(scientificProjectTask);
    }

    /**
     * 批量删除项目任务书
     *
     * @param ids 需要删除的项目任务书主键
     * @return 结果
     */
    @Override
    public int deleteScientificProjectTaskByIds(Long[] ids)
    {
        return scientificProjectTaskMapper.deleteScientificProjectTaskByIds(ids);
    }

    /**
     * 删除项目任务书信息
     *
     * @param id 项目任务书主键
     * @return 结果
     */
    @Override
    public int deleteScientificProjectTaskById(Long id)
    {
        return scientificProjectTaskMapper.deleteScientificProjectTaskById(id);
    }
}