package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ScientificTaskHeadMapper;
import com.ruoyi.system.domain.ScientificTaskHead;
import com.ruoyi.system.service.IScientificTaskHeadService;

/**
 * 任务书信息-承担单位负责人Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ScientificTaskHeadServiceImpl implements IScientificTaskHeadService
{
    @Autowired
    private ScientificTaskHeadMapper scientificTaskHeadMapper;

    /**
     * 查询任务书信息-承担单位负责人
     *
     * @param id 任务书信息-承担单位负责人主键
     * @return 任务书信息-承担单位负责人
     */
    @Override
    public ScientificTaskHead selectScientificTaskHeadById(Long id)
    {
        return scientificTaskHeadMapper.selectScientificTaskHeadById(id);
    }

    /**
     * 查询任务书信息-承担单位负责人列表
     *
     * @param scientificTaskHead 任务书信息-承担单位负责人
     * @return 任务书信息-承担单位负责人
     */
    @Override
    public List<ScientificTaskHead> selectScientificTaskHeadList(ScientificTaskHead scientificTaskHead)
    {
        return scientificTaskHeadMapper.selectScientificTaskHeadList(scientificTaskHead);
    }

    /**
     * 新增任务书信息-承担单位负责人
     *
     * @param scientificTaskHead 任务书信息-承担单位负责人
     * @return 结果
     */
    @Override
    public int insertScientificTaskHead(ScientificTaskHead scientificTaskHead)
    {
        return scientificTaskHeadMapper.insertScientificTaskHead(scientificTaskHead);
    }

    /**
     * 修改任务书信息-承担单位负责人
     *
     * @param scientificTaskHead 任务书信息-承担单位负责人
     * @return 结果
     */
    @Override
    public int updateScientificTaskHead(ScientificTaskHead scientificTaskHead)
    {
        scientificTaskHead.setUpdateTime(DateUtils.getNowDate());
        return scientificTaskHeadMapper.updateScientificTaskHead(scientificTaskHead);
    }

    /**
     * 批量删除任务书信息-承担单位负责人
     *
     * @param ids 需要删除的任务书信息-承担单位负责人主键
     * @return 结果
     */
    @Override
    public int deleteScientificTaskHeadByIds(Long[] ids)
    {
        return scientificTaskHeadMapper.deleteScientificTaskHeadByIds(ids);
    }

    /**
     * 删除任务书信息-承担单位负责人信息
     *
     * @param id 任务书信息-承担单位负责人主键
     * @return 结果
     */
    @Override
    public int deleteScientificTaskHeadById(Long id)
    {
        return scientificTaskHeadMapper.deleteScientificTaskHeadById(id);
    }
}