package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ScientificTaskInfoMapper;
import com.ruoyi.system.domain.ScientificTaskInfo;
import com.ruoyi.system.service.IScientificTaskInfoService;

/**
 * 项目任务书信息Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ScientificTaskInfoServiceImpl implements IScientificTaskInfoService
{
    @Autowired
    private ScientificTaskInfoMapper scientificTaskInfoMapper;

    /**
     * 查询项目任务书信息
     *
     * @param id 项目任务书信息主键
     * @return 项目任务书信息
     */
    @Override
    public ScientificTaskInfo selectScientificTaskInfoById(Long id)
    {
        return scientificTaskInfoMapper.selectScientificTaskInfoById(id);
    }

    /**
     * 查询项目任务书信息列表
     *
     * @param scientificTaskInfo 项目任务书信息
     * @return 项目任务书信息
     */
    @Override
    public List<ScientificTaskInfo> selectScientificTaskInfoList(ScientificTaskInfo scientificTaskInfo)
    {
        return scientificTaskInfoMapper.selectScientificTaskInfoList(scientificTaskInfo);
    }

    /**
     * 新增项目任务书信息
     *
     * @param scientificTaskInfo 项目任务书信息
     * @return 结果
     */
    @Override
    public int insertScientificTaskInfo(ScientificTaskInfo scientificTaskInfo)
    {
        return scientificTaskInfoMapper.insertScientificTaskInfo(scientificTaskInfo);
    }

    /**
     * 修改项目任务书信息
     *
     * @param scientificTaskInfo 项目任务书信息
     * @return 结果
     */
    @Override
    public int updateScientificTaskInfo(ScientificTaskInfo scientificTaskInfo)
    {
        scientificTaskInfo.setUpdateTime(DateUtils.getNowDate());
        return scientificTaskInfoMapper.updateScientificTaskInfo(scientificTaskInfo);
    }

    /**
     * 批量删除项目任务书信息
     *
     * @param ids 需要删除的项目任务书信息主键
     * @return 结果
     */
    @Override
    public int deleteScientificTaskInfoByIds(Long[] ids)
    {
        return scientificTaskInfoMapper.deleteScientificTaskInfoByIds(ids);
    }

    /**
     * 删除项目任务书信息信息
     *
     * @param id 项目任务书信息主键
     * @return 结果
     */
    @Override
    public int deleteScientificTaskInfoById(Long id)
    {
        return scientificTaskInfoMapper.deleteScientificTaskInfoById(id);
    }
}