package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ScientificTaskJoinMapper;
import com.ruoyi.system.domain.ScientificTaskJoin;
import com.ruoyi.system.service.IScientificTaskJoinService;

/**
 * 任务书信息-主要参加人Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ScientificTaskJoinServiceImpl implements IScientificTaskJoinService
{
    @Autowired
    private ScientificTaskJoinMapper scientificTaskJoinMapper;

    /**
     * 查询任务书信息-主要参加人
     *
     * @param id 任务书信息-主要参加人主键
     * @return 任务书信息-主要参加人
     */
    @Override
    public ScientificTaskJoin selectScientificTaskJoinById(Long id)
    {
        return scientificTaskJoinMapper.selectScientificTaskJoinById(id);
    }

    /**
     * 查询任务书信息-主要参加人列表
     *
     * @param scientificTaskJoin 任务书信息-主要参加人
     * @return 任务书信息-主要参加人
     */
    @Override
    public List<ScientificTaskJoin> selectScientificTaskJoinList(ScientificTaskJoin scientificTaskJoin)
    {
        return scientificTaskJoinMapper.selectScientificTaskJoinList(scientificTaskJoin);
    }

    /**
     * 新增任务书信息-主要参加人
     *
     * @param scientificTaskJoin 任务书信息-主要参加人
     * @return 结果
     */
    @Override
    public int insertScientificTaskJoin(ScientificTaskJoin scientificTaskJoin)
    {
        return scientificTaskJoinMapper.insertScientificTaskJoin(scientificTaskJoin);
    }

    /**
     * 修改任务书信息-主要参加人
     *
     * @param scientificTaskJoin 任务书信息-主要参加人
     * @return 结果
     */
    @Override
    public int updateScientificTaskJoin(ScientificTaskJoin scientificTaskJoin)
    {
        scientificTaskJoin.setUpdateTime(DateUtils.getNowDate());
        return scientificTaskJoinMapper.updateScientificTaskJoin(scientificTaskJoin);
    }

    /**
     * 批量删除任务书信息-主要参加人
     *
     * @param ids 需要删除的任务书信息-主要参加人主键
     * @return 结果
     */
    @Override
    public int deleteScientificTaskJoinByIds(Long[] ids)
    {
        return scientificTaskJoinMapper.deleteScientificTaskJoinByIds(ids);
    }

    /**
     * 删除任务书信息-主要参加人信息
     *
     * @param id 任务书信息-主要参加人主键
     * @return 结果
     */
    @Override
    public int deleteScientificTaskJoinById(Long id)
    {
        return scientificTaskJoinMapper.deleteScientificTaskJoinById(id);
    }
}