package com.ruoyi.system.service.Impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ScientificTaskLeaderMapper;
import com.ruoyi.system.domain.ScientificTaskLeader;
import com.ruoyi.system.service.IScientificTaskLeaderService;

/**
 * 任务书信息-项目负责人Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ScientificTaskLeaderServiceImpl implements IScientificTaskLeaderService
{
    @Autowired
    private ScientificTaskLeaderMapper scientificTaskLeaderMapper;

    /**
     * 查询任务书信息-项目负责人
     *
     * @param id 任务书信息-项目负责人主键
     * @return 任务书信息-项目负责人
     */
    @Override
    public ScientificTaskLeader selectScientificTaskLeaderById(Long id)
    {
        return scientificTaskLeaderMapper.selectScientificTaskLeaderById(id);
    }

    /**
     * 查询任务书信息-项目负责人列表
     *
     * @param scientificTaskLeader 任务书信息-项目负责人
     * @return 任务书信息-项目负责人
     */
    @Override
    public List<ScientificTaskLeader> selectScientificTaskLeaderList(ScientificTaskLeader scientificTaskLeader)
    {
        return scientificTaskLeaderMapper.selectScientificTaskLeaderList(scientificTaskLeader);
    }

    /**
     * 新增任务书信息-项目负责人
     *
     * @param scientificTaskLeader 任务书信息-项目负责人
     * @return 结果
     */
    @Override
    public int insertScientificTaskLeader(ScientificTaskLeader scientificTaskLeader)
    {
        return scientificTaskLeaderMapper.insertScientificTaskLeader(scientificTaskLeader);
    }

    /**
     * 修改任务书信息-项目负责人
     *
     * @param scientificTaskLeader 任务书信息-项目负责人
     * @return 结果
     */
    @Override
    public int updateScientificTaskLeader(ScientificTaskLeader scientificTaskLeader)
    {
        scientificTaskLeader.setUpdateTime(DateUtils.getNowDate());
        return scientificTaskLeaderMapper.updateScientificTaskLeader(scientificTaskLeader);
    }

    /**
     * 批量删除任务书信息-项目负责人
     *
     * @param ids 需要删除的任务书信息-项目负责人主键
     * @return 结果
     */
    @Override
    public int deleteScientificTaskLeaderByIds(Long[] ids)
    {
        return scientificTaskLeaderMapper.deleteScientificTaskLeaderByIds(ids);
    }

    /**
     * 删除任务书信息-项目负责人信息
     *
     * @param id 任务书信息-项目负责人主键
     * @return 结果
     */
    @Override
    public int deleteScientificTaskLeaderById(Long id)
    {
        return scientificTaskLeaderMapper.deleteScientificTaskLeaderById(id);
    }
}