package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ScientificUsePlanDetailMapper;
import com.ruoyi.system.domain.ScientificUsePlanDetail;
import com.ruoyi.system.service.IScientificUsePlanDetailService;

/**
 * 受托方资本性支出明细Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ScientificUsePlanDetailServiceImpl implements IScientificUsePlanDetailService
{
    @Autowired
    private ScientificUsePlanDetailMapper scientificUsePlanDetailMapper;

    /**
     * 查询受托方资本性支出明细
     *
     * @param id 受托方资本性支出明细主键
     * @return 受托方资本性支出明细
     */
    @Override
    public ScientificUsePlanDetail selectScientificUsePlanDetailById(Long id)
    {
        return scientificUsePlanDetailMapper.selectScientificUsePlanDetailById(id);
    }

    /**
     * 查询受托方资本性支出明细列表
     *
     * @param scientificUsePlanDetail 受托方资本性支出明细
     * @return 受托方资本性支出明细
     */
    @Override
    public List<ScientificUsePlanDetail> selectScientificUsePlanDetailList(ScientificUsePlanDetail scientificUsePlanDetail)
    {
        return scientificUsePlanDetailMapper.selectScientificUsePlanDetailList(scientificUsePlanDetail);
    }

    /**
     * 新增受托方资本性支出明细
     *
     * @param scientificUsePlanDetail 受托方资本性支出明细
     * @return 结果
     */
    @Override
    public int insertScientificUsePlanDetail(ScientificUsePlanDetail scientificUsePlanDetail)
    {
        return scientificUsePlanDetailMapper.insertScientificUsePlanDetail(scientificUsePlanDetail);
    }

    /**
     * 修改受托方资本性支出明细
     *
     * @param scientificUsePlanDetail 受托方资本性支出明细
     * @return 结果
     */
    @Override
    public int updateScientificUsePlanDetail(ScientificUsePlanDetail scientificUsePlanDetail)
    {
        return scientificUsePlanDetailMapper.updateScientificUsePlanDetail(scientificUsePlanDetail);
    }

    /**
     * 批量删除受托方资本性支出明细
     *
     * @param ids 需要删除的受托方资本性支出明细主键
     * @return 结果
     */
    @Override
    public int deleteScientificUsePlanDetailByIds(Long[] ids)
    {
        return scientificUsePlanDetailMapper.deleteScientificUsePlanDetailByIds(ids);
    }

    /**
     * 删除受托方资本性支出明细信息
     *
     * @param id 受托方资本性支出明细主键
     * @return 结果
     */
    @Override
    public int deleteScientificUsePlanDetailById(Long id)
    {
        return scientificUsePlanDetailMapper.deleteScientificUsePlanDetailById(id);
    }
}