package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ScientificUsePlanMapper;
import com.ruoyi.system.domain.ScientificUsePlan;
import com.ruoyi.system.service.IScientificUsePlanService;

/**
 * 任务书-经费使用计划Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ScientificUsePlanServiceImpl implements IScientificUsePlanService
{
    @Autowired
    private ScientificUsePlanMapper scientificUsePlanMapper;

    /**
     * 查询任务书-经费使用计划
     *
     * @param id 任务书-经费使用计划主键
     * @return 任务书-经费使用计划
     */
    @Override
    public ScientificUsePlan selectScientificUsePlanById(Long id)
    {
        return scientificUsePlanMapper.selectScientificUsePlanById(id);
    }

    /**
     * 查询任务书-经费使用计划列表
     *
     * @param scientificUsePlan 任务书-经费使用计划
     * @return 任务书-经费使用计划
     */
    @Override
    public List<ScientificUsePlan> selectScientificUsePlanList(ScientificUsePlan scientificUsePlan)
    {
        return scientificUsePlanMapper.selectScientificUsePlanList(scientificUsePlan);
    }

    /**
     * 新增任务书-经费使用计划
     *
     * @param scientificUsePlan 任务书-经费使用计划
     * @return 结果
     */
    @Override
    public int insertScientificUsePlan(ScientificUsePlan scientificUsePlan)
    {
        return scientificUsePlanMapper.insertScientificUsePlan(scientificUsePlan);
    }

    /**
     * 修改任务书-经费使用计划
     *
     * @param scientificUsePlan 任务书-经费使用计划
     * @return 结果
     */
    @Override
    public int updateScientificUsePlan(ScientificUsePlan scientificUsePlan)
    {
        return scientificUsePlanMapper.updateScientificUsePlan(scientificUsePlan);
    }

    /**
     * 批量删除任务书-经费使用计划
     *
     * @param ids 需要删除的任务书-经费使用计划主键
     * @return 结果
     */
    @Override
    public int deleteScientificUsePlanByIds(Long[] ids)
    {
        return scientificUsePlanMapper.deleteScientificUsePlanByIds(ids);
    }

    /**
     * 删除任务书-经费使用计划信息
     *
     * @param id 任务书-经费使用计划主键
     * @return 结果
     */
    @Override
    public int deleteScientificUsePlanById(Long id)
    {
        return scientificUsePlanMapper.deleteScientificUsePlanById(id);
    }
}